// 全局变量
var Boolean_login = false;
var IsSign = 0;

/**
 * 页面加载完成执行 _id_had_sign
 */
$(function() {
    init();
});

// 初始化
function init() {
    var json_ret = Util.getCookie("U_index_json");
    var login_key = Util.getCookie("login_key");
    unreadMessage('petowner/GetUnReadNoticeCount');
    unreadMessage('petowner/GetMy');
    $("#_id_robPreferential").click(function(){
        var alertView_obj = new alertView("alertView", "正在开发中，敬请期待！");
        alertView_obj.init();
    });

    if (Util.isEmpty(login_key)) {
        if (login_key == "true") {
            loadData();
            Util.SetCookie("login_key", "false");
        }
    }
    if (!Util.isEmpty(json_ret)) {
        loadData(); // 请求后端
    } else {
        console.log("success:" + JSON.stringify(json_ret));
        loadData();
        // showdata(JSON.parse(json_ret));
    }

    login_check(); // 已登录状态下隐藏登录按钮
    addMenuClick(); // 绑定底部的事件
    $("#_id_signin").click(sign_submit);
    $("#_id_login_btn").click(login_btn_click); // 绑定首页登陆图标事件
    $(".set-service-type").click(SetServiceType); // 绑定发布图标事件
}

// 判断是否数字
function isServiceType_NAN() {
    var ServiceType = Util.getCookie("");
}

/**
 * 首页请求后端方法
 *
 */
function loadData() {
    try {
        // alert(Util.getCookie("AiPet_Nameqq")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");

        if (AccountId == null || AccountId == "") {
            AccountId = "aipet";
        }
        if (AiPet_Key == null || AiPet_Key == "") {
            AiPet_Key = "aipet";
        }

        var request_url = url_util + "Api/petowner/index";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key
        };
        var success_callback = function(params) {
            console.log(JSON.stringify(params));

            /*
             * if (params.code != 1) $("#_id_had_sign").hide();
             */
            // alert(JSON.stringify(params));
            // Util.SetCookie("U_index_json", JSON.stringify(params));
            showdata(params);

        };
        var error_callback = function(params) {
            // $("#_id_had_sign").hide();
            console.log("error:" + JSON.stringify(params));
        };
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

/**
 * 首页请求后端后数据处理
 *
 */

function showdata(params) {

    if (params.callResultStatus.code == 1) {
        console.log("params data:" + JSON.stringify(params));
        var PetMoney = params.petMoney; // 总宠物币
        var ServicerNumber = params.servicerNumber; // 服务人员数量
        var SignMoney = params.signMoney; // 签到获得的宠物币
        var AdvertArray = params.advertArray; // 广告活动清单
        var order = 0;
        var length = AdvertArray.length;
        IsSign = params.isSign; // 今天是否已签到，1为已签到，0为否

        $("#_id_petmoney").html("<b>" + PetMoney + "</b>");
        $("#_id_serviceproviders").html(ServicerNumber);
        Util.SetCookie("AiPet_PetOwner_ServicerNumberAll", ServicerNumber);
        Util.SetCookie("AiPet_PetMoney_save", PetMoney);
        Boolean_login = true;

        $("#_id_login_btn").hide();

        if (IsSign == 1) {
            // $("#_id_signin").hide();
            // $("#_id_had_sign").show();
            $("#_id_signin").html("今天已领");
            $("#_id_signin").attr("class", "checkedin");
        } else {
            // $("#_id_had_sign").hide();
            $("#_id_signin").html("签到领宠币");
            // $("#_id_signin").show();
        }
        // $("#_id_robPreferential").click(function() {
        //     location.href = 'promotion/promotion-list.html';
        // });
    } else {
        var ServicerNumber = params.servicerNumber; // 服务人员数量

        $("#_id_serviceproviders").html(ServicerNumber);

        Boolean_login = false;
        $("#_id_petmoney").html("未登录");
        $("#_id_signin").html("登录领宠币");
        $("#_id_login_btn").show();
        loadStaService();//未登录时加载标准服务，以供发需求时用
        Util.SetCookie("AiPet_PetOwner_ServicerNumberAll", ServicerNumber);
        // $("#_id_robPreferential").click(function() {
        //     Util.SetCookie("AiPet_location_href", 'promotion/promotion-list.html');
        //     location.href = "signin.html";
        // });
    }
    var AdvertArray = params.advertArray; // 广告活动清单
    var img_html_str = "";
    for (var i = 0; i < AdvertArray.length; i++) {
        img_html_str += '<div class="slide" id="slideAd"><a><img targetUrl="' + AdvertArray[i].targetUrl + '" src="' + AdvertArray[i].adImage + '"></a></div>';
    }

    $("#_id_img_div").html(img_html_str);
    loadImg();
    $("#slideAd img").each(function() {
        $(this).click(function() {
            Util.SetCookie("Aipet_Pre_Location_href", "../index.html");
            Util.SetCookie("AiPet_PetOwner_TargetLocation", $(this).attr("targetUrl"));
            location.href = "mine/commonPage.html";
        });
    });
}

function loadImg() {
    var slides = $(".swipe-wrap div");
    var divCount = slides.length;
    var show_html_str = "";
    for (var i = 1; i < divCount + 1; i++) {
        if (i == 1) {
            show_html_str += '<span class="one_number blipSelected">' + i;
        } else {
            show_html_str += '<span class="one_number">' + i;
        }
        show_html_str += '</span>';
    }
    $("#_id_show_number").html(show_html_str);
    // pure JS
    var elem = document.getElementById('mySlider');
    var mySwipe = Swipe(elem, {
        // startSlide: 4,
        // auto: 3000,
        // speed:3000,
        // continuous: true,
        // disableScroll: true,
        // stopPropagation: true,
        callback: function(index, element) {
            var slidesShow = $("#_id_show_number span");
            for (var i = 0; i < slidesShow.length; i++) {
                $(slidesShow[i]).css("background", "rgba(80,80,80,0.5)");
            }
            $(slidesShow[index]).css("background-color", "black");
        }
        // transitionEnd : function(index, element) {}
    });

    setInterval(function() {
        mySwipe.next();
    }, 5000);
}

/**
 * 首页登陆图标触发事件
 *
 */

function login_btn_click() {
    loadData();
    if (Boolean_login == false) {
        Util.SetCookie("AiPet_location_href", location.href);
        PageUtil.toNextPage("signin.html", null);
    } else {
        var alertView_obj = new alertView("alertView", "您已经登陆！");
        alertView_obj.init();
    }
}

/**
 * 检查是否已登陆，从而确实显示或隐藏登陆按钮
 *
 */

function login_check() {
    if (Boolean_login == true) {
        $("#_id_login_btn").hide();
    } else {
        $("#_id_login_btn").show();
        // $("#_id_signin").show();
    }
}

/**
 * 签到领宠币触发事件
 *
 */

function sign_submit() {
    try {
        // alert(getCookie("AiPet_Name")+";"+getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/sign";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key
        };
        // console.log("code:" + AiPet_Key);
        var success_callback = function(params) {
            // alert("success:"+JSON.stringify(params));
            if (Boolean_login && params.callResultStatus.code == 1) {
                var toastView_obj = new toastView("alertView", "您获得1宠币", 2000);
                toastView_obj.init();
                // $("#_id_signin").hide();
                // $("#_id_had_sign").show();
                $("#_id_signin").html("今天已领");
                $("#_id_signin").attr("class", "checkedin");
                // 直接刷新宠币
                $("#_id_petmoney").html("<b>" + params.petMoney + "</b>宠币");
                Util.SetCookie("AiPet_PetMoney_save", params.petMoney);
                setTimeout(function() {
                    $("#_id_petmoney").html("<b>" + params.petMoney + "</b>宠币");
                    location.reload();
                }, 2000);
            } else if (params.callResultStatus.code == -1) {
                // $("#_id_signin").show();
                var toastView_obj = new toastView("alertView", "您未登录，请先登录！",
                    2000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "signin.html";
                }, 2000);
            } else {
                // $("#_id_signin").hide();
            }

        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

/**
 * 底部菜单触发事件
 *
 */
function addMenuClick() {
    $("#servicelist").click(function() {
        if (Boolean_login) {
            LocationHref.LocationOther("service/service-list.html");
        } else {
            Util.SetCookie("AiPet_location_href",
                "service/service-list.html");
            LocationHref.LocationSignin();
        }
    });
    $("#slidein").click(function() {
        if (Boolean_login) {
            LocationHref.LocationOther("mine.html");
        } else {
            // 先清Cookie,再设置Cookie
            Util.SetCookie("AiPet_location_href", "");
            Util.SetCookie("AiPet_location_href", "mine.html");
            LocationHref.LocationSignin();
        }
    });
}

// 设置发布需求的类型

function SetServiceType() {
    var Servicetype = $(this).attr('service-type');
    // Util.delCookie("AiPet_ServiceType ");
    Util.SetCookie("New_ServiceType", Servicetype);
    Util.SetCookie("AiPet_New_PreferentialId", '');
    location.href = "service/new-service-demand.html ";
}

//加载标准服务
function loadStaService() {
    try {
        var request_url = url_util + "Api/ApiUtil/GetCommDictionary";
        var params = {
            'groupCode': 'StandardService'
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code == 1) {
                var CommDictionaryArray = params.commDictionaryArray;
                Util.SetCookie("AiPet_petOwner_BathSta", CommDictionaryArray[0].keyValue);
                Util.SetCookie("AiPet_petOwner_DoHairdressingSta", CommDictionaryArray[1].keyValue);
                Util.SetCookie("AiPet_petOwner_FindFosterageSta", CommDictionaryArray[2].keyValue);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        console.log(e.message);
    }
}
