/**
 *宠物主评价记录
 *author:lixingji
 *date:2014/8/17
 *
 **/
var S_html_str_save = "";
var R_html_str_save = "";
var S_PageIndex = 0;
var R_PageIndex = 0;
var AccountId = Util.getCookie("AiPet_Name");
var AiPet_Key = Util.getCookie("AiPet_Key");

$(function() {
    init();
});

function init() {
    loadSendData();
    loadReceiveData();
    $("#_id_sendAppraise").click(sendAppraiseBtn);
    $("#_id_receiveAppraise").click(receiveAppraiseBtn);
    $("#_id_load_more_appraise").click(add_more_appraise_index);
    $("#receiveAppraise").hide(); //初始加载时隐藏接收的消息
}

//点中我发出的评价
function sendAppraiseBtn() {
    S_html_str_save = "";
    S_PageIndex = 0;
    $("#sendAppraise").show();
    $("#receiveAppraise").hide();
    loadSendData();
}

//点中我收到的评价
function receiveAppraiseBtn() {
    R_html_str_save = "";
    R_PageIndex = 0;
    $("#sendAppraise").hide();
    $("#receiveAppraise").show();
    loadReceiveData();
}

//加载更多评价内容
function add_more_appraise_index() {
    if (location.href.slice(-1) == '2') {
        R_PageIndex++;
        loadReceiveData();
    } else {
        S_PageIndex++;
        loadSendData();
    }
}

//加载我对服务者的评价
function loadSendData() {
    try {

        var request_url = url_util + "Api/petowner/getAppraise4PageIndex";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'IsToMe': 0, //如果为1，即服务者对我的评价，如果为0，即我对其它服务者的评价
            'PageIndex': S_PageIndex
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code !== 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                if (S_PageIndex == 0 && params.appraiseArray.length == 0) {
                    $("#_id_no_data_send").html("<span>暂无评价</span>");
                    $("#_id_no_data_send").show();
                    $("#_id_load_more_appraise").hide();
                    return;
                } else if (params.appraiseArray.length < 10) {
                    $("#_id_no_data_send").html("<span>没有更多了</span>");
                    $("#_id_no_data_send").show();
                    $("#_id_load_more_appraise").hide();
                } else {
                    $("#_id_no_data_send").hide();
                    $("#_id_load_more_appraise").show();
                }
                showsenddata(params);
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            Dialog.alert("请求错误！");
        };
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！");
    }
}

//显示我对服务者评价的数据
function showsenddata(params) {
    var AveAppraise = params.fraction; //   String  评价平均分
    var AppraiseCount = params.appraiseCount; //    String  评价人数
    var AppraiseArray = params.appraiseArray; //    List<Appraise>  评价清单
    // showAppraiseData(AveAppraise, AppraiseCount, AppraiseArray);
    //对评价内容进行遍历
    if (AppraiseArray.length > 0) {
        var html_str = "";
        for (var i = 0; i < AppraiseArray.length; i++) {
            var Appraise = AppraiseArray[i];
            // "serviceId":"114","serviceType":"0"
            var ServiceId = Appraise.serviceId + "00000000"; //服务需求ID
            var ServiceType = Appraise.serviceType; //服务类型
            var UserPhoto = Appraise.userPhoto; //评价者图像
            var Name = Appraise.name; //名字
            var Content = Appraise.content; //评价内容
            var Fraction = Appraise.fraction; //分数
            var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
            var PublishDt = Appraise.publishDt; //发布时间
            var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
            var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
            var ReplyUserName = Appraise.replyUserName; //回复者用户名
            var ReplyDt = Appraise.replyDt; //回复时间
            var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
            var HasEdit = Appraise.hasEdit; //是否已修改，1为是，0为否
            if (Name == null) {
                Name = "匿名用户";
            }
            if (ReplyUserName == null) {
                ReplyUserName = "匿名用户";
            }

            html_str += '<div><h4 style="padding-top:10px;padding-left:10px;">' + ServiceType_Content(ServiceType) + '服务</h4><p><span style="padding-left:10px;">' + DataProcessUtil.ServiceBegintime_Val(PublishDt) + '</span><span style="padding-left:20px;">服务需求ID ' + ServiceId.substring(0, 8) + '</span></p></div><hr/>';
            // html_str += '<div class="single-comment clearfloat"><p class="user-name">' + Name + '</p>';
            // html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
            // html_str += '<p class="rating"><span class="rating-points">' + Fraction + '</span>';
            // html_str += '<span class="rating-stars">';

            // html_str += DataProcessUtil.Evaluate(Fraction);

            // html_str += '</span></p><p class="comment-text">' + Content + '</p>';
            html_str += '<table style="width: 100%;"><tr><td rowspan="2"  width="55px;"><img class="box_img_class" src="../../img/headImage-01.png"></td>';
            html_str += '<td style="padding-left:10px;">' + Name + '</td><td style="float:right;padding-left:40px;"><small>' + PublishDt + '</small></td></tr><tr><td style="padding-left:10px;" colspan="2">' + '<span class="rating-points">' + Fraction + '</span>';
            html_str += '<span class="rating-stars">' + DataProcessUtil.Evaluate(Fraction) + '</span></td></tr></table>';
            html_str += '<table style="margin-left:10px;"><tr><td>' + Content + '</td></tr></table>';
            // if (ReplyDt != null) {
            //     html_str += '<div class="single-comment clearfloat"><div class="reply-wrap"><img style="width:55px;height=55px;" class="box_img_class" src="../../img/headImage-01.png"><p class="user-name" style="padding-left:10px;">' + ReplyUserName + '</p>';
            //     html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
            //     html_str += '<p class="comment-text">' + ReplyContent + '</p></div></div>';
            // }
            html_str += '<div style="height:10px;background-color:#F0F0F0;"></div>';
            // html_str += '</div>';
        }

    }

    S_html_str_save += html_str;
    $("#_id_appraise_list_send").html(S_html_str_save);
    $("#receiveAppraise").hide();

}

//服务类型
function ServiceType_Content(ServiceType) {
    if (ServiceType == 0) {
        return '洗澡';
    } else if (ServiceType == 1) {
        return '美容';
    } else if(ServiceType == 2){
        return '寄养';
    }else{
        return '商品';
    }
}

//加载服务者对我的评价
function loadReceiveData() {
    try {
        var request_url = url_util + "Api/petowner/getAppraise4PageIndex";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'IsToMe': 1, //如果为1，即服务者对我的评价，如果为0，即我对其它服务者的评价
            'PageIndex': R_PageIndex
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code !== 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "signin.html";
            } else {
                // $("#_id_no_data_send").hide();
                if (R_PageIndex == 0 && params.appraiseArray.length == 0) {
                    $("#_id_no_data_receive").html("<span>暂无评价</span>");
                    $("#_id_no_data_receive").show();
                    $("#_id_load_more_appraise").hide();
                    return;
                } else if (params.appraiseArray.length < 10) {
                    $("#_id_no_data_receive").html("<span>没有更多了</span>");
                    $("#_id_no_data_receive").show();
                    $("#_id_load_more_appraise").hide();
                } else {
                    $("#_id_no_data_receive").hide();
                    $("#_id_load_more_appraise").show();
                }
                showreceivedata(params);
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            Dialog.alert("请求错误！");
        };
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！");
    }
}

//显示服务者对我评价的数据
function showreceivedata(params) {
    var AveAppraise = params.fraction; //   String  评价平均分
    var AppraiseCount = params.appraiseCount; //    String  评价人数
    var AppraiseArray = params.appraiseArray; //    List<Appraise>  评价清单
    // showAppraiseData(AveAppraise, AppraiseCount, AppraiseArray);

    //对评价内容进行遍历
    if (AppraiseArray.length > 0) {
        var html_str = "";
        for (var i = 0; i < AppraiseArray.length; i++) {
            var Appraise = AppraiseArray[i];
            var ServiceId = Appraise.serviceId + "00000000"; //服务需求ID
            var ServiceType = Appraise.serviceType; //服务类型
            var UserPhoto = Appraise.userPhoto; //评价者图像
            var Name = Appraise.name; //名字
            var Content = Appraise.content; //评价内容
            var Fraction = Appraise.fraction; //分数
            var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
            var PublishDt = Appraise.publishDt; //发布时间
            var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
            var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
            var ReplyUserName = Appraise.replyUserName; //回复者用户名
            var ReplyDt = Appraise.replyDt; //回复时间
            var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
            var HasEdit = Appraise.hasEdit; //是否已修改，1为是，0为否
            if (Name == null) {
                Name = "匿名用户";
            }
            if (ReplyUserName == null) {
                ReplyUserName = "匿名用户";
            }

            // html_str += '<div><h4 style="padding-top:10px;padding-left:10px;">' + ServiceType_Content(ServiceType) + '服务</h4><p><span style="padding-left:10px;">' + DataProcessUtil.ServiceBegintime_Val(PublishDt) + '</span><span style="padding-left:20px;">服务需求ID ' + ServiceId.substring(0, 8) + '</span></p></div><hr/>';
            // html_str += '<div class="single-comment clearfloat"><p class="user-name">' + Name + '</p>';
            // html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
            // html_str += '<p class="rating"><span class="rating-points">' + Fraction + '</span>';
            // html_str += '<span class="rating-stars">';

            // html_str += DataProcessUtil.Evaluate(Fraction);

            // html_str += '</span></p><p class="comment-text">' + Content + '</p>';
            html_str += '<div height="20px;">' + '&nbsp' + '</div><table style="margin-left:10px;"><tr><td rowspan="2"  width="55px;"><img class="box_img_class" src="../../img/headImage-01.png"></td>';
            html_str += '<td style="padding-left:10px;">' + Name + '</td><td style="float:right;padding-left:30px;"><small>' + PublishDt + '</small></td></tr><tr><td style="padding-left:10px;" colspan="2">' + '<span class="rating-points">' + Fraction + '</span>';
            html_str += '<span class="rating-stars">' + DataProcessUtil.Evaluate(Fraction) + '</span></td></tr></table>';
            html_str += '<table style="margin-left:10px;"><tr><td>' + Content + '</td></tr></table>';
            // if (ReplyDt != null) {
            //     // html_str+='<table align="right" style="margin-left:40px;background-color:#8B8B8B;"><tr><td>'+'123'+'</td><td>'+'1r3'+'</td><td>'+ReplyUserName+'</td><td>'+ReplyDt+'</td></tr></table><br/><table align="right" style="background-color:#8B8B8B;"><tr><td>'+ReplyContent+'</td></tr></table>'
            //     html_str += '<div class="single-comment clearfloat"><div class="reply-wrap"><img style="width:55px;height=55px;" class="box_img_class" src="../../img/headImage-01.png"><p class="user-name" style="padding-left:10px;">' + ReplyUserName + '</p>';
            //     html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
            //     html_str += '<p class="comment-text">' + ReplyContent + '</p></div></div>';
            // }
            html_str += '<div style="height:10px;background-color:#F0F0F0;"></div>';
            // html_str += '</div>';
        }

    }

    //星级评价
    var html_str_star = "";
    html_str_star += DataProcessUtil.Evaluate(AveAppraise);
    $("#_id_AveAppraise2_receive").html(AveAppraise)
    $("#_id_AveAppraise_img2_receive").html(html_str_star);
    $("#_id_AppraiseNum_receive").html(AppraiseCount);

    R_html_str_save += html_str;
    $("#_id_appraise_list_receive").html(R_html_str_save);

}
