/**
 * Created by daozen on 2014/6/18.
 */
var PageIndexLoaded = 0;
$(function() {
    init();
});

function init() {
    loadData(0);
    $('button.mark-all-as-read').click(MarkAllAR);
    $('div.load-more').click(LoadMore);
}

function loadData(PageIndex) {
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetNotices";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'PageIndex': PageIndex
        };

        var success_callback = function(params) {
            //console.log("success:"+JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                console.log(params);
                show_loadData(params);
            }


        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));

        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

function show_loadData(params) {
    console.log(JSON.stringify(params));
    var NoticeArray = params.noticeArray;
    var html_str = '';
    if (NoticeArray.length == 0) {
    	if(PageIndexLoaded==0){
    		 $('div.load-more').html('<p>暂无通知</p>');
    	}else{
    		console.log('加载完了');
        	$('div.load-more').html('<p>没有更多了</p>');
        	PageIndexLoaded--;
        	console.log(PageIndexLoaded);
    	}
        
    } else {
        for (var i = 0; i < NoticeArray.length; i++) {
            var SingleNotice = NoticeArray[i];
            var NoticeID = SingleNotice.id; //通知id
            var NoticeContent = SingleNotice.content; //通知内容
            var NoticeTarget = SingleNotice.goWhere; //目标url
            var ReadStautus = SingleNotice.hasRead; //是否已读
            var NoticeTimestamp = SingleNotice.sendDt; //通知时间
            NoticeTimestamp = NoticeTimestamp.split(":")[0] + ":" + NoticeTimestamp.split(":")[1];
            //        NoticeTimestamp = NoticeTimestamp.split("/")[1]+"/"+NoticeTimestamp.split("/")[2];

            var ReadStatsStr = "",
                UnreadHint = "";

            if (ReadStautus == 0) {
                ReadStatsStr = ' unread';
                UnreadHint = '<td>●</td>'
            } else {
                ReadStatsStr = " read";
                UnreadHint = '<td> </td>'
            }

            html_str += '<li class="table-view-cell' + ReadStatsStr + '">';
            html_str += '<a class="navigate-right" href="' + NoticeTarget + '"><table><tr>';
            html_str += UnreadHint;
            html_str += '<i style="display: none" NoticeID="' + NoticeID + '"></i>';
            html_str += '<td><p class="notice-content">' + NoticeContent + '</p>';
            html_str += '<span class="notice-timestamp">' + NoticeTimestamp + '</span></td></tr></table></a></li>';
        }
        $("ul.notification-list").append(html_str);

        //        点击后将单项标记为已读
        $('ul.notification-list>li>a').click(function(e) {
            var NoticeID = $(this).find('i').attr('NoticeID');
            var TargetLocation = $(this).attr('href');
            console.log(TargetLocation);
            console.log(NoticeID);
            MarkAsRead(NoticeID);
            e.preventDefault();
            Util.SetCookie("AiPet_PetOwner_TargetLocation", TargetLocation);

            function MarkAsRead(NoticeID) {
                try {
                    var AccountId = Util.getCookie("AiPet_Name");
                    var AiPet_Key = Util.getCookie("AiPet_Key");

                    if (AccountId == null) {
                        AccountId = "aipet";
                    }
                    if (AiPet_Key == null) {
                        AiPet_Key = "aipet";
                    }
                    var request_url = url_util + "Api/petowner/ChangeNoticeToReader";
                    var params = {
                        'AccountId': AccountId,
                        'Code': AiPet_Key,
                        'NoticeID': NoticeID
                    };

                    var success_callback = function(params) {
                        //console.log("success:"+JSON.stringify(params));
                        if (params.code != 1) {
                            Util.SetCookie("AiPet_location_href", location.href);
                            location.href = "../signin.html";
                        } else {
                            console.log(params);
                            UrlLink('',TargetLocation);
                            // location.href="commonPage.html";
                            // location.href = TargetLocation; //成功标记后才跳转至目标url
                            //                        show_loadData(params);
                        }
                    };
                    var error_callback = function(params) {
                        console.log("error:" + JSON.stringify(params));
                    };
                    console.log(JSON.stringify(params));
                    console.log(JSON.stringify(params));
                    Util.getRequestData_GET(request_url, params, success_callback, error_callback);
                } catch (e) {
                    console.log(e.message);
                }
            }
        });

        if (NoticeArray.length < 10) {
            $('div.load-more').html('<p>没有更多了</p>');
        }
    }
}


//标记所有为已读
function MarkAllAR() {
    console.log('mark all as read');
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/ChangeNoticeToReader";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'NoticeID': ""
        };

        var success_callback = function(params) {
            //console.log("success:"+JSON.stringify(params));
            console.log(JSON.stringify(params));
            if (params.code != 1) {
                console.log(params.msg);
                MyToastView("标记已读失败！", 2000);
                // Util.SetCookie("AiPet_location_href",location.href);
                // location.href="../signin.html";
            } else {
                MyToastView("标记成功！", 2000);
                console.log(params);
                $('ul.notification-list').empty();

                for (var i = 0; i < PageIndexLoaded + 1; i++) {
                    loadData(i);
                }

                //                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

//点击加载更多列表项
function LoadMore() {
    loadData(PageIndexLoaded + 1);
    PageIndexLoaded++;
}
