/**
 * 已抢购的优惠 author:lixingji date:2014/7/30
 */
var _PreferentialType = "";
var _PreferentialId=0;
var InstanceId="";
var _ServicerID="";
var _HasUse=0;
var _UserPerBtn=true;
$(function() {
    init();
});

// 初始化 
function init() {
	_HasUse=Util.getCookie("AiPet_PetOwner_HasUse");
	if(_HasUse==1){//"已使用"
	 	$("#_id_userProductPreDiv").hide();
	 	$("#_id_showBH").html("您已使用过该优惠");
	 	$("#_id_cancel_btn").hide();
    }
    load_data();
    $("#_id_userProductPre_btn").click(userProductPre);
    $("#_id_cancel_btn").click(cancelRobPre);
    Util.SetCookie("AiPet_location_href", location.href);
}


// 加载优惠详情
function load_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var PreId = Util.getCookie("AiPet_PetOwner_PreId");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getPreferentialDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'PreId': PreId
        };

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            Util.SetCookie("AiPet_location_href", location.href);
            if (params.callResultStatus.code != 1) {
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

// 显示优惠详情
function show_loadData(params) {
    var Preferential = params.preferential; // Preferential 优惠
	Util.SetCookie("AiPet_Preferential_Json",JSON.stringify(Preferential));
	var Id = Preferential.id; // int 优惠ID
	var ServicerID = Preferential.servicerID; // int 服务提供者，即优惠提供者
	var PreferentialType = Preferential.preferentialType; // int
															// 优惠针对的服务种类，与服务种类一致，即洗澡（0）、美容（1）、寄养（2）、商品（3）
	var Title = Preferential.title; // string //标题
	var OriginalPrice = Preferential.originalPrice; // string 原价
	var PresentPrice = Preferential.presentPrice; // string 现价
	var EffectiveBeginTime = Preferential.effectiveBeginTime; // string
	// 优惠允许使用开始时间
	var EffectiveEndTime = Preferential.effectiveEndTime; // string 优惠允许使用结束时间
	var CostMoney = Preferential.costMoney; // decimal 抢优惠所需的宠币
	var SeviceWay = Preferential.seviceWay; // string
											// 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
	var ServiceAddress = Preferential.serviceAddress; // string 服务者地址
	var ServiceIntro = Preferential.serviceIntro; // string 服务介绍
	var PreferentialCount = Preferential.preferentialCount; // int 优惠总数量
	var HasGet = Preferential.hasGet; // int 已被抢数量
	var ActiveBeginTime = Preferential.activeBeginTime; // string
	// 优惠开始允许抢的时间，用于计算总有效时间和剩余有效时间
	var ActiveEndTime = Preferential.activeEndTime; // string 优惠允许抢的结束时间
	var PublishTime = Preferential.publishTime; // string 发布时间
	
	var TypeName = "洗澡";
	var src = "../../img/ToBatheIconDetail.png";
	if (PreferentialType == 0) {
		TypeName = '洗澡';
		src = '../../img/ToBatheIconDetail.png';
	} else if (PreferentialType == 1) {
		TypeName = '美容';
		src = '../../img/doHairdressingIconDetail.png';
	} else if (PreferentialType == 2) {
		TypeName = '寄养';
		src = '../../img/findFosterageIconDetail.png';
	} else if (PreferentialType == 3) {
		src = '../../img/preferentialIcon-01.png';
		TypeName = '商品';
	}
	$("#_id_img").attr("src", src);
	$("#_id_title").html(Title);
	$("#effectiveDate").html(DataProcessUtil.PromotionTime_Val(ActiveBeginTime)
			+ '~' + DataProcessUtil.PromotionTime_Val(ActiveEndTime));
	$("#needCostMoney").html(CostMoney);
	$("#PreferentialCount").html(PreferentialCount);
	$("#HasGet").html(PreferentialCount-HasGet);
	$("#_id_preferentialType").html(TypeName);
	$("#SeviceWay").html(DataProcessUtil.SeviceWay_val(SeviceWay));
	$("#_id_originalPrice").html(OriginalPrice+"元");
	$("#_id_presentPrice").html(PresentPrice+"元");
	
	if (SeviceWay == "100") {
		$("#_id_address_li").show();
		$("#ServiceAddress").html(ServiceAddress);
	}
	$("#ServiceIntro").html(ServiceIntro);
	_PreferentialType=PreferentialType;
	InstanceId = Id;
	_PreferentialId=Id;
	_ServicerID=ServicerID;
	
	Util.SetCookie("AiPet_List_BingoTenderId",ServicerID);
	getServicerDetail(ServicerID)
	if(_PreferentialType==3){
	    if(_HasUse==1){
			load_PreferentialCode();
		}else{
			$("#_id_showBH").html("使用优惠以获得优惠码");
		}
	}
}
//服务主详情
function getServicerDetail(ServicerID) {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getServicerDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ServicerId': ServicerID
        };
        var success_callback = function(params) {
            console.log("getServicerDetail_success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                show_ServicerDetail(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

function show_ServicerDetail(params) {
    var servicer = params.servicer;
    var ServiceNum = servicer.serviceNum; // 成功服务的次数
    var Address = servicer.address; // 服务者位置
    var AveAppraise = servicer.aveAppraise; // 平均评价
    var Name = servicer.name; // 姓名
    var Distance = params.distance; // 与宠物主的距离
    $("#_id_name").html(Name);
    $("#_id_servicerAddress").html(Address);
    $("#_id_service_num").html(ServiceNum);
    $("#_id_distance").html(Distance);
    $("#_id_aveAppraise").html(AveAppraise);
	$("#_id_aveAppraise_show").html(DataProcessUtil.Evaluate(AveAppraise));
}
//使用优惠按钮事件
function userProductPre() {
	if(_PreferentialType!=3){
		Util.SetCookie("New_ServiceType",_PreferentialType);
		Util.SetCookie("AiPet_New_PreferentialId",_PreferentialId);
		Util.SetCookie("AiPet_togo_Pre",0);
		location.href = "../service/new-service-demand.html";
	}else{
		if(_UserPerBtn==true){
			Util.SetCookie("AiPet_PetOwner_HasUse",1);
			load_PreferentialCode();
		}else{
			var alertViewobj = new alertView("_id_alertView", "你已使用此优惠，请凭优惠代码到商家领取用品!");
			var callback = function() {
					$("#_id_alertView").html('');
				}
				alertViewobj.confirm(callback);
		}
	}
}
//物品使用优惠接口
function userProductRequest(msg){
try {
		var AccountId = Util.getCookie("AiPet_Name");
		var AiPet_Key = Util.getCookie("AiPet_Key");
		if (AccountId == null) {
			AccountId = "aipet";
		}
		if (AiPet_Key == null) {
			AiPet_Key = "aipet";
		}
		//var InstanceId_new=Util.getCookie("AiPet_PetOwner_InstanceId");
		var request_url = url_util + "Api/petowner/userProductPreferential";
		var params = {
			'AccountId' : AccountId,
			'Code' : AiPet_Key,
			'InstanceId' : InstanceId,
			'ServicerID':_ServicerID
		};
        var success_callback = function(params) {
            console.log("getServicerDetail_success:" + JSON.stringify(params));

            if (params.code == 1) {
                //Dialog.alert("成功使用优惠");
            	if(params.msg==null){
            		$("#_id_showBH").html('您的优惠编号：<span style="color: red;font-size: 25px;">'+msg+'<span>');
            	}
            } else {
                Dialog.alert(params.msg);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

// 优惠使用情况
function load_PreferentialCode(){
	try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var PreId = Util.getCookie("AiPet_PetOwner_PreId");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetProductPreferentialCode";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'PreId': PreId,
            'servicerId':_ServicerID
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            Util.SetCookie("AiPet_location_href", location.href);
            if (params.code == 1) {
            	_UserPerBtn=false;
				userProductRequest(params.msg);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback,error_callback);
    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

/*
 * 取消
 * */
function cancelRobPre() {
	var alertViewobj = new alertView("_id_alertView", "您确定要取消优惠吗？");
	var callback = function() {
		$("#_id_alertView").html('');
		try {
			var AccountId = Util.getCookie("AiPet_Name");
			var AiPet_Key = Util.getCookie("AiPet_Key");
			if (AccountId == null) {
				AccountId = "aipet";
			}
			if (AiPet_Key == null) {
				AiPet_Key = "aipet";
			}
			var request_url = url_util + "Api/petowner/cancelRobPreferential";
			var params = {
				'AccountId' : AccountId,
				'Code' : AiPet_Key,
				'InstanceId' : InstanceId,
				'ServicerID':_ServicerID
			};
			
			var success_callback = function(params) {
				console.log("getServicerDetail_success:"
						+ JSON.stringify(params));
				if (params.code == 1) {
					Dialog.alert(params.msg);
					location.href = "got-promotion-list.html";
				} else {
					Dialog.alert(params.msg);
				}
			}
			var error_callback = function(params) {
				console.log("error:" + JSON.stringify(params));
			}
			console.log(JSON.stringify(params));
			Util.getRequestData_GET(request_url, params, success_callback,
					error_callback);
		} catch (e) {
			alert("请求出错！");
			console.log(e.message);
		}
	}
	alertViewobj.confirm(callback);
}
