/**
 *author:lixingji
 *date:2014/7/11
 */

var AccountId = Util.getCookie("AiPet_Name");
var AiPet_Key = Util.getCookie("AiPet_Key");
var ReqId = Util.getCookie("AiPet_List_ReqId");
$("#_id_satisfy_statement").html("点击进行评分"); //初始满意状态
Util.setWebData("AiPet_PetOwner_StarNum", 0); //初始星星的状态


$(function() {
    init();
});

//初始化
function init() {
    star_btn_click();
    load_request_getReqDetail();
    // $("#_id_photo_browser").click(getPathName);
    $("#_id_commit_appraise").click(add_btn_commit_appraise);
    $("#_id_back").click(add_btn_back);
    $("#_id_photo1").click(LinkToUpload);
    $("#_id_photo2").click(LinkToUpload);
    $("#_id_photo3").click(LinkToUpload);
}

//链接到外部上传
function LinkToUpload() {
    location.href = "comment-image-upload.html";
}

//点击星星进行评价

function star_btn_click() {
    $(".rating-button .rate-control").each(function() {
        var item_num = 0;
        $(this).click(function() {
            item_num = $(this).attr("item-id");
            show_star(item_num);
        });
    });
}

//显示星星数量

function show_star(num) {
    var Fraction = parseInt(num) + 1;
    Util.setWebData("AiPet_PetOwner_StarNum", Fraction);
    var imgSrc = '../../img/evaluateGrayIcon.png'; //没有填色的星星
    var imgSrc_2 = '../../img/evaluateLightIcon.png'; //打分后有颜色的星星
    var imgArray = $(".rating-button img");
    for (var j = 0; j < imgArray.length; j++) {
        if (j <= num) {
            imgArray[j].src = imgSrc_2;
        } else {
            imgArray[j].src = imgSrc;
        }
    }
    //满意程度
    switch (Fraction) {
        case 1:
            $("#_id_satisfy_statement").html("太糟糕了");
            Util.setWebData("Aipet_Statement_Content", "太糟糕了");
            break;
        case 2:
            $("#_id_satisfy_statement").html("有待改进");
            Util.setWebData("Aipet_Statement_Content", "有待改进");
            break;
        case 3:
            $("#_id_satisfy_statement").html("还可以");
            Util.setWebData("Aipet_Statement_Content", "还可以");
            break;
        case 4:
            $("#_id_satisfy_statement").html("不错");
            Util.setWebData("Aipet_Statement_Content", "不错");
            break;
        case 5:
            $("#_id_satisfy_statement").html("非常满意");
            Util.setWebData("Aipet_Statement_Content", "非常满意");
            break;
    }
}

//获取图片路径

function getPathName() {
    var str = "";
    //文件类型
    var strType = "jpg|jpeg|bmp|gif|png";
    $("#_id_photo_browser").change(function() {
        str = $(this).val();
        var fileExtName = str.substring(str.indexOf(".") + 1); //获取上传文件扩展名
        if (strType.indexOf(fileExtName.toLowerCase()) == -1) {
            MyToastView("只允许上传格式为jpg、jpeg、bmp、gif的文件", 1000);
        } else {
            $("#_id_imgPath").html(str);
            load_Img_data(str);
        }

    });
}

//加载需求数据详情
function load_request_getReqDetail() {
    //初始化标题
    var apparaiseTimes = Util.getCookie("Aipet_apparaise_modify"); //修改次数 0 1
    // alert(apparaiseTimes);
    if (apparaiseTimes == '0')
        $("#_id_appraise_title").html("进行评价");
    else {
        $("#_id_appraise_title").html("修改评价");
        var AppraiseContent = Util.getCookie("AiPet_PetOwner_Appraise_Content");
        var AppraiseFraction = Util.getCookie("AiPet_PetOwner_Appraise_Fraction"); //Fraction
        $("#_id_textarea_content").html(AppraiseContent);
        show_star(AppraiseFraction*1-1);
    }

    // 请求内容
    try {
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetReqDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));

            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                var Service_ReqId = ReqId + "00000000";
                $("#_id_ser_reqId").html(Service_ReqId.substring(0, 8));
                getReqDetail_show(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

//显示数据
function getReqDetail_show(params) {

    var ServiceType = params.serviceType; //服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = params.petVarieties; //宠物品种
    var SeviceWay = params.seviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = params.serviceAdd; //服务地点(只到店时为空)
    var ServiceBegintime = params.serviceBegintime; //服务要求开始时间
    var ServiceEndtime = params.serviceEndtime; //服务要求结束时间
    var ServiceTimeDesc = params.serviceTimeDesc; //服务时间（全天、白天、晚上）
    var ServiceReqdiy = params.serviceReqdiy; //服务要求-自定义
    var ServiceStaReq = params.serviceStaReq; //标准服务
    var ServiceSelfReq = params.serviceSelfReq; //个性需求
    var EffectiveTime = params.effectiveTime; //需求有效时间
    var SerivceCode = params.serivceCode; //服务编号，当服务生效时有效
    var PetWeight = params.petWeight; //宠物重量
    var PublishTime = params.publishTime; //发布时间
    var ServiceId = params.serviceId; //服务ID
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    var src = "";
    console.log('type:' + ServiceType);
    // alert('eeee:'+ServiceType);
    if (ServiceType == 0) {
        src = '../../img/ToBatheIconDetail.png';
    } else if (ServiceType == 1) {
        src = '../../img/doHairdressingIconDetail.png';
    } else if (ServiceType == 2) {
        src = '../../img/findFosterageIconDetail.png';
    }
    $("#_id_ServiceType").attr("src", src);
    $("#_id_PetVarieties").html(DataProcessUtil.PetVarieties_val(PetVarieties));
    $("#_id_SeviceWay").html(DataProcessUtil.SeviceWay_val(SeviceWay));
    if (ServiceAdd != null)
        $("#_id_ServiceAdd").html(ServiceAdd);
    else if (Util.getCookie("AiPet_PetOwner_ServiceAdd") != null) {
        $("#_id_ServiceAdd").html(Util.getCookie("AiPet_PetOwner_ServiceAdd"));
    } else {
        $("#_id_ServiceAdd").html("店家未提供");
    }
    $("#_id_ServiceBegintime").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime));
    Util.setWebData("AiPet_PetOwner_SerivceID", ServiceId);
}

//上传图片
function load_Img_data(imagePath) {
    try {
        var upload_url = url_util + "Api/common/AppraisePic";
        var image = new Image();
        image.src = "../../pra.png";
        var imgJson = JSON.stringify(image);
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'File': imgJson
        }

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));

            if (params.callResultStatus.code != 1) {
                // location.href = "../signin.html";
                Util.SetCookie("AiPet_location_href", location.href);
            } else {
                Dialog.alert("图片上传成功！");
            }
        }
        var error_callback = function(params) {
            Dialog.alert("图片上传失败！");
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_POST(upload_url, params, success_callback, error_callback);
    } catch (e) {
        // alert("请求错误！");
        console.log(e.message);
    }
}

//提交评价
function add_btn_commit_appraise() {
	$("#_id_commit_appraise").disabled = "disabled";
    var apparaiseTimes = Util.getCookie("Aipet_apparaise_modify"); //修改次数 0 1
    if (apparaiseTimes == 0) {
        loadAppraise();
    } else {
        loadModifyAppraise();
    }
}

//进行评价
function loadAppraise() {
    try {
        var request_url = url_util + "Api/petowner/Appraise"; //获取待评价服务接口
        var ServicerId = Util.getWebData("AiPet_PetOwner_SerivcerId");
        var CommitContent = $(".comment-text").val();
        var SerId = Util.getWebData("AiPet_PetOwner_SerivceID"); //服务ID
        var Fraction = Util.getWebData("AiPet_PetOwner_StarNum"); //评分
        var ImageFile = $("#_id_photo_browser").val();

        // alert(CommitContent);
        //评价判空
        if (Fraction == undefined || Fraction == null)
            Fraction = 0;
        //图片判空
        if (ImageFile == null || ImageFile == '') {
            ImageFile = 0;
        }

        //评价内容
        var appraiseContent = Util.getWebData("Aipet_Statement_Content");
        if (CommitContent == '' && appraiseContent != null) {
            CommitContent = appraiseContent;
        }

        var params_commit = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'SerId': SerId,
            'ServicerId': ServicerId,
            'Fraction': Fraction,
            'Content': CommitContent,
            'images': ImageFile
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params_commit) {
            console.log("success:" + JSON.stringify(params_commit));
            if (params_commit.code != 1) {
                Dialog.alert(params_commit.msg);
                // location.href = "../signin.html";
            } else {
                Util.SetCookie("AiPet_PetOwner_AppraiseId", params_commit.msg);
                Dialog.alert("评价提交成功！");
                setTimeout(function() {
                    location.href = "service-detail-status5.html";
                }, 2000);
            }
        }

        //请求错误回调函数

        var error_callback = function(params_commit) {
            console.log("error:" + JSON.stringify(params_commit));
            Dialog.alert("提交失败！");
            $("#_id_commit_appraise").disabled = "";
        }
        console.log("提交评价接口上传的数据：" + JSON.stringify(params_commit));

        if (validateCommit(Fraction, CommitContent))
            Util.getRequestData_GET(request_url, params_commit, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！！");
    }
}

//修改评价
function loadModifyAppraise() {
    try {
        var request_url = url_util + "Api/petowner/EditAppraise"; //获取待评价服务接口
        var AppraiseId = Util.getCookie("AiPet_PetOwner_AppraiseId");
        var CommitContent = $("#_id_textarea_content").val();
        var Fraction = Util.getWebData("AiPet_PetOwner_StarNum"); //评分
        var ImageFile = $("#_id_photo_browser").val();


        //评价判空
        if (Fraction == undefined || Fraction == null)
            Fraction = 0;
        //图片判空
        if (ImageFile == null || ImageFile == '') {
            ImageFile = 0;
        }

        //评价内容
        var appraiseContent = Util.getWebData("Aipet_Statement_Content");
        if (CommitContent == '' || appraiseContent == null) {
            CommitContent = appraiseContent;
        }

        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'AppraiseId': AppraiseId,
            'Fraction': Fraction,
            'Content': CommitContent,
            'images': ImageFile
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code != 1) {
                Dialog.alert(params.msg);
                // location.href = "../signin.html";
            } else {
                Dialog.alert("修改评价成功！");
                setTimeout(function() {
                    location.href = "service-detail-status5.html";
                }, 2000);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            Dialog.alert("提交失败！");
            $("#_id_commit_appraise").disabled = "";
        }
        console.log("提交评价接口上传的数据：" + JSON.stringify(params));

        if (validateCommit(Fraction, CommitContent))
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！！");
    }

}

//验证表单内容
function validateCommit(Fraction, CommitContent) {
    if (Fraction == 0) {
        Dialog.alert("请先进行评分再提交！");
        $("#_id_satisfy_statement").html('<span style="color:red">你还没进行评分</span>');
        return false;
    }
    if (CommitContent.length > 150) {
        Dialog.alert("评价内容字数超过150字限制！");
        return false;
    }
    return true;
}

//返回按钮
function add_btn_back() {

    var pre_url = Util.getCookie("AiPet_location_href");
    // alert(pre_url);
    if (pre_url != null) {
        location.href = pre_url;
    } else {
        location.href = 'service-detail-status3.html';
    }
}
