//选择宠物详细信息  _id_weight_Content
var BigTypes = "";
var SmallTypes = "";
var PetVarieties = "";
var _Preferential_Json = ""; //优惠对象
var _PreInstanId = ""; //优惠ID
$(function() {
    init();
});

function init() {
    $("#_id_typename").click(request_getBigTypes);
    var petWeight = Util.getCookie("AiPet_PetWeight");
    //回显重量
    if (petWeight != null) {
        $("#_id_weight_Content").val(petWeight);
    }

    $_id("_id_weight_Content").addEventListener("input", function() {
        // $(this).val(Util.isNumberRange($(this).val(), 1, 100));
        var num = $(this).val();
        if (!num.match("^[0-9|.]+$")) {
            $("#_id_weight_Content").val("");
            num = '';
        }
        if (1 <= num * 1 <= 100) {
            Util.SetCookie("AiPet_PetWeight", num);
        } else
            return;
        if (num * 1 > 100) {
            var toastView_obj = new toastView("alertView", "超出重量限制", 2000);
            toastView_obj.init();
            $("#_id_weight_Content").val("");
        }

    }, false);
    _Preferential_Json = JSON.parse(Util.getCookie("AiPet_Preferential_Json"));
    _PreInstanId = Util.getCookie("AiPet_New_PreferentialId");
    load_data();
}

function load_data() {
    var AiPet_BigTypes = Util.getCookie("AiPet_BigTypes");
    var AiPet_SmallTypes = Util.getCookie("AiPet_SmallTypes");
    var AiPet_PetVarieties = Util.getCookie("AiPet_PetVarieties");
    if (Util.isEmpty(AiPet_BigTypes) == true) {
        $("#_id_typename_Content").html(AiPet_BigTypes + '--' + AiPet_SmallTypes + '--' + AiPet_PetVarieties);
    }

    Util.SetCookie("AiPet_togo_Pre", 1);
    // if (Util.isEmpty(AiPet_SmallTypes) == true) {
    //     $("#_id_typepets").html(AiPet_SmallTypes);
    // }
    // if (Util.isEmpty(AiPet_PetVarieties) == true) { 
    //     $("#_id_typeinformation").html(AiPet_PetVarieties);
    // }

}

function request_getBigTypes() {
    try {
        //alert(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key")); _id_weight_Content
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getBigTypes";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key
        }
        var success_callback = function(params) {
            console.log("_PreInstanId 优惠ID:" + _PreInstanId);
            console.log("success（big type）:" + JSON.stringify(params));
            if (_PreInstanId == "") { //判断是否是优惠
                show_BigTypes_selectionBox(params.petVarietiesArray);
            } else {
                if (_Preferential_Json.petVarieties == "不限" || _Preferential_Json.petVarieties == "") {
                    show_BigTypes_selectionBox(params.petVarietiesArray);
                } else {
                    var petArray = new Array();
                    petArray.push(_Preferential_Json.petVarieties);
                    show_BigTypes_selectionBox(petArray);
                }
            }

        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}


function request_getSmallTypes(BigType) {
    try {
        //alert(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getSmallTypes";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'BigType': BigType
        }
        var success_callback = function(params) {
            console.log("success(small type):" + JSON.stringify(params));
            show_SmallTypes_selectionBox(BigType, params.petVarietiesArray);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

function request_getPetVarieties(BigType, SmallTypes) {
    try {
        //alert(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key")); 
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getPetVarieties";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'SmallType': SmallTypes
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            show_PetVarieties_selectionBox(params.petVarietiesArray);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

function show_BigTypes_selectionBox(petVarietiesArray) {
    var html_str = '<div id="background_color_div" class="background_color"></div><div class="selectionBox_Content" id="BigTypes_div">';
    for (var i = 0; i < petVarietiesArray.length; i++) {
        html_str += '<div class="selectionBox_Content_li" id="BigTypes_' + i + '_li">';
        html_str += petVarietiesArray[i] + '</div>';
    }
    html_str += '</div>';
    html_str += '<div class="selectionBox_Content"  style="display:none;" id="SmallTypes_div"></div>';
    html_str += '<div class="selectionBox_Content"  style="display:none;" id="PetVarieties_div"></div>';
    html_str += '<div class="selectionBox_btn_div" >';
    html_str += '<span class="selectionBox_back_btn" id="selectionBox_back_btn">返 &nbsp; &nbsp;  回</span>';
    html_str += '<span class="selectionBox_cancel_btn" id="selectionBox_cancel_btn">取 &nbsp; &nbsp;  消 </span>';
    html_str += '</div>';
    $("#_id_selectionBox").html(html_str);
    $("#selectionBox_cancel_btn").click(function() {
        $("#_id_selectionBox").html('');
    });
    $("#BigTypes_div .selectionBox_Content_li").each(function() {
        $(this).click(function() {
            BigTypes = $(this).html();
            request_getSmallTypes($(this).html());
        });
    });
    $("#selectionBox_back_btn").click(null);
    $("#background_color_div").click(function() {
        $("#_id_selectionBox").html('');
    });
}

function show_SmallTypes_selectionBox(BigType, petVarietiesArray) {
    var html_str = '';
    for (var i = 0; i < petVarietiesArray.length; i++) {
        html_str += '<div class="selectionBox_Content_li">';
        html_str += petVarietiesArray[i] + '</div>';
    }
    $("#SmallTypes_div").html(html_str);
    $("#SmallTypes_div").show();
    $("#BigTypes_div").hide();
    $("#SmallTypes_div .selectionBox_Content_li").each(function() {
        $(this).click(function() {
            SmallTypes = $(this).html();
            request_getPetVarieties(BigType, $(this).html());
        });
    });
    $("#selectionBox_back_btn").click(back_BigTypes);
}

function show_PetVarieties_selectionBox(petVarietiesArray) {
    var html_str = '';
    for (var i = 0; i < petVarietiesArray.length; i++) {
        html_str += '<div class="selectionBox_Content_li">';
        html_str += petVarietiesArray[i] + '</div>';
    }
    $("#PetVarieties_div").html(html_str);
    $("#PetVarieties_div").show();
    $("#SmallTypes_div").hide();
    $("#PetVarieties_div .selectionBox_Content_li").each(function() {
        $(this).click(function() {

            Util.SetCookie("AiPet_BigTypes", BigTypes);
            Util.SetCookie("AiPet_SmallTypes", SmallTypes);
            Util.SetCookie("AiPet_PetVarieties", $(this).html());
            $("#_id_typename_Content").html(BigTypes + '--' + SmallTypes + '--' + $(this).html());
            // $("#_id_typepets").html(SmallTypes);
            // $("#_id_typeinformation").html($(this).html());

            $("#_id_selectionBox").html('');
        });
    });
    $("#selectionBox_back_btn").click(back_SmallTypes);
}

function back_BigTypes() {
    $("#BigTypes_div").show();
    $("#SmallTypes_div").hide();
    $("#PetVarieties_div").hide();
}

function back_SmallTypes() {
    $("#BigTypes_div").hide();
    $("#SmallTypes_div").show();
    $("#PetVarieties_div").hide();
    $("#selectionBox_back_btn").click(back_BigTypes);
}
