/**
 *update:lixingji
 *date:2014/7/11
 **/

var html_str_save = '';
var _TenderId_Global = '';

$(function() {
    init();

})

//初始化
function init() {
    load_data();
    //$("#_id_select_btn").click(add_click_btn);
    $_id("_id_select_btn").addEventListener("click", add_click_btn);
    $(".make-call").click(add_click_call);
}

//点击选中服务者按钮 
function add_click_btn() {
    try {
        $_id("_id_select_btn").removeEventListener("click", add_click_btn);
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        var ServicerId = Util.getCookie("AiPet_tenderList_servicerId");
        var TenderId = Util.getCookie("AiPet_tenderList_tenderId");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/selectServicer";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'TenderId': TenderId,
            'ServicerId': ServicerId,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "已选中此服务者！", 2000);
                toastView_obj.init();
                location.href = "service-list.html";
            }
        }
        var error_callback = function(params) {
            $_id("_id_select_btn").addEventListener("click", add_click_btn);
            console.log("error:" + JSON.stringify(params));
            var toastView_obj = new toastView("alertView", JSON.stringify(params), 2000);
            toastView_obj.init();
        }
        console.log("上传的数据：" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        toastView_obj.init();
        console.log(e.message);
    }
}

//点击拨打电话
function add_click_call() {
    var toastView_obj = new toastView("alertView", "选择此服务者后可电话联系", 2000);
    toastView_obj.init();
}

//加载服务者详情
function load_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        var ServicerId = Util.getCookie("AiPet_tenderList_servicerId");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getTenderServicerDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ServicerId': ServicerId,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("上传的数据：" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        toastView_obj.init();
        console.log(e.message);
    }
}

//显示服务者详情
function show_loadData(params) {
    var TenderId = params.tenderId; //投标ID
    var Servicer = params.servicer; //投标者
    var Distance = params.distance; //投标者与宠物主的距离
    var Price = params.price; //价格
    var SupplementIntro = params.supplementIntro; //投标补充说明

    _TenderId_Global = TenderId;

    var Id = Servicer.id; //服务者ID
    var ServiceNum = Servicer.serviceNum; //成功服务的次数
    var AveAppraise = Servicer.aveAppraise; //平均评价
    var AppraiseNum = Servicer.appraiseNum; //总评价人数
    var Address = Servicer.address; //服务者位置
    var IntroContent = Servicer.introContent; //服务者介绍文字
    var Name = Servicer.name; //姓名
    var Photo = Servicer.photo; //服务者图像
    var IntroPhoto = Servicer.introPhoto; //服务者介绍图片，如果有多种，以逗号隔开
    var IsAuthority = Servicer.isAuthority; //是否实名认证，1为是，0为否
    var Tel = Servicer.tel; //联系电话
    var SerType = Servicer.serType; //服务者类型，0为个人，1为商家
    var SerConFea = Servicer.serConFea; //服务内容和特色
    var IdentityArray = Servicer.identityArray; //认证清单
    var ServiceStaReq = params.serviceStaReq; //服务内容及特色
    var Content = params.content;

    $("#_id_photo").src = Photo;
    $("#_id_name").html(Name);
    $("#_id_price").html(Price + "元");
    $("#_id_tel").html(Tel.substring(0, Tel.length - 4) + "****");
    $("#_id_SerConFea").html(ServiceStaReq||"无");
    // $("#_id_IntroContent").html(SupplementIntro);
    $("#_id_IntroContent").html(DataProcessUtil.getContentValue(Content));
    $("#_id_name2").html(Name);
    $("#_id_Address").html(Address);
    $("#_id_ServiceNum").html(ServiceNum);
    $("#_id_AveAppraise").html(AveAppraise);
    $("#_id_AveAppraise2").html(AveAppraise);
    $("#_id_address").html(Address);
    $("#_id_distance").html((Distance / 1000000).toFixed(2) + "km");
    $("#_id_AveAppraise").html(AveAppraise + " &nbsp; " + DataProcessUtil.Evaluate(AveAppraise));
    $("#ServiceNum").html(ServiceNum);
    var html_str = "";
}
