/**
 *验证手机
 *author:lixingji
 *date: 2014/7/21
 *
 **/

var AccountId = Util.getCookie("AiPet_Name");
var AiPet_Key = Util.getCookie("AiPet_Key");

$(function() {
    init();
});

/**
 *初始化
 **/
function init() {
    $("#_id_positive").click(add_send_code);

    $("#_id_confirmNow").click(add_confirm_code_numbers);
}

/**
 *请求发送验证码到手机
 **/
function add_send_code() {
    try {
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "api/petowner/SendPetOwnerTelCode";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'Tel': AccountId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code == 1) {
                Dialog.alert("验证码已发送到您手机！");
            } else {
                alert(params.msg);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        Dialog.alert("请求错误！");
        console.log(e.message);
    }
}

//确认验证
function add_confirm_code_numbers() {
    try {
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var ValidateCode = $("#_id_Code").val();
        var request_url = url_util + "api/petowner/validatePetOwnerTel";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'Tel': AccountId,
            'ValidateCode': ValidateCode
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code == 1) {
                Util.SetCookie("AiPet_Key", null);
                Util.SetCookie("AiPet_Key", params.msg);
                Dialog.alert("验证成功！跳转中...");
                if (Util.getCookie("AiPet_petOwner_novalidate") == 1) {
                    setTimeout(function() {
                        history.back(-1);
                    }, 2000);
                } else if (Util.getCookie("AiPet_petOwner_novalidate") == 2) {
                    setTimeout(function() {
                        location.href = "../index.html";
                    },2000);
                } else {
                    setTimeout(sendReqDetail, 2000);
                }
                // setTimeout(function(){
                //     location.href="new-service-demand.html"
                // },1500);
            } else {
                alert(params.msg);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        Dialog.alert("请求错误！");
        console.log(e.message);
    }
}

//发布需求详情
function sendReqDetail() {
    try {
        var request_url = url_util + "api/petowner/createReq";
        var params = Util.getWebData('Aipet_new_service_params');
        var key = Util.getCookie("AiPet_Key");
        var dataStr = params.replace(params.split(",")[1], '"Code":"' + key + '"');
        var dataJson = JSON.parse(dataStr);
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            // if (params.code == 1) {
            Dialog.alert("需求发布成功！");
            Util.SetCookie("AiPet_List_ReqId", params.msg);
            setTimeout(function() {
                location.href = "service-detail-status1.html";
            }, 1500);
            // } else {
            //     console.log(params.msg);
            // Util.SetCookie("AiPet_location_href", "service-detail-status1.html");
            // Dialog.alert("您尚未登录喔！");
            // setTimeout(function() {
            //     location.href = "../signin.html";
            // }, 1500);
            // }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(dataJson));
        Util.getRequestData_GET(request_url, dataJson, success_callback, error_callback);

    } catch (e) {
        Dialog.alert("请求错误！");
        console.log(e.message);
    }
}
