var showload = null; //对话框对象
/**
 * 页面加载完成执行
 */
$(function() {
    init(); // 绑定事件的方法
});

function init() {
    petOwnerInfo();
    loadStaService();
    $("#btn_login").click(btn_login_click); // 绑定登陆按钮
    $("#Tel").bind("input", changeFocus);
    $("#Tel").focus(hideLogo);
}

//加载宠物的信息
function petOwnerInfo() {
    var username = Util.getCookie("AiPet_Name");
    var password = Util.getCookie("AiPet_Psw");
    if (username != null && username != '' && username != 'null')
        $("#Tel").val(username);
    else
        $("#Tel").val('');
    if (password != null && password != '' && username != 'null')
        $("#Psw").val(password);
    else
        $("#Psw").val('');
}

//改变焦点
function changeFocus() {
    var Tel = $(this).val();
    //改变焦点
    if (Tel.length >= 11) {
        setTimeout(function() {
            $("#Psw").focus();
        }, 300);
    }
}

//输入框获得焦点时隐藏logo
function hideLogo() {
    $(".login-logo").hide();
    //$("#_id_account_form").css("margin-top","0px");

    etTimeout(function() {
        $("#Tel").focus();
    }, 300);

}


function btn_login_click() {
    try {
        var request_url = url_util + "Api/petowner/login";
        var Tel = $("#Tel").val();
        var Psw = $("#Psw").val();
        Util.SetCookie("AiPet_Psw", Psw);
        var secret = '1A1D4EE7';
        if (Util.isEmpty(Tel) == false) {
            Tel = "";
        }
        if (Util.isEmpty(Psw) == false) {
            Psw = "";
        } else {
            Psw = $.md5($.md5(Psw) + secret);
            console.log(Psw);
        }
        var params = {
            'Tel': Tel,
            'Psw': Psw
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            dataProcessing(params, Tel, Psw);
            showload.hideDiv();
        }
        var error_callback = function(params) {
            showload.hideDiv();
            console.log("error:" + JSON.stringify(params));
        }
        if (Tel.length == 0) {
            var toastView_obj = new toastView("alertView", "手机号不能为空", 1000);
            toastView_obj.init();
        } else if (Psw.length == 0) {
            var toastView_obj = new toastView("alertView", "密码不能为空", 1000);
            toastView_obj.init();
        } else {
            if (showload == null) {
                showload = new showHtmlDialog("loading", "正在登陸...");
            } else {
                showload.showDiv();
            }

            // Util.setWebData("Aipet_login_again",JSON.stringify(params));
            Util.getRequestData_GET(request_url, params, success_callback,
                error_callback);
        }
    } catch (e) {
        alert("请求错误！");
        showload.hideDiv();
        console.log(e.message);
    }
}

function dataProcessing(params, Tel, Psw) {
    if (params.code == 1) {
        console.log(Tel + ";" + params.msg);
        Util.SetCookie("AiPet_Name", Tel);
        Util.SetCookie("AiPet_Key", params.msg);
        Util.SetCookie("login_key", "true");
        //跳转回跳转前的URL
        var pre_url = Util.getCookie("AiPet_location_href");
        if (pre_url != null)
            location.href = pre_url;
        else
            location.href = "index.html";
    } else {
        showload.hideDiv();
        var toastView_obj = new toastView("alertView", params.msg, 1000);
        toastView_obj.init();
    }
}

//加载标准服务
function loadStaService() {
    try {
        var request_url = url_util + "Api/ApiUtil/GetCommDictionary";
        var params = {
            'groupCode': 'StandardService'
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code == 1) {
                var CommDictionaryArray = params.commDictionaryArray;
                Util.SetCookie("AiPet_petOwner_BathSta", CommDictionaryArray[0].keyValue);
                Util.SetCookie("AiPet_petOwner_DoHairdressingSta", CommDictionaryArray[1].keyValue);
                Util.SetCookie("AiPet_petOwner_FindFosterageSta", CommDictionaryArray[2].keyValue);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        console.log(e.message);
    }
}
