$(function() {
    init();
});

function init() {
    unreadMessage('servicer/GetUnReadNoticeCount');
    unreadMessage('servicer/GetMy',load_data);
    //load_data();
    $("#_id_exit_btn").click(add_click_exitbtn);
}

function load_data(returnparams) {
    try {
        var AccountId = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        var request_url = url_util + "Api/Servicer/GetMy";
        var params = {
            'servicerAccount': AccountId,
            'Code': AiPet_Key
        };
        console.log("send data: " + params);
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "signin.html";
            } else {
                showdata(params);
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        if(returnparams!=null){
        	success_callback(returnparams);
        }else{
        	 Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        }
       
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

function showdata(params) {
    // var Photo = params.photo; //头像
    // var Money = params.money; //宠币
    // var successRate = params.successRate; //服务成功率
    var notification = params.unReadAdv; //未读通知数
    // var score = params.score;
    // var star = params.star;
    //以下是返回的数据
    var ServicerId = params.servicerId; //  int 服务者ID
    var Photo = params.userPhoto; //   string  头像
    var Money = params.money; //   float   宠币
    var IsAduit = params.isAduit; // int 认证信息，1 已认证 2 审核中 3 未认证
    var Score = params.score; //   int 服务平均评分
    var Star = params.star; //    int 评价星级
    var Name = params.name; //string 服务者名字
    var SuccessRate = params.successRate; // string  服务成功率
    Util.setWebData("AiPet_Servicer_ServicerId", ServicerId); //服务者ID

    if (Name.length > 8) {
        Name = Name.substring(0, 8) + "...";
    }
    $("#_id_photo_img").src = Photo;
    $(".pet-money-servicer-mine span").html(Money);
    $(".success-rate span").html(SuccessRate);
    $(".rating-points").html(Score);
    $("#notification").html(notification);
    $(".servicer-rating").append(showRatingPoints(Star));
    if (Name != null)
        $("#_id_user_name").html(Name);
    // 保证是数字
    notification = parseInt(notification);
    if (notification > 0) {
        $("#notification").show();
    }

    //身份认证
    if (IsAduit == 1) {
        // $("#_id_is_auth_validate").html("已认证");
        $("#_id_val_btn").attr("src", "../img/petOwnerVerified.png");
    } else {
        $("#_id_val_btn").attr("src", "../img/petOwnerUnverified.png");
        // $("#_id_is_auth_validate").html("未认证");
    }
    $("#_id_val_btn").click(function() {
        if (IsAduit == 1) {
            var toastView_obj = new toastView("alertView", "您已通过身份认证", 1000);
            toastView_obj.init();
        } else {
            location.href = "mine/id-auth.html";
        }
    });
}

//返回评分星星数量
function showRatingPoints(points) {
    var pointsInt = Math.floor(points);
    var pointsDe = points - pointsInt;
    var htmlstr = "";
    //    显示亮的部分
    for (var i = 0; i < pointsInt; i++) {
        htmlstr += '<img src="../img/evaluateLightIcon.png" alt=""/>'
    }
    //    显示半颗星
    if (points < 5 && pointsDe != 0) {
        htmlstr += (pointsDe < 0.5) ? '<img src="../img/evaluateGrayIcon.png" alt=""/>' : '<img src="../img/evaluateHalfIcon.png" alt=""/>';
    }
    //    显示灰的部分
    if (points < 4) {
        for (var i = 0; i < Math.floor(5 - points); i++) {
            htmlstr += '<img src="../img/evaluateGrayIcon.png" alt=""/>'
        }
    }
    return htmlstr;
}

function add_click_exitbtn() {
    Util.SetCookie("AiPet_Servicer_Name", null);
    Util.SetCookie("AiPet_Servicer_Key", null);
    location.href = "signin.html";
}
