// 中止服务
// author:lixingji
// date:2014/6/26
var StopServReason = 1;

$(function() {
    init();
})

// 初始化界面数据

function init() {
    loadData();
    $("#_id_comfirm_cancel_service").click(add_btn_click);
    // 中止原因按钮
    $("#_id_btn .btn").each(function() {
        $(this).click(function() {
            $("#_id_btn .btn-selected").removeClass("btn-selected");
            $(this).addClass("btn-selected");
            var item = $(this).attr("Item-id");
            Util.SetCookie("AiPet_StopItem", item);
        });
    });
}

//加载基本的信息
function loadData() {
    var petType = Util.getWebData("AiPet_Servicer_ServiceType");
    var petVarieties = Util.getWebData("AiPet_Servicer_PetVarieties");
    var PetWeight = Util.getWebData("AiPet_Servicer_PetWeight");
    var PublishTime = Util.getWebData("AiPet_Servicer_PublishTime");
    $("#_id_pet_img").attr("src", petType);
    $("#_id_pet_varities").html(petVarieties);
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(PublishTime);
}
// 加载数据

function uploadData(stopContent) {
    try {
        var request_url = url_util + "Api/servicer/stopServ";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var Reason = Util.getCookie("AiPet_StopItem");
        var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");
        var SerId = Util.getWebData("AiPet_Servicer_SerId"); //服务ID
        if (Reason == null || Reason == '' || Reason == undefined) {
            StopServReason = 1;
        } else {
            StopServReason = Reason;
        }
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'SerId': SerId,
            'StopSel': StopServReason, //服务中止原因，1为双方达成一致，0为服务者原因，未达成一致
            'StopContent': stopContent //中止原因
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code == 0) {
                var toastView_obj = new toastView("alertView", "无此服务编号！", 1000);
                toastView_obj.init();
            } else if (params.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "中止服务成功！", 1000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "service-detail-status4.html";
                }, 2000);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

//点击中止事件
function add_btn_click() {

    // var alertobj = new alertView("alertView", "您确定要中止服务吗？"); //confirm对话框
    var stopContent = $("#_id_stopContent").val();
    if (stopContent.length > 150) {
        var toastView_obj = new toastView("alertView", "字数超过限制！", 2000);
        toastView_obj.init();
    } else {
        if (confirm("确定要中止服务吗？"))
            uploadData(stopContent);
    }
}
