$(function() {
    init();
})

function init() {
    loadData();
    $("#_id_btn_confirm").click(add_btn_click);
    $("#_id_Sercontent_edit").click(add_btn_edit);
    $("#_id_input_text").bind("input", wordNumLeft);
    //输入金额
    $("#_id_input_money").bind("input", inputMoney);
}

function add_btn_click() {
    try {
        $("#_id_btn_confirm").disabled = "disabled";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var servicerReqId = Util.getWebData("AiPet_Servicer_List_ReqId");
        var request_url = url_util + "Api/Servicer/DoTender";
        var input_money = $("#_id_input_money").val();
        var input_text = $("#_id_input_text").val();
        var AddService = Util.getCookie("Aipet_Servicer_AddService");
        if (AddService == null) {
            AddService = "";
        }
        var params = {
                'servicerAccount': servicerAccount,
                'Code': AiPet_Key,
                'ReqId': servicerReqId,
                'Price': input_money,
                'AddService': AddService,
                'Content': input_text
            }
            //成功
        var success_callback = function(params) {
                console.log("success:" + JSON.stringify(params));
                if (params.code == 0) {
                    // MyToastView("您已报过价，请勿重复报价！", 1000);
                    var toastView_obj = new toastView("alertView", "您已报过价，请勿重复报价！", 2000);
                    toastView_obj.init();
                } else if (params.code == 1) {
                    // show_loadData(params);
                    var toastView_obj = new toastView("alertView", "报价成功！", 2000);
                    toastView_obj.init();
                    setTimeout(function() {
                        location.href = "service-detail-status1-2.html";
                    }, 2000);

                } else
                    location.href = "../signin.html";
            }
            //失败
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            MyToastView("报价失败！", 1000);
        }
        console.log("send:" + JSON.stringify(params));
        if (inputFlag(input_money, input_text) === true) {
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        } else {
            $("#_id_btn_confirm").disabled = "";
        }

    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

function loadData() {
    try {
        var request_url = url_util + "Api/Servicer/GetReqDetail";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var servicerCode = Util.getCookie("AiPet_Servicer_Key");
        var servicerReqId = Util.getWebData("AiPet_Servicer_List_ReqId");
        //清Cookie
        Util.setWebData("AiPet_Servicer_HasTender_tenderNum",'');


        var params = {
            'servicerAccount': servicerAccount,
            'Code': servicerCode,
            'ReqId': servicerReqId
        }

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        if (servicerAccount.length == 0) {
            var toastView_obj = new toastView("alertView", "手机号不能为空", 1000);
            toastView_obj.init();
        } else {
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        }
    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

// 显示数据

function show_loadData(params) {
    var ServiceType = params.serviceType; // int 服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = params.petVarieties; //string 宠物品种SeviceWay
    var SeviceWay = params.seviceWay; //int 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = params.serviceAdd; //string 服务地点(只到店时为空)
    var ServiceBegintime = params.serviceBegintime; //string 服务要求开始时间
    var ServiceEndtime = params.serviceEndtime; //string 服务要求结束时间
    var ServiceTimeDesc = params.serviceTimeDesc; // string 服务时间（全天、白天、晚上）
    var ServiceReqdiy = params.serviceReqdiy; //    string  服务要求-自定义
    var ServiceStaReq = params.serviceStaReq //string   标准服务
    var ServiceSelfReq = params.serviceSelfReq //string 个性需求
    var EffectiveTime = params.effectiveTime //string   需求有效时间
    var SerivceCode = params.serivceCode //string   服务编号，当服务生效时有效
    var CallResultStatus = params.callResultStatus //CallResultStatus   请求结果
    var PetWeight = params.petWeight; //宠物重量
    var PublishTime = params.publishTime; //发布时间
    var AddService = Util.getCookie("Aipet_Servicer_AddService");
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    $("#service_time").html(ServiceTimeDesc);
    $("#service_way").html(SeviceWay_val(SeviceWay));
    $("#service_address").html(ServiceAdd);
    Util.SetCookie("Aipet_Servicer_Type_Item", ServiceType);

    if (SeviceWay == 100) {
        $("#_id_address").hide();
    }
    if (ServiceStaReq == null || ServiceStaReq == "") {
        if (confirm('你还没设置' + ServiceType_Content(ServiceType) + '服务，要现在设置吗？')) {
            loadEditServiceId();
        }
    }
    else {
        // if (AddService != null)
        //     $("#_id_ServiceContent").html(DataProcessUtil.ServiceStaReq_Val(AddService));
        // else
        $("#_id_ServiceContent").html(DataProcessUtil.ServiceStaReq_Val(ServiceStaReq));
        Util.SetCookie("Aipet_Servicer_AddService", ServiceStaReq); //添加的。搞不清标准服务和报价所选服务的区别
    }


    $("#_id_img_type").attr("src", ServiceType_val(ServiceType));
    $("#_id_PetVarieties").html(PetVarieties_val(PetVarieties));
    Util.SetCookie("AiPet_Servicer_ServiceType", ServiceType);

}

// 服务方式

function SeviceWay_val(val) {
    if (val == '001') {
        return '接送';
    } else if (val == '010') {
        return '上门';
    } else if (val == '100') {
        return '到店';
    } else if (val == 111) {
        return '都可以';
    }
    return '都可以';
}

// 服务类型

function ServiceType_val(ServiceType) {
    if (ServiceType == '0') {
        return '../../img/ToBatheIconDetail.png';
    } else if (ServiceType == '1') {
        return '../../img/doHairdressingIconDetail.png';
    } else if (ServiceType == '2') {
        return '../../img/findFosterageIconDetail.png';
    }

}

//服务类型值
function ServiceType_Content(ServiceType) {
    if (ServiceType == '0') {
        return '洗澡';
    } else if (ServiceType == '1') {
        return '美容';
    } else if (ServiceType == '2') {
        return '寄养';
    }
}

// 宠物品种

function PetVarieties_val(PetVarieties) {
    return PetVarieties.split(" ")[2];
}

//服务者输入的报价值 

function inputFlag(input_money, input_text) {
    if (input_money != '' && input_money <= 99999 && input_text.length < 150)
        return true;
    else if (input_money == '') {
        var toastView_obj = new toastView("alertView", "报价不能为空", 2000);
        toastView_obj.init();
        // alert("报价不能为空");
    } else if (input_money > 99999) {
        var toastView_obj = new toastView("alertView", "报价不能超过99999", 2000);
        toastView_obj.init();
        // alert("报价不能超过99999");
    } else if (input_text.length > 150) {
        $("#_id_word_overload").html("字数超出");
        var toastView_obj = new toastView("alertView", "留言信息不能超过150字", 2000);
        toastView_obj.init();
        // alert("留言信息不能超过150字");
    }
    return false;
}


//点击编辑按钮
function add_btn_edit() {
    // loadEditPage();
    // location.href = "../mine/servicer-center-service.html";
    loadEditServiceId();
}

//加入报价设定的id
function loadEditServiceId() {
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/servicer/GetServiceBaseInfo";
        var params = {
            'servicerAccount': AccountId,
            'Code': AiPet_Key
        };

        var success_callback = function(params) {
            //console.log("success:"+JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                var type = Util.getCookie("AiPet_Servicer_ServiceType");
                var ProvideServiceArray = params.provideServiceArray; // List<ProvideService>    提供的服务列表
                //获取serviceId
                Util.SetCookie("AiPet_Servicer_Item_ServiceId", 0); //服务编号初始值
                for (var i = 0; i < ProvideServiceArray.length; i++) {
                    if (ProvideServiceArray[i].serviceType == type) {
                        Util.SetCookie("AiPet_Servicer_Item_ServiceId", ProvideServiceArray[i].id);
                    }
                }
                location.href = "../mine/servicer-center-service.html";
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

//剩余字数
function wordNumLeft() {
    var wordText = $(this).val();
    var wordNum = 140 - wordText.length;
    $("#_id_left_num").html("剩余" + wordNum + "字");
}

//输入报价
function inputMoney() {
    Util.isNumberRangePoint("_id_input_money");
    var price = $(this).val();
    if (price > 99999) {
        var toastView_obj = new toastView("alertView", "报价不能超过99999", 2000);
        toastView_obj.init();
        return;
    }
}
