// 撤销报价
// author:lixingji
// date:2014/6/26

$(function() {
    init();
});

function init() {
    loadData();
}

//加载数据 

function loadData() {
    try {
        var request_url = url_util + "Api/Servicer/GetTenderAndReqDetail";

        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        // var servicerReqId = Util.getCookie("AiPet_Servicer_List_ReqId");
        var servicerReqId = Util.getWebData("AiPet_Servicer_List_ReqId");

        if (servicerAccount == null) {
            servicerAccount = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': servicerReqId
        };

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                // location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        //alert(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}

//显示数据

function show_loadData(params) {
    var tender_info = params.tenderInfo; //TenderInfo   报价信息
    var req_detail = params.requestDetail; //   RequestDetail   需求详情
    var callResultStatus = params.callResultStatus; //  CallResultStatus    调用结果
    var oneDesc = params.oneDesc; //    string  一名话描述，如待服务，即“恭喜你抢到服务”，如待评价，即“你的服务尚未得到评价”
    var petOwner_name = params.petOwnerName; // string  宠物主名称（抢中服务有效）
    var petOwner_tel = params.PetOwnerTel; //   string  宠物主联系电话（抢中有效）
    var tenderId = tender_info.id; //  int 报价ID编号
    var ServiceBegintime = req_detail.serviceBegintime; //服务要求开始时间
    var ServiceEndtime = req_detail.serviceEndtime; //服务要求结束时间
    var ServiceTimeDesc = req_detail.serviceTimeDesc; //服务时间（全天、白天、晚上）
    var servicerContent = tender_info.content; //string    报价说明内容
    var serverSpe = tender_info.serverSpe; //string 服务内容特色
    var selfReq = req_detail.serviceReqdiy; //string   服务要求-自定义 个性化需求
    var ServiceType = req_detail.serviceType; //int   服务种类，洗澡（0）、美容（1）、寄养（2）
    var serviceStaReq = req_detail.serviceStaReq; //标准服务
    var PetWeight = req_detail.petWeight; //宠物重量
    var PublishTime = req_detail.publishTime; //发布时间


    var ReqId = Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID
    var Ser_Req_id = "00000000" + ReqId;
    Ser_Req_id = Ser_Req_id.substring(ReqId.length, Ser_Req_id.length);

    var TenderNumber = Util.getWebData("AiPet_Servicer_HasTender_tenderNum");
    if (selfReq == "" || selfReq == null) {
        selfReq = "主人，那家伙木有填写";
    }
    //标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    //服务方式
    if (req_detail.seviceWay == 100) {
        $("#_id_address").hide();
    }
    if (TenderNumber != null && TenderNumber != '') {
        $("#_id_tender_num").html(TenderNumber);
    } else {
        $("#_id_tender_num").html("1");
    }

    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    $("#_id_pet_img").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_pet_varities").html(req_detail.petVarieties.split(" ")[2]);
    // $("#service-time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service-time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service-way").html(DataProcessUtil.SeviceWay_val(req_detail.seviceWay));
    $("#service-address").html(DataProcessUtil.S_ServiceAdd_Val(req_detail.serviceAdd));
    $("#tender-price").html(tender_info.price);
    $("#_id_servicer_content").html(DataProcessUtil.getContentValue(servicerContent));

    $("#_id_self_req").html(selfReq);
    $("#_id_service_content_spe").html(DataProcessUtil.ServiceSpe_Val(serverSpe, serviceStaReq));
    $("#_id__serviceStaReq").html(DataProcessUtil.ServiceStaReq_Val(StaService));
    $("#_id_ser_reqId").html(Ser_Req_id);

    Util.SetCookie("Aipet_Servicer_TenderId", tenderId);
}


// // 服务方式

// function SeviceWay_val(val) {
//     if (val == '001') {
//         return '接送';
//     } else if (val == '010') {
//         return '上门';
//     } else if (val == '100') {
//         return '到店';
//     } else if (val == '111') {
//         return '都可以';
//     }
//     return '都可以';
// }

// // 服务相应类型图片

// function ServiceType_val(ServiceType) {
//     if (ServiceType == '0') {
//         return '../../img/ToBatheIconDetail.png';
//     } else if (ServiceType == '1') {
//         return '../../img/doHairdressingIconDetail.png';
//     } else if (ServiceType == '2') {
//         return '../../img/findFosterageIconDetail.png';
//     }

// }
