//服务需求
$(function() {
    init();
})

function init() {
    req_url();
    load_data();
}

function load_data() {
    try {
        var request_serviceNum_url = url_util + "Api/Servicer/GetTenderNumber";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");
        var request_url = url_util + "Api/Servicer/GetReqDetail";
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': Req_id
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code !== 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }

        //成功请求服务者数量回调函数
        var success_Num_callback = function(params) {
            console.log("success(num):" + JSON.stringify(params));
            if (params.code !== 1) {
                location.href = "../signin.html";
            } else {
                //显示已报价服务者个数
                var num = params.msg;
                $("#servicer_num").html(num);
                Util.setWebData("aipet_servicer_num", num);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("request_url:" + request_url);
        //alert(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        Util.getRequestData_GET(request_serviceNum_url, params, success_Num_callback, error_callback);

    } catch (e) {
        console.log("catch error");
    }
}

function req_url() {

    //var AiPet_Servicer_url = Util.getCookie("AiPet_Servicer_url");
    var AiPet_Servicer_url = Util.getWebData("AiPet_Servicer_url");
    alertView(AiPet_Servicer_url);
    if (AiPet_Servicer_url == null) {
        AiPet_Servicer_url = "../service-list.html";
    }

    $("#_id_url").attr("href", AiPet_Servicer_url);

}

// 显示数据

function show_loadData(params) {
    var ServiceType = params.serviceType; // int 服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = params.petVarieties; //string 宠物品种SeviceWay
    var SeviceWay = params.seviceWay; //int 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = params.serviceAdd; //string 服务地点(只到店时为空)
    var ServiceBegintime = params.serviceBegintime; //string 服务要求开始时间
    var ServiceEndtime = params.serviceEndtime; //string 服务要求结束时间
    var ServiceTimeDesc = params.serviceTimeDesc; // string 服务时间（全天、白天、晚上）
    var ServiceReqdiy = params.serviceReqdiy; //    string  服务要求-自定义
    var ServiceStaReq = params.serviceStaReq //string   标准服务
        // var ServiceReqdiy = params.serviceReqdiy //string 个性需求
    var EffectiveTime = params.effectiveTime //string   需求有效时间
    var SerivceCode = params.serivceCode //string   服务编号，当服务生效时有效
    var CallResultStatus = params.callResultStatus //CallResultStatus   请求结果
    var PetWeight = params.petWeight; //宠物重量
    var PublishTime = params.publishTime; //发布时间
    var Ser_Req_id_old =  Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID 
    
    
   var Ser_Req_id="00000000"+Ser_Req_id_old;
    Ser_Req_id=Ser_Req_id.substring(Ser_Req_id_old.length,Ser_Req_id.length);

    
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.publishTime_Val(PublishTime));

    if (ServiceReqdiy == "" || ServiceReqdiy == null) {
        ServiceReqdiy = "主人，那家伙木有填写";
    }
    //服务方式
    if(SeviceWay==100){
        $("#_id_address").hide();
    }
    //标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    //有效时间
    setInterval(function() {
        var date = new Date();
        $("#_id_effective_time").html(DataProcessUtil.EffectiveTime_Val(EffectiveTime)+"内有效");
        //设置时间进度条
        DataProcessUtil.setTimePrecent(EffectiveTime, PublishTime);
    }, 900);

    $("#effetive_time").html(DataProcessUtil.EffectiveTime_Val(EffectiveTime));
    // $("#service_time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + DataProcessUtil.ServiceTimeDesc_Val(ServiceTimeDesc).split(" ")[0]);
    $("#service_time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service_way").html(DataProcessUtil.SeviceWay_val(SeviceWay));
    $("#service_address").html(DataProcessUtil.S_ServiceAdd_Val(ServiceAdd));
    $("#service_self_req").html(ServiceReqdiy);
    $("#_id_ServiceStaReq").html(StaService);
    $("#_id_img_type").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_PetVarieties").html(DataProcessUtil.PetVarieties_val(PetVarieties));
    $("#_id_ser_reqId").html(Ser_Req_id);
}

// // 服务方式

// function SeviceWay_val(val) {
//     if (val == '001') {
//         return '接送';
//     } else if (val == '010') {
//         return '上门';
//     } else if (val == '100') {
//         return '到店';
//     } else if (val == 111) {
//         return '都可以';
//     }
//     return '都可以';
// }

// // 服务类型

// function ServiceType_val(ServiceType) {
//     if (ServiceType == '0') {
//         return '../../img/ToBatheIconDetail.png';
//     } else if (ServiceType == '1') {
//         return '../../img/doHairdressingIconDetail.png';
//     } else if (ServiceType == '2') {
//         return '../../img/findFosterageIconDetail.png';
//     }

// }

// //剩余有效时间计算
// function EffectiveTime_Val(EffectiveTime) {
//     var str = "";
//     var date1 = new Date();
//     var date2 = new Date(EffectiveTime);

//     var s1 = date1.getTime(),
//         s2 = date2.getTime();
//     //总秒数
//     var total = parseInt((s2 - s1) / 1000);
//     //天数
//     var day = parseInt((total / (60 * 60 * 24))) % 365;
//     //小时数
//     var hour = parseInt((total - day * 24 * 60 * 60) / (3600)) % 24;
//     //分钟数
//     var minute = parseInt((total - day * 24 * 60 * 60 - hour * 60 * 60) / (60)) % 60;
//     var second = parseInt(total - day * 24 * 60 * 60 - hour * 60 * 60 - minute * 60);
//     if (day > 0)
//         str += "<b>" + day + "</b>天";
//     if (hour > 0)
//         str += "<b>" + hour + "</b>时";
//     if (minute > 0)
//         str += "<b>" + minute + "</b>分";
//     if (second > 0)
//         str += "<b>" + second + "</b>秒";
//     else
//         str+="<b>0</b>秒";
//     return str + "内有效";
// }

// // 宠物品种

// function PetVarieties_val(PetVarieties) {
//     return PetVarieties.split(" ")[2];
// }
// 
// 服务者报价人数
// function show_serviceNum(params) {
//     var num = params.msg;
//     $("#servicer_num").html(num);
// }
