// 待评价服务
// author:lixingji
// date:2014/6/26
$(function() {
    init();
})

// 初始化界面数据

function init() {
    save_current_url();
    load_data();
}

// 加载数据
function load_data() {
    try {
        var request_url = url_util + "Api/servicer/getNoAppriseService"; //获取待评价服务接口
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': Req_id
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (Req_id == null) {
            Req_id = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                //保存当前URL
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        alert("请求错误！！");
    }
}

//保存当前的url
function save_current_url() {
    Util.setWebData("AiPet_Servicer_url", "service-detail-status3.html");
    Util.SetCookie("Aipet_servicer_apparaise_modify", '0'); //进行评价为0

}

// 显示数据

function show_loadData(params) {
    var tender_info = params.tenderInfo; //TenderInfo  报价信息
    var req_detail = params.requestDetail; //RequestDetail   需求详情
    var callResultStatus = params.callResultStatus; //CallResultStatus 调用结果
    var oneDesc = params.oneDesc; //string 一名话描述，如待服务，即“恭喜你抢到服务”，如待评价，即“你的服务尚未得到评价”
    var petOwner_name = params.petOwnerName; //string   宠物主名称（抢中服务有效）
    var petOwner_tel = params.petOwnerTel; //string 宠物主联系电话（抢中有效）
    var PhoneNumbers = DataProcessUtil.Tel(petOwner_tel); //联系电话处理

    //tenderTnfo的详细内容
    var TenderId = tender_info.id; //报价ID
    var Price = tender_info.price; //报价
    var Content = tender_info.content; //内容
    var ServerSpe = tender_info.serverSpe; //服务特色

    //RequestDetail的详细内容
    var ServiceType = req_detail.serviceType; // int 服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = req_detail.petVarieties; //string 宠物品种SeviceWay
    var SeviceWay = req_detail.seviceWay; //int 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = req_detail.serviceAdd; //string 服务地点(只到店时为空)
    var ServiceBegintime = req_detail.serviceBegintime; //string 服务要求开始时间
    var ServiceEndtime = req_detail.serviceEndtime; //string 服务要求结束时间
    var ServiceTimeDesc = req_detail.serviceTimeDesc; // string 服务时间（全天、白天、晚上）
    var ServiceReqdiy = req_detail.serviceReqdiy; //    string  服务要求-自定义
    var ServiceStaReq = req_detail.serviceStaReq //string   标准服务
        // var ServiceReqdiy = req_detail.serviceReqdiy //string 个性需求
    var EffectiveTime = req_detail.effectiveTime //string   需求有效时间
    var SerivceCode = req_detail.serivceCode //string   服务编号，当服务生效时有效
    var CallResultStatus = req_detail.callResultStatus //CallResultStatus   请求结果
    var PetWeight = req_detail.petWeight; //宠物重量
    var PublishTime = req_detail.publishTime; //发布时间
    var ServiceId = req_detail.serviceId; //服务id
    loadPetOwnerAppraiseData(ServiceId);

    if (ServiceReqdiy == "" || ServiceReqdiy == null) {
        ServiceReqdiy = "主人，那家伙木有填写";
    }
    if (ServiceStaReq == "" || ServiceStaReq == null) {
        ServiceStaReq = "〈空〉";
    }
    //标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    $("#_id_img_type").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_PetVarieties").html(DataProcessUtil.PetVarieties_val(PetVarieties));
    $("#service_address").html(DataProcessUtil.S_ServiceAdd_Val(ServiceAdd)); //服务地址
    $("#service_self_req").html(ServiceReqdiy); //个性化需求
    // $("#service-time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service-time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service_way").html(DataProcessUtil.SeviceWay_val(SeviceWay)); //服务方式
    $("#petOwner_name").html(DataProcessUtil.Name(petOwner_name));
    $("#petOwner_tel").html(DataProcessUtil.Tel(PhoneNumbers));
    $("#tender-price").html(Price);
    $("#_id_Content").html(DataProcessUtil.getContentValue(Content));
    $("#_id_content_spe").html(DataProcessUtil.ServiceSpe_Val(ServerSpe, ServiceStaReq)||"无");
    $("#_id_ServiceStaReq").html(StaService);
    //服务需求ID
   // var Ser_Req_id = Util.getWebData("AiPet_Servicer_List_ReqId") + "00000000"; //服务需求ID 
    
    var ReqId = Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID
    var Ser_Req_id="00000000"+ReqId;
    Ser_Req_id=Ser_Req_id.substring(ReqId.length,Ser_Req_id.length);
    $("#_id_ser_reqId").html(Ser_Req_id);
    // $("#_id_TelNum_Call").attr("href", "Tel:" + PhoneNumbers);
    //拨打电话
    $("#_id_tel_call").click(function() {
        location.href = "Tel:" + PhoneNumbers;
    });

}

//加载宠物主的评价信息
function loadPetOwnerAppraiseData(ServiceId) {
    try {
        var request_url = url_util + "Api/servicer/getPetOwnerAppraise"; //获取待评价服务接口
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ServiceId': ServiceId
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (servicerAccount == null) {
            servicerAccount = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {

            } else {
                show_appraiseData(params);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        alert("请求错误！！");
    }
}

//显示评价的内容
function show_appraiseData(params) {
    var Appraise = params.appraise; //Appraise    评价详情

    var ServiceId = Appraise.serviceId; //   String  服务ID
    var ServiceType = Appraise.serviceType; // Stiring 服务种类，洗澡（0）、美容（1）、寄养（2）、商品（3）
    var ServiceDate = Appraise.serviceDate; // String  服务时间
    var UserPhoto = Appraise.userPhoto; //   string  评价者图像
    var Content = Appraise.content; // string  评价内容
    var Fraction = Appraise.fraction; //    float   分数
    var Photo = Appraise.photo; //   string  评价图片路径，如果有多张图片，以“，”隔开
    var Name = Appraise.name; //姓名
    var PublishDt = Appraise.publishDt; //   string  发布时间
    var ReplyContent = Appraise.replyContent; //    string  评价回复内容，可能为空
    var ReplyPhoto = Appraise.replyPhoto; // string  评价回复图片路径，如果有多张图片，以逗号隔开
    var ReplyDt = Appraise.replyDt; //string  回复时间
    var ReplyUserPhoto = Appraise.replyUserPhoto; //string  回复者图片
    var HasEdit = Appraise.hasEdit; //Int 是否已修改，1为是，0为否
    //评价内容加载
    if (Content != undefined && Content != null && Content != '') {
        html_str = '';
        html_str += '<div class="single-comment clearfloat"><p class="user-name"><b>' + Name + ' </b></p>';
        html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
        html_str += '<p class="rating">评价：<span class="rating-points">' + Fraction + '</span>';
        html_str += '<span class="rating-stars">';

        html_str += DataProcessUtil.Evaluate(Fraction);
        html_str += '</span></p><p class="comment-text">' + Content + '</p>';
        if (ReplyDt != null) {
            html_str += '<div class="reply-wrap"><p class="user-name"><b>' + Name + '</b></p>';
            html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
            html_str += '<p class="comment-text">' + ReplyContent + '</p></div>';
        }else{
            html_str += '<a href="appraise-reply.html" style="color:green;float: right;"><button class="btn  btn-primary" id="_id_reply_btn">进行回复</button></a></p>';
        }
//        html_str+='<div align="center" style="background-color:#EEEEB8;"><a href="appraise-reply.html" style="color:green;"><b id="_id_reply_btn" align="center">进行回复</b></a></div>'
        html_str += '</div>'
        $("#_id_appraise_content").html(html_str);
        $("#_id_tip_state").html('你的服务已收到如下评价');
    }
}



// // 服务方式

// function SeviceWay_val(val) {
//     if (val == '001') {
//         return '接送';
//     } else if (val == '010') {
//         return '上门';
//     } else if (val == '100') {
//         return '到店';
//     } else if (val == 111) {
//         return '都可以';
//     }
//     return '都可以';
// }

// // 服务类型

// function ServiceType_val(ServiceType) {
//     if (ServiceType == '0') {
//         return '../../img/ToBatheIconDetail.png';
//     } else if (ServiceType == '1') {
//         return '../../img/doHairdressingIconDetail.png';
//     } else if (ServiceType == '2') {
//         return '../../img/findFosterageIconDetail.png';
//     }
// }

// //宠物主的信息处理
// var PetOwner = {
//     Name: function(petOwner_name) {
//         if (petOwner_name == null || petOwner_name.length <= 0 || petOwner_name == '')
//             return petOwner_name = "暂无";
//         return petOwner_name;
//     },

//     Tel: function(petOwner_tel) {
//         if (petOwner_tel == null || petOwner_tel.length <= 0 || petOwner_tel == '')
//             return petOwner_tel = "暂无";
//         return petOwner_tel;
//     }
// }

// // 宠物品种

// function PetVarieties_val(PetVarieties) {
//     return PetVarieties.split(" ")[1];
// }
