//已评价服务
//获取服务评价接口
//author:lixingji
//date:2014/6/26
var HasEdit = 0;

$(function() {
    init();
});

// 初始化界面数据

function init() {
    load_data();

}

// 加载数据

function load_data() {
    try {
        var request_url = url_util + "Api/servicer/GetServiceAppraise";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");
        var ServiceId = Util.getWebData("AiPet_Servicer_ServiceId"); //服务器暂无返回 Util.getWebData("AiPet_Servicer_List_BingoId"); //服务ID

        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': Req_id,
            'ServiceId': ServiceId
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (servicerAccount == null) {
            servicerAccount = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {

            console.log("success:" + JSON.stringify(params));
            console.log("ServiceId:" + ServiceId);
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                setFooter(HasEdit);
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(request_url);
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

// 显示数据

function show_loadData(params) {
    var tender_info = params.tenderInfo; //TenderInfo  报价信息
    var req_detail = params.requestDetail; //RequestDetail   需求详情
    var callResultStatus = params.callResultStatus; //CallResultStatus 调用结果
    var appraise = params.appraise; //     Appraise 评价
    var servicerContent = tender_info.content; //string    报价说明内容
    var selfReq = req_detail.serviceReqdiy; //string   服务要求-自定义 个性化需求
    var serverSpe = tender_info.serverSpe; //服务内容及特色
    var ServiceType = req_detail.serviceType; //int   服务种类，洗澡（0）、美容（1）、寄养（2）
    var ServiceBegintime = req_detail.serviceBegintime; //服务要求开始时间
    var ServiceEndtime = req_detail.serviceEndtime; //服务要求结束时间
    var ServiceTimeDesc = req_detail.serviceTimeDesc; //服务时间（全天、白天、晚上）
    var ServiceStaReq = req_detail.serviceStaReq; //标准服务
    var PetVarieties = req_detail.petVarieties.split(" ")[2];
    var PetWeight = req_detail.petWeight; //宠物重量
    var PublishTime = req_detail.publishTime; //发布时间
    
    
    	bothAppraiseLoadData();
//标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    //需求服务信息加载
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));
    $("#_id_pet_img").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_pet_varities").html(PetVarieties);
    $("#tender-price").html(tender_info.price);
    // $("#service-time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service-time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service-way").html(DataProcessUtil.SeviceWay_val(req_detail.seviceWay));
    $("#service-address").html(DataProcessUtil.S_ServiceAdd_Val(req_detail.serviceAdd));
    $("#_id_servicer_content").html(DataProcessUtil.getContentValue(servicerContent));
    $("#_id_self_req").html(selfReq);
    $("#_id_ServiceStaReq").html(StaService);
    $("#_id_serviceSpe").html(DataProcessUtil.ServiceSpe_Val(serverSpe,ServiceStaReq)||"无");
    //$("#petOwner_name").html(petOwnerNikeName);
    //$("#petOwner_tel").html(petOwnerTel);
    //$("#_id_dail_phoneNum").attr("href", "Tel:" + petOwnerTel);
    //服务需求ID
    //var Ser_Req_id = Util.getWebData("AiPet_Servicer_List_ReqId") + "00000000"; //服务需求ID 
    var ReqId = Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID
    var Ser_Req_id="00000000"+ReqId;
    Ser_Req_id=Ser_Req_id.substring(ReqId.length,Ser_Req_id.length);
    $("#_id_ser_reqId").html(Ser_Req_id);

    //设置底部按钮
    setFooter(HasEdit);

}

//点击评价顾客按钮
function add_btn_click() {
    Util.setWebData("AiPet_Servicer_url", location.href);
    location.href = "comment-service.html";
}

//设置底部按钮
function setFooter(HasEdit) {
    var Status = Util.getWebData("AiPet_Servicer_Status");
    if (Status == 12) {
        // Util.SetCookie("Aipet_servicer_apparaise_modify", '0'); //进行评价为0
        // $("#_id_reply_btn").show(); //显示进行回复
        // $("#_id_appraise").html("评价顾客");
        // $("#_id_appraise").click(add_btn_click);
    } else {
        $("#_id_reply_btn").hide();
        //隐藏进行回复
        // if (Status == 13)
        // $("#_id_reply_btn").hide();
        //判断是否已修改评价
        if (HasEdit == 0) {
            Util.SetCookie("Aipet_servicer_apparaise_modify", '1'); //修改评价为1
            /*$("#_id_appraise").html("修改评价(13天21小时内有效)");
            $("#_id_appraise").click(add_btn_click);*/
            $("#_id_appraise").addClass("disabled");
            $("#_id_appraise").html("您已经评价");
        } else {
            $("#_id_appraise").addClass("disabled");
            $("#_id_appraise").html("您已修改过评价");
        }
    }
}

//双方评价
function bothAppraiseLoadData() {
    try {
        var request_url = url_util + "Api/servicer/GetAppraise4Service";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var ServiceId = Util.getWebData("AiPet_Servicer_ServiceId"); //服务器暂无返回 Util.getWebData("AiPet_Servicer_List_BingoId"); //服务ID
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ServiceId': ServiceId
        };
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        if (servicerAccount == null) {
            servicerAccount = "aipet";
        }
        //成功请求回调函数
        var success_callback = function(params) {
                console.log("success:" + JSON.stringify(params));
                console.log("ServiceId:" + ServiceId);
                if (params.callResultStatus.code != 1) {
                    Util.SetCookie("AiPet_Servicer_location_href", location.href);
                    setFooter(HasEdit);
                    location.href = "../signin.html";
                } else {
                    show_appraiseData(params);
                }
            }
            //请求错误回调函数
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

//显示双方评价的数据
function show_appraiseData(params) {
    var AppraisePetOwner = params.appraisePetOwner; //Appraise    宠物主评价
    var AppraiseServicer = params.appraiseServicer; //Appraise    服务者评价

    //宠物主评价
    if(AppraisePetOwner!=null){
    var PetOwnerServiceId = AppraisePetOwner.serviceId; //String  服务ID
    var PetOwnerServiceType = AppraisePetOwner.serviceType; //Stiring 服务种类，洗澡（0）、美容（1）、寄养（2）、商品（3）
    var PetOwnerName = AppraisePetOwner.name; //名字
    var PetOwnerServiceDate = AppraisePetOwner.serviceDate; //String  服务时间
    var PetOwnerUserPhoto = AppraisePetOwner.userPhoto; //string  评价者图像
    var PetOwnerContent = AppraisePetOwner.content; //string  评价内容
    var PetOwnerFraction = AppraisePetOwner.fraction; //float   分数
    var PetOwnerPhoto = AppraisePetOwner.photo; //string  评价图片路径，如果有多张图片，以“，”隔开
    var PetOwnerPublishDt = AppraisePetOwner.publishDt; //string  发布时间
    var PetOwnerReplyContent = AppraisePetOwner.replyContent; //string  评价回复内容，可能为空
    var PetOwnerReplyUserName = AppraisePetOwner.replyUserName; //回复者姓名
    var PetOwnerReplyPhoto = AppraisePetOwner.replyPhoto; //string  评价回复图片路径，如果有多张图片，以逗号隔开
    var PetOwnerReplyDt = AppraisePetOwner.replyDt; //string  回复时间
    var PetOwnerReplyUserPhoto = AppraisePetOwner.replyUserPhoto; //string  回复者图片
    var PetOwnerHasEdit = AppraisePetOwner.hasEdit; //Int 是否已修改，1为是，0为否
    }
    //服务者评价
    var ServicerServiceId = AppraiseServicer.serviceId; //String  服务ID
    var ServicerServiceType = AppraiseServicer.serviceType; //Stiring 服务种类，洗澡（0）、美容（1）、寄养（2）、商品（3）
    var ServicerName = AppraiseServicer.name; //名字
    var ServicerServiceDate = AppraiseServicer.serviceDate; //String  服务时间
    var ServicerUserPhoto = AppraiseServicer.userPhoto; //string  评价者图像
    var ServicerContent = AppraiseServicer.content; //string  评价内容
    var ServicerFraction = AppraiseServicer.fraction; //float   分数
    var ServicerPhoto = AppraiseServicer.photo; //string  评价图片路径，如果有多张图片，以“，”隔开
    var ServicerPublishDt = AppraiseServicer.publishDt; //string  发布时间
    var ServicerReplyUserName = AppraiseServicer.replyUserName; //回复者姓名
    var ServicerReplyContent = AppraiseServicer.replyContent; //string  评价回复内容，可能为空
    var ServicerReplyPhoto = AppraiseServicer.replyPhoto; //string  评价回复图片路径，如果有多张图片，以逗号隔开
    var ServicerReplyDt = AppraiseServicer.replyDt; //string  回复时间
    var ServicerReplyUserPhoto = AppraiseServicer.replyUserPhoto; //string  回复者图片
    var ServicerHasEdit = AppraiseServicer.hasEdit; //Int 是否已修改，1为是，0为否

    //petOwner的评价
    var html_str_petowner = '';
   
    html_str_petowner += '<div class="single-comment clearfloat"><p class="user-name"><b>' + PetOwnerName + ' </b></p>';
    html_str_petowner += '<p class="comment-timestamp">' + PetOwnerPublishDt + '</p>';
    html_str_petowner += '<p class="rating">评价：<span class="rating-points">' + PetOwnerFraction + '</span>';
    html_str_petowner += '<span class="rating-stars">';
    html_str_petowner_fration_cache = DataProcessUtil.Evaluate(PetOwnerFraction);
    html_str_petowner+=html_str_petowner_fration_cache;
    html_str_petowner += '</span></p><p class="comment-text">' + PetOwnerContent ;
    if (PetOwnerReplyDt != null) {
        html_str_petowner += '<div class="reply-wrap"><p class="user-name"><b>' + PetOwnerReplyUserName + '</b></p>';
        html_str_petowner += '<p class="comment-timestamp">' + PetOwnerReplyDt + '</p>';
        html_str_petowner += '<p class="comment-text">' + PetOwnerReplyContent + '</p></div>';
    }else{
    	html_str_petowner += '<a href="appraise-reply.html" style="color:green;float: right;"><button class="btn  btn-primary" id="_id_reply_btn">进行回复</button></a></p>';
    }
   Util.setWebData("AiPet_Servicer_AppraiseId", AppraisePetOwner.appraiseId);
    
    html_str_petowner += '</div>';
    if(AppraisePetOwner==null){
     	html_str_petowner="";
    }
    //缓存数据，供跳转到回复评价中用
    Util.setWebData("AiPet_Servicer_AppriaiseList_Data", html_str_petowner);
    Util.setWebData("AiPet_Servicer_AppriaiseList_Fraction", html_str_petowner_fration_cache);
    html_str_petowner += '<br/>';
    $("#_id_appraise_petOwner_list").html(html_str_petowner);
    $("#_id_appraise_petOwner_list").show();
    $("#_id_receive_fraction").html(html_str_petowner_fration_cache);


     //Servicer的评价
     var html_str_servicer = '';
     html_str_servicer += '<div class="single-comment clearfloat"><p class="user-name"><b>' + ServicerName + ' </b></p>';
     html_str_servicer += '<p class="comment-timestamp">' + ServicerPublishDt + '</p>';
     html_str_servicer += '<p class="rating">评价：<span class="rating-points">' + ServicerFraction + '</span>';
     html_str_servicer += '<span class="rating-stars">';
     html_str_servicer += DataProcessUtil.Evaluate(ServicerFraction);
     html_str_servicer += '</span></p><p class="comment-text">' + ServicerContent + '</p>';
     if (ServicerReplyDt != null) {
         html_str_servicer += '<div class="reply-wrap"><p class="user-name"><b>' + ServicerReplyUserName + '</b></p>';
         html_str_servicer += '<p class="comment-timestamp">' + ServicerReplyDt + '</p>';
         html_str_servicer += '<p class="comment-text">' + ServicerReplyContent + '</p></div>';
     }
     html_str_servicer += '</div>';
     $("#_id_appraise_list").html(html_str_servicer);
    
    
   /* //appraise详情
    var UserPhoto = appraise.userPhoto; //评价者图像
    var Name = appraise.name; //评价者名字
    var Content = appraise.content; //评价者评价内容
    var Fraction = appraise.fraction; //评价者图像
    var Photo = appraise.photo; //评价者图片路径
    var PublishDt = appraise.publishDt; //评价者评价发布时间
    var ReplyContent = appraise.replyContent; //回复者回复内容
    var ReplyPhoto = appraise.replyPhoto; //回复者图片路径
    var ReplyDt = appraise.replyDt; //回复者回复时间
    var ReplyUserName = appraise.replyUserName; //回复者姓名
    var ReplyUserPhoto = appraise.replyUserPhoto; //回复者图像
    var petOwnerNikeName = params.petOwnerNikeName; //用户昵称
    var petOwnerTel = params.petOwnerTel; //宠物主电话
    HasEdit = appraise.hasEdit; //是否已修改，1为是，0为否
    var Status = Util.getWebData("AiPet_Servicer_Status");

    if (selfReq == "" || selfReq == null) {
        selfReq = "主人，那家伙木有填写";
    }
    if (ServiceStaReq == "" || ServiceStaReq == null) {
        ServiceStaReq = "〈空〉";
    }
    //标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    if (Name == null) {
        Name = "匿名";
    }
    var html_str = "";

    //评价内容加载
    html_str += '<div class="single-comment clearfloat"><p class="user-name"><b>' + Name + ' </b></p>';
    html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
    html_str += '<p class="rating">评价：<span class="rating-points">' + Fraction + '</span>';
    html_str += '<span class="rating-stars">';
    html_str += DataProcessUtil.Evaluate(Fraction);
    html_str += '</span></p><p class="comment-text">' + Content + '</p>';
    html_str += '</div>';
    $("#_id_receive_fraction").html(DataProcessUtil.Evaluate(Fraction));
    $("#_id_appraise_list").html(html_str);
    if (Status == 14)
        bothAppraiseLoadData();*/
}
