/**
 *  页面加载完成执行
 */
var showload = null; //对话框对象
$(function() {
    init(); //绑定事件的方法
});

function init() {
    petOwnerInfo();
    loadStaService();
    $("#btn_login").click(btn_login_click); //绑定登陆按钮
    $("#servicerAccount").bind("input", changeFocus);
}

//加载宠物的信息
function petOwnerInfo() {
    var username = Util.getCookie("AiPet_Servicer_Name");
    var password = Util.getCookie("AiPet_Servicer_Psw");
    if (username != null&&username != 'null'&&username != '')
        $("#servicerAccount").val(username);
    if (password != null&&password != 'null'&&password != '')
        $("#Psw").val(password);
}


//改变焦点
function changeFocus() {
    var Tel = $(this).val();
    //改变焦点
    if (Tel.length >= 11) {
        setTimeout(function() {
            $("#Psw").focus();
        }, 300);
    }
}

//输入框获得焦点时隐藏logo
function hideLogo() {
    $(".login-logo").hide();
    $("div.account-form").attr("style", "margin:0px;");
}

function btn_login_click() {
    try {
        var request_url = url_util + "Api/servicer/login";
        var servicerAccount = $("#servicerAccount").val();
        var Psw = $("#Psw").val();
        var password = Util.SetCookie("AiPet_Servicer_Psw", Psw);
        var secret = '1A1D4EE7';
        if (Util.isEmpty(servicerAccount) == false) {
            servicerAccount = "";
        }
        if (Util.isEmpty(Psw) == false) {
            Psw = "";
        } else {
            Psw = $.md5($.md5(Psw) + secret);
            console.log(Psw);
        }

        var params = {
            'servicerAccount': servicerAccount,
            'Psw': Psw
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            dataProcessing(params, servicerAccount);
            showload.hideDiv();
        }
        var error_callback = function(params) {
            showload.hideDiv();
            console.log("error:" + JSON.stringify(params));
        }
        if (servicerAccount.length == 0) {
            var toastView_obj = new toastView("alertView", "手机号不能为空", 1000);
            toastView_obj.init();
        } else if (Psw.length == 0) {
            var toastView_obj = new toastView("alertView", "密码不能为空", 1000);
            toastView_obj.init();
        } else {
            if (showload == null) {
                showload = new showHtmlDialog("loading", "正在登陸...");
            } else {
                showload.showDiv();
            }
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        }
    } catch (e) {
        showload.hideDiv();
        console.log(e.message);
        var toastView_obj = new toastView("alertView", "响应出错", 1000);
        toastView_obj.init();
    }
}

function dataProcessing(params, servicerAccount) {
    if (params.code == 1) {
        console.log(servicerAccount + ";" + params.msg);
        Util.SetCookie("AiPet_Servicer_Name", servicerAccount);
        Util.SetCookie("AiPet_Servicer_Key", params.msg);
        
        var pre_url = Util.getCookie("AiPet_Servicer_location_href");
        if (pre_url != null)
            location.href = pre_url;
        else location.href = "index.html";
    } else {
        var toastView_obj = new toastView("alertView", params.msg, 1000);
        toastView_obj.init();
    }
}
//加载标准服务
function loadStaService() {
    try {
        var request_url = url_util + "Api/ApiUtil/GetCommDictionary";
        var params = {
            'groupCode': 'StandardService'
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code == 1) {
                var CommDictionaryArray = params.commDictionaryArray;
                Util.SetCookie("AiPet_petOwner_BathSta", CommDictionaryArray[0].keyValue);
                Util.SetCookie("AiPet_petOwner_DoHairdressingSta", CommDictionaryArray[1].keyValue);
                Util.SetCookie("AiPet_petOwner_FindFosterageSta", CommDictionaryArray[2].keyValue);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        console.log(e.message);
    }
}
