/**
 * Created by daozen on 2014/6/18.
 */

var _NickName; // 姓名
var _Tel; // 电话
var _Address; // 地址

$(function() {
    init();
});

function init() {
    loadData();
    $('button a.set-account').click(function(e) {
        e.preventDefault();

        var NickName = $('#pet-owner-name').val();
        var Tel = $('#pet-owner-phone').val();
        var Address = $('#pet-owner-address').val();

        // 判断用户是否修改了信息
        if (NickName != _NickName || Tel != _Tel || Address != _Address) {
            SetData();
        } else {
            var toastView_obj = new toastView("alertView", "你还没有修改资料哦", 1000);
            toastView_obj.init();
        }
    });
}

function loadData() {
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetPetOwnerContact";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key
        };

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                var toastView_obj = new toastView("alertView", "请重新登陆！", 1000);
                toastView_obj.init();
                Util.SetCookie("AiPet_location_href", location.href);
                setTimeout(function() {
                    location.href = "../signin.html";
                }, 2000);

            } else {
                console.log(params);
                show_loadData(params);
            }


        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

function show_loadData(params) {
    _NickName = params.nickName;
    _Tel = params.tel;
    _Address = params.address;

    $('#pet-owner-name').val(_NickName);
    $('#pet-owner-phone').val(_Tel);
    $('#pet-owner-address').val(_Address);
}

// 设置个人信息
function SetData() {
    try { //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var NickName = $('#pet-owner-name').val();
        var Tel = $('#pet-owner-phone').val();
        var Address = $('#pet-owner-address').val();

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/ModifyPetOwnerContact";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'NickName': NickName,
            'Tel': Tel,
            'Address': Address
        };

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "设置成功", 1000);
                toastView_obj.init();
                console.log("params is " + JSON.stringify(params));
                loadData(); // 请求多一次数据，以保证可以对比用户是否修改了账户信息
                setTimeout(function() {
                    location.href = "../mine.html";
                }, 2000);
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        if (Tel.length != 11) {
            var toastView_obj = new toastView("alertView", "请输入正确的手机号！", 1000);
            toastView_obj.init();
        } else if (NickName == null||NickName == '') {
            var toastView_obj = new toastView("alertView", "称呼不能为空", 1000);
            toastView_obj.init();
        } else
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}
