/**
 *意见反馈
 *author:lixingji
 *date:2014/7/30
 **/
var Fraction = 0;
Util.setWebData("AiPet_PetOwner_StarNum", Fraction);

$(function() {
    init();
});

//初始化
function init() {
    star_btn_click();
    $("#_id_commit_appraise").click(add_btn_commit_appraise);
}

//点击星星进行评价

function star_btn_click() {
    $(".rating-button .rate-control").each(function() {
        var item_num = 0;
        $(this).click(function() {
            item_num = $(this).attr("item-id");
            show_star(item_num);
        });
    });
}
//显示星星数量
function show_star(num) {
    var Fraction = parseInt(num) + 1;
    Util.setWebData("AiPet_PetOwner_StarNum", Fraction);
    var imgSrc = '../../img/evaluateGrayIcon.png'; //没有填色的星星
    var imgSrc_2 = '../../img/evaluateLightIcon.png'; //打分后有颜色的星星
    var imgArray = $(".rating-button img");
    for (var j = 0; j < imgArray.length; j++) {
        if (j <= num) {
            imgArray[j].src = imgSrc_2;
        } else {
            imgArray[j].src = imgSrc;
        }
    }
    //满意程度
    switch (Fraction) {
        case 1:
            $("#_id_satisfy_statement").html("太糟糕了");
            break;
        case 2:
            $("#_id_satisfy_statement").html("有待改进");
            break;
        case 3:
            $("#_id_satisfy_statement").html("还可以");
            break;
        case 4:
            $("#_id_satisfy_statement").html("不错");
            break;
        case 5:
            $("#_id_satisfy_statement").html("非常满意");
            break;
    }
}

//提交意见反馈内容
function add_btn_commit_appraise() {
    // 请求内容
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var Content = $("#_id_content").val();
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/SubmitSuggest";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'Title': '意见反馈',
            'Content': Content
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));

            if (params.code != 1) {
                MyToastView(params.msg, 2000);
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "提交成功！感谢你的宝贵意见！", 2000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "option.html";
                }, 2000);

            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        if (FormValidate(Content) == true)
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        alert("请求出错！！");
    }
}

//表单验证
function FormValidate(Content) {
    Fraction = Util.getWebData("AiPet_PetOwner_StarNum");
    // if (Fraction == 0) {
    //     var toastView_obj = new toastView("alertView", "请先评分再提交！", 2000);
    //     toastView_obj.init();
    //     $("#_id_satisfy_statement").html('<span style="color:red">你还没进行评分</span>');
    //     return false;
    // }
    if (Content.length == 0) {
        var toastView_obj = new toastView("alertView", "请先输入您的宝贵意见", 2000);
        toastView_obj.init();
        return false;
    }
    if (Content.length > 150) {
        var toastView_obj = new toastView("alertView", "请不要超过150字限制", 2000);
        toastView_obj.init();
        return false;
    }
    return true;
}
