/**
 *修改密码
 *author:lixingji
 *date:2014/8/12
 */
$(function() {
    init();
});

function init() {
    $("#_id_confirm").click(add_btn_confirm);
    $("#_id_cancel").click(add_btn_cancel);
}

//确认验证码
function add_btn_confirm() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var oldPsw = $("#_id_old_pw").val();
        var newPsw = $("#_id_new_pw").val();
        var confirmPw = $("#_id_confirm_pw").val();
        var Tel = Util.getCookie("Aipet_petOwner_phoneNum");
        var request_url = url_util + "Api/petowner/ModifyPsw";


        // 判断原密码是否为空
        if (oldPsw == null || oldPsw == '') {
            var toastView_obj = new toastView("alertView", "请输入原密码", 2000);
            toastView_obj.init();
            return;
        }
        //判断两次输入的密码是否一样
        if (newPsw == null || newPsw == '') {
            var toastView_obj = new toastView("alertView", "请先输入密码", 2000);
            toastView_obj.init();
            return;
        } else if (newPsw != confirmPw) {
            var toastView_obj = new toastView("alertView", "两次输入的密码不一致", 2000);
            toastView_obj.init();
            return;
        }
        var secret = '1A1D4EE7';
        if (Util.isEmpty(Tel) == false) {
            Tel = "";
        }
        if (Util.isEmpty(newPsw) == false) {
            newPsw = "";
        } else {
            oldPsw = $.md5($.md5(oldPsw) + secret);
            newPsw = $.md5($.md5(newPsw) + secret);
            console.log(newPsw);
        }

        params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'oldPsw': oldPsw,
            'newPsw': newPsw
        }

        var success_callback = function(params) {
            console.log("response params:" + JSON.stringify(params));
            if (params.code != 1) {
                console.log(params.msg);
                var toastView_obj = new toastView("alertView", params.msg, 2000);
                toastView_obj.init();
                return false;
//                setTimeout(function(){
//                    location.href="../signin.html";
//                });
            } else {
                Util.SetCookie("AiPet_Key", params.msg);
                var toastView_obj = new toastView("alertView", "密码修改成功", 2000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "option.html";
                }, 2000);
            }
        }
        var error_callback = function(params) {
            var toastView_obj = new toastView("alertView", "密码修改失败！", 2000);
            toastView_obj.init();
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        var toastView_obj = new toastView("alertView", "请求出错！", 2000);
        toastView_obj.init();
        console.log(e.message);
    }
}

//取消
function add_btn_cancel() {
    location.reload();
}
