/**
 * Created by daozen on 2014/6/18.
 */
var PageIndexLoaded = 0;
$(function() {
    init();
});

function init() {
    loadData(0);
    $('div.load-more').click(LoadMore);
}

function loadData(PageIndex) {
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetPetOwnerMoneyChangeList";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'PageIndex': PageIndex
        };

        var success_callback = function(params) {
            //console.log("success:"+JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                console.log(params);
                show_loadData(params);
            }

        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

function show_loadData(params) {
    var PetMoneyChangeArray = params.petMoneyChangeArray,
        TotalMoney = params.money;
    var html_str = '';
    if (PetMoneyChangeArray.length == 0) {
        console.log('加载完了');
        $('div.load-more').html('<p>没有更多了</p>');
        PageIndexLoaded--;
        console.log(PageIndexLoaded);
    } else {
        for (var i = 0; i < PetMoneyChangeArray.length; i++) {
            var SinglePetMoneyChange = PetMoneyChangeArray[i],
                ChangeTime = SinglePetMoneyChange.changeDt,
                ChangeMoney = SinglePetMoneyChange.changeMoney,
                ChangeReason = SinglePetMoneyChange.changeReason;

            //            var NoticeTimestamp=SinglePetMoneyChange.sendDt;//通知时间
            ChangeTime = ChangeTime.split(":")[0] + ":" + ChangeTime.split(":")[1];
            //        NoticeTimestamp = NoticeTimestamp.split("/")[1]+"/"+NoticeTimestamp.split("/")[2];

            var MoneyChange = "";
            if (ChangeMoney > 0) {
                MoneyChange = ' money-increase';
                ChangeMoney = "+" + ChangeMoney;
            } else {
                MoneyChange = " money-decrease";
            }

            html_str += '<li class="table-view-cell"><a class=""><table class="pet-money-list-table"><tr><td><p class="pet-money-change-content">' + ChangeReason + '</p>';
            html_str += '<span class="pet-money-change-timestamp">' + ChangeTime + '</span></td>';
            html_str += '<td class="' + MoneyChange + '">' + ChangeMoney + '</td></tr></table></a></li>';
        }
        $("ul.pet-money-change").append(html_str);

        if (PetMoneyChangeArray.length < 10) {
            $('div.load-more').html('<p>没有更多了</p>');
        }
    }
    $('.heading-pet-money b').html(TotalMoney);
}

function LoadMore() {
    loadData(PageIndexLoaded + 1);
    PageIndexLoaded++;
}
