/**
 *author:lixingji
 *date:2014/7/13
 */

var StopServReason = 1;

$(function() {
    init();
})

// 初始化界面数据 

function init() {
    loadData();
    $("#_id_confirm_cancel_service").click(add_btn_click);
    // 中止原因按钮
    $("#_id_btn .btn").each(function() {
        $(this).click(function() {
            $("#_id_btn .btn-selected").removeClass("btn-selected");
            $(this).addClass("btn-selected");
            var item = $(this).attr("Item-id");
            Util.SetCookie("AiPet_StopItem", item);
        });
    });
}

//点击中止事件
function add_btn_click() {
    var alertobj = new alertView("alertView", "您确定要中止服务吗？"); //confirm对话框
    var stopContent = $("#_id_stopContent").val();
    if (stopContent.length > 150) {
        Dialog.alert("字数超过限制！");
    } else {
        alertobj.confirm(function() {
            uploadData(stopContent);
        });
    }
}

//加载基本的信息
function loadData() {
    var petType = Util.getWebData("AiPet_PetOwner_ServiceType");
    var petVarieties = Util.getWebData("AiPet_PetOwner_PetVarieties");
    var PetWeight = Util.getWebData("AiPet_PetOwner_PetWeight");
    var PublishTime = Util.getWebData("AiPet_PetOwner_PublishTime");
    var ReqId = Util.getCookie("AiPet_List_ReqId");
    var Service_ReqId = ReqId + "00000000";
    $("#_id_pet_img").attr("src", petType);
    $("#_id_petVarities").html(petVarieties.split(" ")[2]);
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(PublishTime);

    $("#_id_ser_reqId").html(Service_ReqId.substring(0, 8));

}

// 加载数据
function uploadData(stopContent) {
    try {
        var request_url = url_util + "Api/petowner/stopServ";
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        var Reason = Util.getCookie("AiPet_StopItem");
        var SerId = Util.getWebData("AiPet_PetOwner_SerivceID"); //服务ID
        if (Reason == null || Reason == '' || Reason == undefined) {
            StopServReason = 1;
        } else {
            StopServReason = Reason;
        }
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'SerId': SerId,
            'StopSel': StopServReason, //服务中止原因，1为双方达成一致，0为服务者原因，未达成一致
            'StopContent': stopContent //中止原因
        };
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        if (ReqId == null) {
            ReqId = "aipet";
        }
        //成功请求回调函数
        var success_callback = function(params) {
                console.log("success:" + JSON.stringify(params));
                if (params.code == 0) {
                    Dialog.alert("无此服务编号！");
                } else if (params.code != 1) {
                    Util.SetCookie("AiPet_location_href", location.href);
                    location.href = "../signin.html";
                } else {
                    Dialog.alert("中止服务成功！")
                    setTimeout(function() {
                        location.href = "service-detail-status4.html";
                    }, 1500);
                }
            }
            //请求错误回调函数
        var error_callback = function(params) {
            Dialog.alert("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        Dialog.alert(e.message);
    }
}
