var PageIndex = 0;
var html_str_save = '';
Util.SetCookie("AiPet_History_ServiceType", 99); //初始化为99

$(function() {
    init();
});

function init() {
    unreadMessage('petowner/GetUnReadNoticeCount');
    unreadMessage('petowner/GetMy');
    menu_btn_click();
    load_data();
    $("#_id_load_next").click(add_load_next_servicerInfo);
}

//我的服务顶部tab
function menu_btn_click() {

    $("#menu_btn .control-item").each(function() {
        var item_id = 99;

        $(this).click(function() {
            PageIndex = 0;
            html_str_save = '';
            $("#menu_btn .active").removeClass("active");
            $(this).addClass("active");

            item_id = $(this).attr("item_id");
            $("#menu_cntent .active").removeClass("active");
            $("#item" + item_id + "mobile").addClass("active");

            if (item_id == 1) {
                Public_ServiceType = "99";
            } else if (item_id == 2) {
                Public_ServiceType = "0";
            } else if (item_id == 3) {
                Public_ServiceType = "1";
            } else if (item_id == 4) {
                Public_ServiceType = "2";
            }
            console.log("htmlSave:" + html_str_save + "\n\n");
            Util.SetCookie("AiPet_History_ServiceType", Public_ServiceType);
            load_data();
        });
    });
}

function load_data() {
    try {
        //alert(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key")); 
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ServiceType = Util.getCookie("AiPet_History_ServiceType"); //类型

        if (ServiceType == null) {
            ServiceType = "99";
        }
        if (PageIndex == null || PageIndex == '' || PageIndex == undefined)
            PageIndex = 0;
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetMyReqService";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'Type': ServiceType, //全部类型
            'IsHis': 1,
            'PageIndex': PageIndex
        };

        var success_callback = function(params) {
            // alert(LocationHref.LocationIsFailure(params.callResultStatus.code));
            if (LocationHref.LocationIsFailure(params.callResultStatus.code)) {
                if (params.reqServArray.length < 10) {
                    if (!(params.reqServArray.length == 0 && PageIndex == 0)) {
                        $("#_id_no_data").show();
                        $("#_id_no_data").html('<div align="center"><p>没有更多了</p></div>');
                    }
                    $("#_id_load_next").hide();
                } else
                    $("#_id_load_next").show();
                show_loadData(params, ServiceType);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

//显示数据
function show_loadData(params, ServiceType) {
    console.log(JSON.stringify(params));
    var ReqServArray = params.reqServArray;
    var html_str = '<ul class="table-view service-list">';
    if (ReqServArray.length == 0 && PageIndex == 0) {
        html_str += '<br/><p class = "servicer-more-detail-link" > 没有历史服务 </p>';
        $("#_id_no_data").hide();
    } else {
        for (var i = 0; i < ReqServArray.length; i++) {
            var ReqServ = ReqServArray[i];
            var id = ReqServ.id; //需求Id
            var Type = ReqServ.type; //服务种类，洗澡（0）、美容（1）、寄养（2）
            var ServiceWay = ReqServ.serviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
            var ServiceDt = ReqServ.serviceDt; //服务时间
            var ServiceDateArray = ServiceDt.split(" ")[0].split("/");
            var ServiceDate = ServiceDateArray[1] + "月" + ServiceDateArray[2] + "日"; //服务日期：X月X日；
            var ServiceDec = ServiceDt.split(" ")[1].slice(-2); //服务时间：上下午全天
            var Status = ReqServ.status; //需求服务状态，1对应报价中，2对应等待服务，3对应已服务，4对应已失效，5对应已评价
            var TenderNumber = ReqServ.tenderNumber; //已报价人数，Status为01有效
            var TenderEffectiveTime = ReqServ.tenderEffectiveTime; //报价截止时间，Status为01有效
            var BingoServicer = ReqServ.bingoServicer; //中标人，Status为02有效
            var BingoTenderId = ReqServ.bingoTenderId; //中标的ID号
            var AppriaiseNumber = ReqServ.appriaiseNumber; //评价得分
            var AppraiseId = ReqServ.appriaiseId; //评价Id
            var ServicerId = ReqServ.servicerId; //服务者编号
            var UnReadCount = ReqServ.unReadCount; //未读消息 1为未读，0为已读
            var src = '../../img/doHairdressingIconDetail.png';
            var TypeName = '美容';
            if (ServiceType == Type || ServiceType == "99") {
                html_str += '<div class="card" bingoTenderId="' + BingoTenderId + '" data-id="' + id + '" StatusId="' + Status + '" servicer-id="' + ServicerId + '" AppraiseId="' + AppraiseId + '" ><li class="table-view-cell media service-list-item">';
                html_str += '<a class="navigate-right" href=' + DataProcessUtil.Status_URL_Link(Status, "") + '>';

                console.log(Type);
                //类型
                if (Type == 0) {
                    TypeName = '洗澡'
                    src = '../../img/ToBatheIconDetail.png';
                } else if (Type == 1) {
                    TypeName = '美容'
                    src = '../../img/doHairdressingIconDetail.png';
                } else if (Type == 2) {
                    TypeName = '寄养'
                    src = '../../img/findFosterageIconDetail.png';
                }
                if (UnReadCount == 1)
                    html_str += '<span class="unread-list"></span>';
                html_str += '<img class="media-object pull-left" src="' + src + '">';
                html_str += '<div class="media-body"><h5>' + TypeName + '服务</h5>';
                html_str += '<p class="service-way"><i class="key">服务方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '</p>';
                html_str += '<p class="service-time"><i class="key">服务时间</i>' + ServiceDate + ' ' + ServiceDec + '</p></div></a>';
                html_str += '<a class="statusbar" href=' + DataProcessUtil.Status_URL_Link(Status, "") + ' data-transition="slide-in">';
                html_str += '<p class="tender-status tender-status' + DataProcessUtil.Status_Icon(Status) + '">' + DataProcessUtil.Status_Name(Status) + '</p>';

                if (Status == "12" || Status == "13" || Status == "14") { //宠物主评或双方已评
                    html_str += '<p class="tender-status"><span class="rating-stars">';
                    var point_front = String(AppriaiseNumber).split(".")[0];
                    for (var j = 0; j < point_front * 1; j++) {
                        html_str += '<img src="../../img/evaluateLightIcon.png" alt=""/>';
                    }
                    // if (AppriaiseNumber.toFixed(0) > AppriaiseNumber) {
                    //     html_str += '<img src="../../img/evaluateHalfIcon.png" alt=""/>';
                    // } else {
                    //     html_str += '<img src="../../img/evaluateGrayIcon.png" alt=""/>';
                    // }
                    for (var k = 0; k < (5 - (point_front * 1)); k++) {
                        html_str += '<img src="../../img/evaluateGrayIcon.png" alt=""/>';
                    }
                    html_str += '</span></p>';
                }
                html_str += '</a></li></div>';
            }
        }

    }
    html_str += '</ul>';
    html_str_save += html_str;
    $("#_id_service_list").html(html_str_save);
    //点击列表项
    $("#_id_service_list .card").click(function() {
        Util.SetCookie("AiPet_PetOwner_AppraiseId", $(this).attr("AppraiseId"));
        Util.SetCookie("Aipet_Status", $(this).attr("StatusId"));
        Util.SetCookie("AiPet_List_ReqId", $(this).attr("data-id"));
        Util.SetCookie("AiPet_tenderList_servicerId", $(this).attr("servicer-id"));
        Util.SetCookie("AiPet_List_BingoTenderId", $(this).attr("bingoTenderId"));
        ChangeNoticeToRead('petowner/ChangeNoticeToRead', $(this).attr("data-id"));

    });
}

//加载下一页
function add_load_next_servicerInfo() {
    PageIndex++;
    load_data();
}
