$(function() {
    init();
});

function init() {
    load_data();
    request_getReqDetail();
    $("#_id_cancelReq_btn").click(cancelReq_click);
    setInterval(function() {
        GetUnRead();
    }, 60000);
}

//取消需求 暂无报价 _id_ServiceStaReq

function cancelReq_click() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/cancelReq";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ReqId': parseInt(ReqId)
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            //保存当前ID 
            Util.SetCookie("AiPet_location_href", location.href);
            if (params.code == -1) {
                location.href = "../signin.html";
            } else if (params.code == 1) {
                location.href = "service-list.html";
            } else if (params.code == 0) {
                Dialog.alert(params.msg);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));

        var alertobj = new alertView("alertView", "您确定要取消服务吗？"); //confirm对话框
        alertobj.confirm(function() {
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        });

    } catch (e) {
        Dialog.alert("请求错误！");
        console.log(e.message);
    }
}


//请求收到的报价列表

function load_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/tenderList";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            // 保存当前URL
            Util.SetCookie("AiPet_location_href", location.href);
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {

                location.href = "../signin.html";
            } else {
             //   var Service_ReqId = ReqId + "00000000";
                var Ser_Req_id="00000000"+ReqId;
    			Ser_Req_id=Ser_Req_id.substring(ReqId.length,Ser_Req_id.length);
                $("#_id_ser_reqId").html(Ser_Req_id);
                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        Dialog.alert("请求错误！");
        console.log(e.message);
    }
}

var req_json = {
    "tenderArray": [{
        "tenderId": "1",
        "servicerId": "41",
        "isAuthority": "0",
        "price": "340",
        "serviceNumber": "444",
        "address": "23423423",
        "name": "dsgdfgsdfgsdfg",
        "photo": "1111111111111111111111111",
        "appraiseNumber": 4.5

    }],
    "callResultStatus": {
        "code": 1
    }
}

//收到的报价列表展现 _id_tendererlist

function show_loadData(params) {
    var html_str = "";
    var TenderArray = params.tenderArray; //报价数组
    var ServicerNumber = params.servicerNumber; //当前系统所有服务者
    var length = TenderArray.length; //报价数量 
    $("#_id_reqcount").html(length);
    if (TenderArray.length > 0) {
        console.log('legth:' + length);
        for (var i = 0; i < length; i++) { //数量增加会出现栈溢出
            var Tender = TenderArray[i];
            var TenderId = Tender.tenderId; //报价ID
            var ServicerId = Tender.servicerId; //服务者ID
            var IsAuthority = Tender.isAuthority; //是否认证，1为是，0为否
            var Price = Tender.price; //报价
            var ServiceNumber = Tender.serviceNumber; //服务次数
            var Address = Tender.address; //服务者地址
            var Name = Tender.name; //服务者名称
            var Distance = Tender.distance; //距离
            var Photo = (Tender.photo == null) ? '../../img/normalHeader.png' : Tender.photo; //服务者头像，未设定头像时使用默认头像
            var AppraiseNumber = Tender.appraiseNumber; //评价
            //头像不存在时选用默认头像
            console.log('Photo:' + Photo);

            html_str += '<li data-TenderId="' + TenderId + '" data-ServicerId="' + ServicerId + '" class="table-view-cell media">';
            html_str += '<a class="tender-list-item" href="service-detail-status1-1.html">';
            html_str += '<img class="media-object pull-left" src="' + Photo + '">';
            html_str += '<div class="media-body"><div class="servicer-info"><h5>' + Name + '</h5>';
            html_str += '<p class="servicer-address"><div class="address-new"><i class="key">' + Address + '</i></div></p>';
            //html_str += '<p class="servicer-distance"><i class="key">' + "距离：" + DataProcessUtil.Distance_Val(Distance) + '</i></p></div>';
            html_str += '</div><div class="tender-info"><p class="tender-price">' + Price + '元</p>';
            html_str += '<div class="servicer-rating">';

            var point_front = String(AppraiseNumber).split(".")[0];
            for (var j = 0; j < point_front * 1; j++) {
                html_str += '<img src="../../img/evaluateLightIcon.png" alt=""/>';
            }
            if (Math.round(AppraiseNumber) > AppraiseNumber) {
                html_str += '<img src="../../img/evaluateHalfIcon.png" alt=""/>';
            } else {
                html_str += '<img src="../../img/evaluateGrayIcon.png" alt=""/>';
            }
            for (var k = 0; k < (5 - (point_front * 1 + 1)); k++) {
                html_str += '<img src="../../img/evaluateGrayIcon.png" alt=""/>';
            }
            html_str += '</div><p class="servicer-service-num"><i class="key">服务次数：' + ServiceNumber + '次</i>';
            html_str += '</p></div></div></a></li>';
        }
        $("#_id_tendererlist").html(html_str);
        $("#_id_tendererlist_card").show();
        $("#_id_no_tendererlist").hide();
    } else {
        html_str = '<li><table align="center"><tr><td><img src="../../img/loading.png"  style="height:51px;width:51px;"></td><td><b style="padding-left:10px;">等待报价，请稍候……</b></td></tr></table></li>';
        $("#_id_no_tendererlist_ul").html(html_str);
        $("#_id_tendererlist_card").hide();
    }
    Util.setWebData("AiPet_PetOwner_ServicerNumberTender", length);
    $("#_id_tendererlist .table-view-cell").click(function() {
        Util.SetCookie("AiPet_tenderList_tenderId", $(this).attr("data-TenderId")); //报价ID
        Util.SetCookie("AiPet_tenderList_servicerId", $(this).attr("data-ServicerId")); //服务者ID
    });
}

function request_getReqDetail() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        console.log('id:' + ReqId);
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetReqDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";
            } else {
                getReqDetail_show(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        Dialog.alert("请求错误！");
        console.log(e.message);
    }
}

function getReqDetail_show(params) {
    var ServiceType = params.serviceType; //服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = params.petVarieties; //宠物品种
    var SeviceWay = params.seviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = params.serviceAdd; //服务地点(只到店时为空)
    var ServiceBegintime = params.serviceBegintime; //服务要求开始时间
    var ServiceEndtime = params.serviceEndtime; //服务要求结束时间
    var ServiceTimeDesc = params.serviceTimeDesc; //服务时间（全天、白天、晚上）
    var ServiceReqdiy = params.serviceReqdiy; //服务要求-自定义
    var ServiceStaReq = params.serviceStaReq; //标准服务
    var ServiceSelfReq = params.serviceSelfReq; //个性需求
    var EffectiveTime = params.effectiveTime; //需求有效时间
    var SerivceCode = params.serivceCode; //服务编号，当服务生效时有效
    var PetWeight = params.petWeight; //宠物重量
    var PublishTime = params.publishTime; //发布时间
    //服务总人数和报价人数
    var ServicerNumberAll = Util.getWebData("AiPet_PetOwner_ServicerNumberAll");
    var ServicerNumberTender = Util.getWebData("AiPet_PetOwner_ServicerNumberTender");
    var src = "";
    var StaService = "洗澡 美容 寄养";
    console.log('type:' + ServiceType);
    if (ServiceType == 0) {
        src = '../../img/ToBatheIconDetail.png';
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        src = '../../img/doHairdressingIconDetail.png';
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        src = '../../img/findFosterageIconDetail.png';
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }

    //服务地址判空
    // if (ServiceAdd == null) {
    //     $("#_id_serAdd").hide();
    // } else {
    //     $("#_id_serAdd").show();
    //     $("#_id_ServiceAdd").html(ServiceAdd);
    // }

    if (ServiceReqdiy == "" || ServiceReqdiy == null) {
        ServiceReqdiy = "主人，你木有填写个性化需求哦";
    }
    if (ServiceStaReq == "" || ServiceStaReq == null) {
        ServiceStaReq = "空";
    }

    //有效时间
    // var freshTime=1;
    setInterval(function() {
        $("#_id_effective_time").html(DataProcessUtil.EffectiveTime_Val(EffectiveTime) + "内有效");
        //设置时间进度条
        DataProcessUtil.setTimePrecent(EffectiveTime, PublishTime);
        //设置8秒刷新
        // if(freshTime%8==0){
        //     freshTime=1;
        //     location.reload();
        // }else{
        //     freshTime++;
        // }

    }, 800);

    $("#_id_ServiceType").attr("src", src);
    $("#_id_PetVarieties").html(DataProcessUtil.PetVarieties_val(PetVarieties));
    $("#_id_SeviceWay").html(DataProcessUtil.SeviceWay_val(SeviceWay));
    // $("#_id_ServiceStaReq").html(DataProcessUtil.ServiceStaReq_Val(ServiceStaReq));
    $("#_id_ServiceStaReq").html(StaService);
    $("#_id_ServiceDiy").html(ServiceReqdiy);
    if (ServiceTimeDesc == null) {
        ServiceTimeDesc = " ";
    }
//    $("#_id_ServiceTimeDesc").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " " + DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    // console.log(DataProcessUtil.getServiceTimeDesc(ServiceBegintime,ServiceEndtime,ServiceType));
    $("#_id_ServiceTimeDesc").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime,ServiceEndtime,ServiceType,ServiceTimeDesc));
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_ServiceAdd").html(DataProcessUtil.ServiceAdd_Val(ServiceAdd));
    $("#_id_ServiceBegintime").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime));
    $("#_id_publish_date").html(DataProcessUtil.publishTime_Val(PublishTime));
    $("#_id_servicerNum_all").html(ServicerNumberAll);
    $("#_id_servicerNum_wait").html(ServicerNumberTender);

    /*function getServiceTimeDesc(startTime,endTime){
        function getSingleTime(time){
            return DataProcessUtil.ServiceBegintime_Val(time).split(" ")[0];
        }
        return (getSingleTime(startTime)+(ServiceType ==2 ?"~"+getSingleTime(endTime):" "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0])));
    }*/
}

function GetUnRead() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetUnReadNoticeCount";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            var old_key = Util.getCookie("AiPet_GetUnRead_Key");
            if (old_key == null || old_key != params.msg) {
                //
                load_data();
                Util.SetCookie("AiPet_GetUnRead_Key", params.msg);
            }


        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("上传的数据：" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        console.log(e.message);
    }
}
