// 待评价
// author:lixingji
// date:2014/7/10
var AccountId = Util.getCookie("AiPet_Name");
var AiPet_Key = Util.getCookie("AiPet_Key");
var ReqId = Util.getCookie("AiPet_List_ReqId");
Util.SetCookie("Aipet_apparaise_modify", '0'); //进行评价为0 修改评价为1

$(function() {
    init();
})

// 初始化界面数据 

function init() {
    load_data();
}

// 加载数据

function load_data() {
    try {
        var request_url = url_util + "Api/petowner/GetReqDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ReqId': ReqId
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            //保存当前URL
            Util.SetCookie("AiPet_location_href", location.href);
            if (params.callResultStatus.code != 1) {
                location.href = "../signin.html";
            } else {
                //var Service_ReqId = ReqId + "00000000";
                var Ser_Req_id = "00000000" + ReqId;
                Ser_Req_id = Ser_Req_id.substring(ReqId.length, Ser_Req_id.length);
                $("#_id_ser_reqId").html(Ser_Req_id);
                show_loadData(params);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("before:" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

// 显示数据  

function show_loadData(params) {
    console.log("return data:" + JSON.stringify(params));
    var ServiceType = params.serviceType; // int 服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = params.petVarieties; //    string  宠物品种
    var SeviceWay = params.seviceWay; //   int 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = params.serviceAdd; //  string  服务地点(只到店时为空)
    var ServiceBegintime = params.serviceBegintime; //    string  服务要求开始时间
    var ServiceEndtime = params.serviceEndtime; //  string  服务要求结束时间
    var ServiceTimeDesc = params.serviceTimeDesc; // string  服务时间（全天、白天、晚上）
    var ServiceReqdiy = params.serviceReqdiy; //   string  服务要求-自定义
    var ServiceStaReq = params.serviceStaReq; //   string  标准服务
    var ServiceSelfReq = params.serviceSelfReq; //  string  个性需求
    var EffectiveTime = params.effectiveTime; //   string  需求有效时间
    var SerivceCode = params.serivceCode; //     string  服务编号，当服务生效时有效
    var PetWeight = params.petWeight; //宠物重量
    var PublishTime = params.publishTime; //发布时间
    loadServicerData(SeviceWay, ServiceType);

    if (ServiceReqdiy == "" || ServiceReqdiy == null) {
        ServiceReqdiy = "主人，你木有填写个性化需求哦";
    }
    if (ServiceStaReq == "" || ServiceStaReq == null) {
        ServiceStaReq = "〈空〉";
    }
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    $("#_id_pet_img").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_pet_varities").html(PetVarieties.split(" ")[2]);
    $(".bar-number-emphasis").html(DataProcessUtil.ServiceTime_Val(ServiceBegintime, ServiceTimeDesc));
    // $("#service-time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service-time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service-way").html(DataProcessUtil.SeviceWay_val(SeviceWay));
    $("#_id_self_req").html(ServiceReqdiy);
    // $("#_id_standar_service").html(DataProcessUtil.ServiceStaReq_Val(ServiceStaReq));
    if (SeviceWay != "100")
        $("#service-address").html(DataProcessUtil.ServiceAdd_Val(ServiceAdd));
    Util.setWebData("AiPet_PetOwner_ServiceType", DataProcessUtil.ServiceType_val(ServiceType));
    Util.setWebData("AiPet_PetOwner_PetVarieties", PetVarieties);

}

//加载服务者信息
function loadServicerData(SeviceWay, ServiceType) {
    try {
        var request_url = url_util + "Api/petowner/getBingoServicerDetail";
        var BingoTenderId = Util.getCookie("AiPet_List_BingoTenderId");

        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'BingoTenderId': BingoTenderId
        };

        //成功请求回调函数
        var success_callback = function(params) {
            //保存当前URL
            Util.SetCookie("AiPet_location_href", location.href);
            if (params.callResultStatus.code != 1) {

                // location.href = "../signin.html";
            } else {
                showServicerData(params, SeviceWay, ServiceType);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("before:" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

//显示服务者的数据
function showServicerData(params, SeviceWay, ServiceType) {
    console.log("servicer data:" + JSON.stringify(params));
    var TenderId = params.tenderId; //    int 投标ID
    var Servicer = params.servicer; //    Servicer    投标者
    var Distance = params.distance; //    string  投标者与宠物主的距离
    var Price = params.price; //   float   价格
    var SupplementIntro = params.supplementIntro; // string  投标补充说明

    //Servicer对象
    var Id = Servicer.id; //= TenderArray.tenderId; //  int 服务者ID
    var ServiceNum = Servicer.serviceNum; //  int 成功服务的次数
    var AveAppraise = Servicer.aveAppraise; // float   平均评价
    var AppraiseNum = Servicer.appraiseNum; // int 总评价人数
    var Address = Servicer.address; // string  服务者位置
    var IntroContent = Servicer.introContent; //    string  服务者介绍文字
    var Name = Servicer.name; //    string  姓名
    var Photo = Servicer.photo; //  string  服务者图像
    var IntroPhoto = Servicer.introPhoto; //  string  服务者介绍图片，如果有多种，以逗号隔开
    var IsAuthority = Servicer.isAuthority; // int 是否实名认证，1为是，0为否
    var TelNum = Servicer.tel; // string  联系电话
    var SerType = Servicer.serType; // int 服务者类型，0为个人，1为商家
    var SerConFea = Servicer.serConFea; //   string  服务内容和特色
    var IdentityArray = Servicer.identityArray; //  List<ServicerIdentity>  认证清单
    var AppraiseArray = Servicer.appraiseArray; //   List<Appraise>  评价清单
    var PhoneNumbers = DataProcessUtil.Tel(TelNum); //电话号码
    var ServiceStaReq = params.serviceStaReq; //标准服务
    var Content = params.content;

    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    //到店时显示服务地址
    if (SeviceWay == "100") {
        $("#service-address").html(Address);
        Util.SetCookie("AiPet_PetOwner_ServiceAdd", Address);
    }

    $("#id_servicer_name").html(Name);
    $(".tender-price").html(Price + "元");
    $("#_id_tel").html(PhoneNumbers);
    // $("#_id_leaveContent").html(IntroContent);
    $("#_id_TelNum_Call").attr("href", "Tel:" + PhoneNumbers);
    $(".servicer-avatar").src = Photo;
    $("#_id_SerConFea").html(DataProcessUtil.ServiceStaReq_Val(ServiceStaReq)||"无");
    $("#_id_standar_service").html(StaService);
    $("#_id_Content").html(DataProcessUtil.getContentValue(Content));
    Util.setWebData("AiPet_PetOwner_SerivcerId", Id);
}

// // 服务方式

// function SeviceWay_val(val) {
//     if (val == '001') {
//         return '接送';
//     } else if (val == '010') {
//         return '上门';
//     } else if (val == '100') {
//         return '到店';
//     } else if (val == 111) {
//         return '都可以';
//     }
//     return '都可以';
// }

// // 服务类型

// function ServiceType_val(ServiceType) {
//     if (ServiceType == '0') {
//         return '../../img/ToBatheIconDetail.png';
//     } else if (ServiceType == '1') {
//         return '../../img/doHairdressingIconDetail.png';
//     } else if (ServiceType == '2') {
//         return '../../img/findFosterageIconDetail.png';
//     }

// }


// //服务时间
// function ServiceTime_Val(ServiceBegintime, ServiceTimeDesc) {
//     var date = ServiceBegintime.split(" ")[0];
//     var time = ServiceTimeDesc.split(" ")[0];
//     var beginTime = date.split("/");
//     var month = beginTime[1];
//     var day = beginTime[2];
//     return month + "月" + day + "日" + time;

// }


// //宠物主的信息处理
// var PetOwner = {
//     Name: function(petOwner_name) {
//         if (petOwner_name == null || petOwner_name.length <= 0 || petOwner_name == '')
//             return petOwner_name = "暂无";
//         return petOwner_name;
//     },

//     Tel: function(petOwner_tel) {
//         if (petOwner_tel == null || petOwner_tel.length <= 0 || petOwner_tel == '')
//             return petOwner_tel = "暂无";
//         return petOwner_tel;
//     }
// }
