// 待评价
// author:lixingji
// date:2014/7/14

//保存当前URL
Util.SetCookie("AiPet_location_href", location.href);
var AccountId = Util.getCookie("AiPet_Name");
var AiPet_Key = Util.getCookie("AiPet_Key");
var ReqId = Util.getCookie("AiPet_List_ReqId");
var HasEdit = 0;

$(function() {
    init();
});

//初始化
function init() {
    //loadAppraiseData();
    loadPetOwnerData();
    // $("#_id_modify_appraise").click(add_modify_apparaise_click);
}

//加载评价数据
function loadAppraiseData() {
    var AppraiseId = Util.getCookie("AiPet_PetOwner_AppraiseId");

    try {
        //key判空
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        //评价id判空
        if (AppraiseId == null) {
            AppraiseId = 12;
        }
        var request_url = url_util + "Api/petowner/getAppraise";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'AppraiseId': AppraiseId
        };
        console.log("upload params:" + JSON.stringify(params));
        var success_callback = function(params) {
            console.log("response params:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                console.log(params.callResultStatus.msg);
                setFooter(HasEdit);
                //保存当前url 
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                showAppraiseData(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误 ！");
        console.log(e.message);
    }
}

//显示评价信息
function showAppraiseData(params) {
    var Appraise = params.appraise;
    //对评价内容进行遍历
    var html_str = "";
    var UserPhoto = Appraise.userPhoto; //评价者图像
    var Content = Appraise.content; //评价内容
    var Fraction = Appraise.fraction; //分数
    var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
    var Name = Appraise.name; //名字
    var PublishDt = Appraise.publishDt; //发布时间
    var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
    var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
    var ReplyDt = Appraise.replyDt; //回复时间
    var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
    var ReplyUserName = Appraise.replyUserName; //回复者姓名
    HasEdit = Appraise.hasEdit; //是否已修改，1为是，0为否

    if (Name == null) {
        Name = "匿名";
    }

    html_str += '<div class="single-comment clearfloat"><p class="user-name"><b>' + Name + ' </b></p>';
    html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
    html_str += '<p class="rating">评价：<span class="rating-points">' + Fraction + '</span>';
    html_str += '<span class="rating-stars">';

    html_str += DataProcessUtil.Evaluate(Fraction);

    html_str += '</span></p><p class="comment-text">' + Content + '</p>';
    if (ReplyDt != null) {
        html_str += '<div class="reply-wrap"><p class="user-name"><b>' + ReplyUserName + '</b></p>';
        html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
        html_str += '<p class="comment-text">' + ReplyContent + '</p></div>';
    }
    html_str += '</div>';
    // $("#_id_appraise_list").html(html_str);
    $("#_id_receive_fraction").html(DataProcessUtil.Evaluate(Fraction));


    //设置底部按钮
    setFooter(HasEdit);

    Util.setWebData("AiPet_PetOwner_Appraise_Data", html_str);
    Util.SetCookie("AiPet_PetOwner_Appraise_Content", Content);
    Util.SetCookie("AiPet_PetOwner_Appraise_Fraction", Fraction);
}

//显示评价信息GetAppraise4Service
function loadGetAppraise(ServiceId) {
    try {
        var request_url = url_util + "Api/petowner/GetAppraise4Service";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ServiceId': ServiceId
        };
        console.log("upload params:" + JSON.stringify(params));
        var success_callback = function(params) {
            console.log("````````````````response params:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                setFooter(HasEdit);
                console.log(params.callResultStatus.msg);
            } else {
                showGetAppraiseData(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误 ！");
        console.log(e.message);
    }
}

function showGetAppraiseData(params) {
    //宠物主评价
    var Appraise = params.appraisePetOwner;
    //对评价内容进行遍历
    var html_str = "";
    var UserPhoto = Appraise.userPhoto; //评价者图像
    var Content = Appraise.content; //评价内容
    var Fraction = Appraise.fraction; //分数
    var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
    var Name = Appraise.name; //名字
    var PublishDt = Appraise.publishDt; //发布时间
    var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
    var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
    var ReplyDt = Appraise.replyDt; //回复时间
    var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
    var ReplyUserName = Appraise.replyUserName; //回复者姓名
    HasEdit = Appraise.hasEdit; //是否已修改，1为是，0为否

    if (Name == null) {
        Name = "匿名";
    }

    html_str += '<div class="single-comment clearfloat"><p class="user-name"><b>' + Name + ' </b></p>';
    html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
    html_str += '<p class="rating">评价：<span class="rating-points">' + Fraction + '</span>';
    html_str += '<span class="rating-stars">';

    html_str += DataProcessUtil.Evaluate(Fraction);

    html_str += '</span></p><p class="comment-text">' + Content + '</p>';
    if (ReplyDt != null) {
        html_str += '<div class="reply-wrap"><p class="user-name"><b>' + ReplyUserName + '</b></p>';
        html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
        html_str += '<p class="comment-text">' + ReplyContent + '</p></div>';
    }
    html_str += '</div>';


    $("#_id_receive_fraction").html(DataProcessUtil.Evaluate(Fraction));
    //设置底部按钮
    setFooter(HasEdit);


    Util.SetCookie("AiPet_PetOwner_Appraise_Content", Content);
    Util.SetCookie("AiPet_PetOwner_Appraise_Fraction", Fraction);
    //服务主评价
    Appraise = params.appraiseServicer;
    var UserPhoto = Appraise.userPhoto; //评价者图像
    var Content = Appraise.content; //评价内容
    var Fraction = Appraise.fraction; //分数
    var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
    var Name = Appraise.name; //名字
    var PublishDt = Appraise.publishDt; //发布时间
    var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
    var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
    var ReplyDt = Appraise.replyDt; //回复时间
    var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
    var ReplyUserName = Appraise.replyUserName; //回复者姓名
    if (Name == null) {
        Name = "匿名";
    }

    html_str += '<div class="single-comment clearfloat"><p class="user-name"><b>' + Name + ' </b></p>';
    html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
    html_str += '<p class="rating">评价：<span class="rating-points">' + Fraction + '</span>';
    html_str += '<span class="rating-stars">';

    html_str += DataProcessUtil.Evaluate(Fraction);

    html_str += '</span></p><p class="comment-text">' + Content + '</p>';
    if (ReplyDt != null) {
        html_str += '<div class="reply-wrap"><p class="user-name"><b>' + ReplyUserName + '</b></p>';
        html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
        html_str += '<p class="comment-text">' + ReplyContent + '</p></div>';
    }
    html_str += '</div>';

    $("#_id_appraise_list").html(html_str);
    Util.setWebData("AiPet_PetOwner_Appraise_Data", html_str);
}


//设置底部按钮
function setFooter() {
    var Status = Util.getCookie("Aipet_Status");
    if (Status == 13) {
        Util.SetCookie("Aipet_apparaise_modify", '0'); //进行评价为0 修改评价为1
        $("#_id_modify_appraise").html("进行评价");
        $("#_id_modify_appraise").click(add_modify_apparaise_click);
    } else {

        //判断是否已修改评价
        if (HasEdit == 0) {
            Util.SetCookie("Aipet_apparaise_modify", '1'); //进行评价为0 修改评价为1
            $("#_id_modify_appraise").html("修改评价(只能修改一次)");
            $("#_id_modify_appraise").click(add_modify_apparaise_click);
        } else {
            $("#_id_modify_appraise").addClass("disabled");
            $("#_id_modify_appraise").html("您已修改过评价");
        }
    }
}


//加载宠物主数据
function loadPetOwnerData() {
    try {
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetReqDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ReqId': ReqId
        };
        console.log("upload params:" + JSON.stringify(params));
        var success_callback = function(params) {

            console.log("response params:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                //保存当前url
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                //var Service_ReqId = ReqId + "00000000";
                var Ser_Req_id = "00000000" + ReqId;
                Ser_Req_id = Ser_Req_id.substring(ReqId.length, Ser_Req_id.length);
                $("#_id_ser_reqId").html(Ser_Req_id);
                show_PetOwnerData(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            // Util.SetCookie("AiPet_location_href", location.href);
            // location.href = "../signin.html";
        }

        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误 ！");
        console.log(e.message);
    }
}

//显示宠物主数据
function show_PetOwnerData(params) {

    //需求详情对象RequestDetail
    var ServiceType = params.serviceType; //服务种类，洗澡（0）、美容（1）、寄养（2）
    var PetVarieties = params.petVarieties; //宠物品种
    var SeviceWay = params.seviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceAdd = params.serviceAdd; //服务地点(只到店时为空)
    var ServiceBegintime = params.serviceBegintime; //服务要求开始时间
    var ServiceEndtime = params.serviceEndtime; //服务要求结束时间
    var ServiceTimeDesc = params.serviceTimeDesc; //服务时间（全天、白天、晚上）
    var ServiceReqdiy = params.serviceReqdiy; //服务要求-自定义
    var ServiceStaReq = params.serviceStaReq; //标准服务
    var ServiceSelfReq = params.serviceSelfReq; //个性需求
    var EffectiveTime = params.effectiveTime; //需求有效时间
    var SerivceCode = params.serivceCode; //服务编号，当服务生效时有效
    var PetWeight = params.petWeight; //宠物重量
    var PublishTime = params.publishTime; //发布时间
    var ServiceId = params.serviceId; //服务ID
    loadServicerData(SeviceWay, ServiceType);
    loadGetAppraise(ServiceId);
    if (ServiceReqdiy == "" || ServiceReqdiy == null) {
        ServiceReqdiy = "主人，你木有填写个性化需求哦";
    }
    if (ServiceStaReq == "" || ServiceStaReq == null) {
        ServiceStaReq = "〈空〉";
    }
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));
    var src = "";
    var pet_varieties = PetVarieties.split(" ")[2];
    //服务种类
    if (ServiceType == 0) {
        src = '../../img/ToBatheIconDetail.png';
    } else if (ServiceType == 1) {
        src = '../../img/doHairdressingIconDetail.png';
    } else if (ServiceType == 2) {
        src = '../../img/findFosterageIconDetail.png';
    }

    $("#_id_petVarities").html(pet_varieties);
    // $("#_id_service_time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " " + DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#_id_service_time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#_id_service_way").html(DataProcessUtil.SeviceWay_val(SeviceWay));
    $("#_id_service_selfDiy").html(ServiceReqdiy);
    $("#_id_service_type").attr("src", src);
    if (SeviceWay != "100")
        $("#_id_service_address").html(DataProcessUtil.ServiceAdd_Val(ServiceAdd));

    //存储再次发布需求时的数据
    Util.setWebData("Aipet_PetOwner_ServiceType", ServiceType);
    Util.setWebData("AiPet_PetOwner_SerivceID", ServiceId);
}

//显示服务者数据
function loadServicerData(SeviceWay, ServiceType) {
    try {
        var request_url = url_util + "Api/petowner/getBingoServicerDetail";
        var BingoTenderId = Util.getCookie("AiPet_List_BingoTenderId");

        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'BingoTenderId': BingoTenderId
        };

        //成功请求回调函数
        var success_callback = function(params) {
            if (params.callResultStatus.code != 1) {
                //保存当前URL
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                showServicerData(params, SeviceWay, ServiceType);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("before:" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

//显示服务者的数据

function showServicerData(params, SeviceWay, ServiceType) {
    console.log("servicer data:" + JSON.stringify(params));
    var TenderId = params.tenderId; //    int 投标ID
    var Servicer = params.servicer; //    Servicer    投标者
    var Distance = params.distance; //    string  投标者与宠物主的距离
    var Price = params.price; //   float   价格
    var SupplementIntro = params.supplementIntro; // string  投标补充说明
    var ServiceStaReq = params.serviceStaReq; //标准服务
    //Servicer对象
    var Id = Servicer.id; //  int 服务者ID
    var ServiceNum = Servicer.serviceNum; //  int 成功服务的次数
    var AveAppraise = Servicer.aveAppraise; // float   平均评价
    var AppraiseNum = Servicer.appraiseNum; // int 总评价人数
    var Address = Servicer.address; // string  服务者位置
    var IntroContent = Servicer.introContent; //    string  服务者介绍文字
    var Name = Servicer.name; //    string  姓名
    var Photo = Servicer.photo; //  string  服务者图像
    var IntroPhoto = Servicer.introPhoto; //  string  服务者介绍图片，如果有多种，以逗号隔开
    var IsAuthority = Servicer.isAuthority; // int 是否实名认证，1为是，0为否
    var TelNum = Servicer.tel; // string  联系电话
    var SerType = Servicer.serType; // int 服务者类型，0为个人，1为商家
    var SerConFea = Servicer.serConFea; //   string  服务内容和特色
    var IdentityArray = Servicer.identityArray; //  List<ServicerIdentity>  认证清单
    var AppraiseArray = Servicer.appraiseArray; //   List<Appraise>  评价清单
    var PhoneNumbers = DataProcessUtil.Tel(TelNum); //电话号码
    var Content = params.content; //服务者留言

    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    $("#id_servicer_name").html(Name);
    $(".tender-price").html(Price + "元");
    $("#_id_tel").html(PhoneNumbers);
    $("#_id_Content").html(DataProcessUtil.getContentValue(Content));
    $(".servicer-avatar").src = Photo;
    $("#_id_staService").html(StaService);
    $("#_id_service_content").html(DataProcessUtil.ServiceSpe_Val(SerConFea, ServiceStaReq)||"无");
    if (SeviceWay == "100") {
        $("#_id_service_address").html(Address);
        Util.SetCookie("AiPet_PetOwner_ServiceAdd", Address);
    }
    $("#_http://www.baidu.com/id_TelNum_Call").attr("href", "Tel:" + PhoneNumbers);

    Util.setWebData("AiPet_PetOwner_SerivcerId", Id);
}

//修改评价
function add_modify_apparaise_click() {
    location.href = "comment-service.html";
}
