var Public_ServiceType = "99";
var PageIndex = 0;
Util.SetCookie("AiPet_ServiceType", 99); ////初始化为99
var html_str_save = '';
var html_ul_header = '<ul class="table-view service-list">';
var html_ul_footer = '</ul>';

$(function() {
    init();
});

function init() {
    unreadMessage('petowner/GetUnReadNoticeCount');
    unreadMessage('petowner/GetMy');
    loadData(); //初始加载服务列表数据   
    menu_btn_click();
    $("#_id_load_next").click(add_load_next_servicerInfo);
}

//我的服务顶部tab
function menu_btn_click() {

    $("#menu_btn .control-item").each(function() {
        var item_id = 99;

        $(this).click(function() {
            PageIndex = 0;
            html_str_save = '';
            $("#menu_btn .active").removeClass("active");
            $(this).addClass("active");

            item_id = $(this).attr("item_id");
            $("#menu_cntent .active").removeClass("active");
            $("#item" + item_id + "mobile").addClass("active");

            if (item_id == 1) {
                Public_ServiceType = "99";
            } else if (item_id == 2) {
                Public_ServiceType = "0";
            } else if (item_id == 3) {
                Public_ServiceType = "1";
            } else if (item_id == 4) {
                Public_ServiceType = "2";
            }
            Util.SetCookie("AiPet_ServiceType", Public_ServiceType);
            loadData();
        });
    });
}

function loadData() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ServiceType = Util.getCookie("AiPet_ServiceType"); //类型

        if (Util.isEmpty(ServiceType) == false) {
            ServiceType = "99";
        }

        console.log(ServiceType);
        if (AccountId == null || AccountId == '') {
            AccountId = "aipet";
        }
        if (AiPet_Key == null || AccountId == '') {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/GetMyReqService";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'Type': ServiceType,
            'IsHis': 0,
            'PageIndex': PageIndex
        };

        console.log("upload params:" + JSON.stringify(params));
        var success_callback = function(params) {
            console.log(JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "../signin.html";

            } else {
                // //没有当前服务时显示
                // if (PageIndex == 0 && params.reqServArray.length == 0) {
                //     $("#_id_no_service").html('<div><a class = "servicer-more-detail-link" > 你当前还没有服务，赶紧去发布一个需求吧！ </a></div>');
                //     $("#_id_load_next").hide();
                // } else {
                //     $("#_id_no_service").hide();
                //没有下一页时显示
                if (params.reqServArray.length < 10) {
                    $("#_id_load_next").hide();
                    $("#_id_no_data").show();
                    $("#_id_no_data").html('<div align="center"><p>没有更多了</p></div>');
                } else {
                    $("#_id_no_data").hide();
                    $("#_id_load_next").show();
                }
                show_loadData(params, ServiceType);
            }
            // }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            Util.SetCookie("AiPet_location_href", location.href);
            //  location.href = "../signin.html";
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        // alert("请求错误 ！");
        var toastView_obj = new toastView("alertView", "请求出错", 2000);
        toastView_obj.init();
        console.log(e.message);
    }
}

function show_loadData(params, ServiceType) {

    var ReqServArray = params.reqServArray;
    console.log('ReqServArray:' + JSON.stringify(params));
    var html_str = '';
    if (ReqServArray.length == 0 && PageIndex == 0) {
        html_str += '<br/><p class = "servicer-more-detail-link" > 你当前还没有服务，赶紧去发布一个需求吧！ </p>';
        $("#_id_no_data").hide();
    } else {
        for (var i = 0; i < ReqServArray.length; i++) {
            var ReqServ = ReqServArray[i];
            var id = ReqServ.id; //需求Id
            var Type = ReqServ.type; //服务种类，洗澡（0）、美容（1）、寄养（2）
            var ServiceWay = ReqServ.serviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
            var ServiceDt = ReqServ.serviceDt; //服务时间
            var ServiceDateArray = ServiceDt.split(" ")[0].split("/");
            var ServiceDate = ServiceDateArray[1] + "月" + ServiceDateArray[2] + "日"; //服务日期：X月X日；
            var ServiceDec = DataProcessUtil.ServiceDec_Val(ServiceDt.slice(-2)); //服务时间：上下午全天
            var Status = ReqServ.status; //需求服务状态，1对应报价中，2对应等待服务，3对应已服务，4对应已失效，5对应已评价
            var TenderNumber = ReqServ.tenderNumber; //已报价人数，Status为01有效
            var TenderEffectiveTime = ReqServ.tenderEffectiveTime; //报价截止时间，Status为01有效
            var BingoServicer = ReqServ.bingoServicer; //中标人，Status为02有效
            var BingoTenderId = ReqServ.bingoTenderId; //中标的ID号
            var AppriaiseNumber = ReqServ.appriaiseNumber; //评价得分
            var ServicerId = ReqServ.servicerId; //服务者编号
            var UnReadCount = ReqServ.unReadCount; //未读消息 1为未读，0为已读
            var src = '../../img/doHairdressingIconDetail.png';
            var TypeName = '美容';
            html_str += '<div class="card card_new" bingo-id="' + BingoTenderId + '" servicer-id="' + ServicerId + '" data-id="' + id + '" ><li class="table-view-cell media service-list-item">';
            html_str += '<a class="navigate-right" href=' + DataProcessUtil.Status_URL_Link(Status, "") + '>';
            var TypeNameArray = ['洗澡', '美容', '寄养']
            var TypeImgArray = ['../../img/ToBatheIconDetail.png', '../../img/doHairdressingIconDetail.png', '../../img/findFosterageIconDetail.png'];
            TypeName = TypeNameArray[Type];
            src = TypeImgArray[Type];
            if (UnReadCount == 1)
                html_str += '<span class="servicer-unread-list"></span>';
            html_str += '<img class="media-object pull-left" src="' + src + '">';
            html_str += '<div class="media-body"><h5>' + TypeName + '服务</h5>';
            html_str += '<p class="service-way"><i class="key">服务方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '</p>';
            html_str += '<p class="service-time"><i class="key">服务时间</i>' + ServiceDate + ' ' + ServiceDec + '</p></div></a>';
            html_str += '<a class="statusbar" href=' + DataProcessUtil.Status_URL_Link(Status, "") + ' data-transition="slide-in">';
            html_str += '<p class="tender-status tender-status' + DataProcessUtil.Status_Icon(Status) + '">' + DataProcessUtil.Status_Name(Status) + '</p>';
            if (Status == 1 || Status == 2) {
                html_str += '<p class="tender-num">' + DataProcessUtil.TenderNumber_Val(TenderNumber) + '</p>';
                html_str += '<p class="tender-time-left">' + DataProcessUtil.TenderEffectiveTime_Val(TenderEffectiveTime) + '</p>';
            } else if (Status == 3) {
                html_str += '<p class="tender-num">' + "已选择 " + BingoServicer + '</p>';
            } /*else if (Status == 11 || Status == 13) {
                html_str += '<p class="tender-status tender-status' + DataProcessUtil.Status_Icon(3) + '">' + "未评价" + '</p>';
            }*/
            html_str += '</a></li></div>';
        }
    }

    html_str_save += html_str;
    // Util.setWebData("AiPet_Html_Str", html_str_save);
    load_old_data(ServiceType, html_ul_header + html_str_save + html_ul_footer);
}

function load_old_data(ServiceType, html_str) {
    $("#menu_btn .active").removeClass("active");
    $("#menu_cntent .active").removeClass("active");
    var type_number = 1;
    if (ServiceType == "99") {
        type_number = 1;
    } else if (ServiceType == "0") {
        type_number = 2;
    } else if (ServiceType == "1") {
        type_number = 3;
    } else if (ServiceType == "2") {
        type_number = 4;
    }
    $("#menu_btn .control-item").each(function() {
        if ($(this).attr("item_id") == type_number) {
            $(this).addClass("active");
        }
    });
    $("#item" + type_number + "mobile").html(html_str);
    $("#item" + type_number + "mobile").addClass("active");
    add_click(type_number);

}

function add_click(type_number) {
    $("#item" + type_number + "mobile .card").click(function() {
        //alert($(this).attr("data-id"));
        Util.SetCookie("AiPet_List_ReqId", $(this).attr("data-id"));
        Util.SetCookie("AiPet_List_BingoTenderId", $(this).attr("bingo-id"));
        Util.SetCookie("AiPet_tenderList_servicerId", $(this).attr("servicer-id"));
        console.log('id:' + $(this).attr("data-id"));
        ChangeNoticeToRead('petowner/ChangeNoticeToRead',$(this).attr("data-id"));
    });
}

//加载下一页
function add_load_next_servicerInfo() {
    PageIndex = PageIndex + 1;
    loadData();
}
