/**
 *update:lixingji
 *date:2014/7/11
 **/

var PageIndex = 0;
var _PageIndex=0;
var html_str_save = '';
var _TenderId_Global = '';
var ServicerId = Util.getCookie("AiPet_tenderList_servicerId");

$(function() {
    init();
});

//初始化
function init() {
    load_data();
    load_Pre_data();
    $("#_id_select_btn").click(add_click_btn);
    $(".make-call").click(add_click_call);
    $("#_id_load_ten_nextAppraise").click(add_next_10_appraise);
}

//点击选中服务者按钮 
function add_click_btn() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        var TenderId = Util.getCookie("AiPet_tenderList_tenderId");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/selectServicer";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'TenderId': TenderId,
            'ServicerId': ServicerId,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code != 1) {
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "已选中此服务者！", 2000);
                toastView_obj.init();
                location.href = "service-list.html";
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("上传的数据：" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        // var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        // toastView_obj.init();
        console.log(e.message);
    }
}

//点击拨打电话
function add_click_call() {
    var toastView_obj = new toastView("alertView", "未选择该服务者前不能点击拨号", 2000);
    toastView_obj.init();
}

//加载服务者详情
function load_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        var ReqId = Util.getCookie("AiPet_List_ReqId");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getTenderServicerDetail";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ServicerId': ServicerId,
            'ReqId': ReqId
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log("上传的数据：" + JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        // var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        // toastView_obj.init();
        console.log(e.message);
    }
}

//显示服务者详情
function show_loadData(params) {
    var TenderId = params.tenderId; //投标ID
    var Servicer = params.servicer; //投标者
    var Distance = params.distance; //投标者与宠物主的距离
    var Price = params.price; //价格
    var SupplementIntro = params.supplementIntro; //投标补充说明

    _TenderId_Global = TenderId;

    var Id = Servicer.id; //服务者ID
    var ServiceNum = Servicer.serviceNum; //成功服务的次数
    var AveAppraise = Servicer.aveAppraise; //平均评价
    var AppraiseNum = Servicer.appraiseNum; //总评价人数
    var Address = Servicer.address; //服务者位置
    var IntroContent = Servicer.introContent; //服务者介绍文字
    var Name = Servicer.name; //姓名
    var Photo = Servicer.photo; //服务者图像
    var IntroPhoto = Servicer.introPhoto; //服务者介绍图片，如果有多种，以逗号隔开
    var IsAuthority = Servicer.isAuthority; //是否实名认证，1为是，0为否
    var Tel = Servicer.tel; //联系电话
    var SerType = Servicer.serType; //服务者类型，0为个人，1为商家
    var SerConFea = Servicer.serConFea; //服务内容和特色
    var IdentityArray = Servicer.identityArray; //认证清单
    var AppraiseArray = Servicer.appraiseArray; //评价清单
    showAppraiseData(AppraiseArray);

    $("#_id_photo").src = Photo;
    $("#_id_name").html(Name);
    $("#_id_price").html(Price + "元");
    $("#_id_tel").html(Tel);
    $("#_id_SerConFea").html(SerConFea);
    $("#_id_IntroContent").html(IntroContent);
    $("#_id_name2").html(Name);
    $("#_id_Address").html(Address);
    $("#_id_ServiceNum").html(ServiceNum);
    $("#_id_AveAppraise").html(AveAppraise);
    $("#_id_AveAppraise2").html(AveAppraise);

    var html_str = "";
    html_str += DataProcessUtil.Evaluate(AveAppraise);
    $("#_id_AveAppraise_img").html(html_str);
    $("#_id_AveAppraise_img2").html(html_str);
    $("#_id_ServiceIntroduce").html(DataProcessUtil.getContentValue(IntroContent));
    $("#_id_AppraiseNum").html(AppraiseNum);
}

//显示评价详情数据
function showAppraiseData(AppraiseArray) {

    //对评价内容进行遍历
    if (AppraiseArray.length > 0) {
        var html_str = "";
        for (var i = 0; i < AppraiseArray.length; i++) {
            var Appraise = AppraiseArray[i];
            var UserPhoto = Appraise.userPhoto; //评价者图像
            var Name = Appraise.name; //评价者名字
            var Content = Appraise.content; //评价内容
            var Fraction = Appraise.fraction; //分数
            var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
            var PublishDt = Appraise.publishDt; //发布时间
            var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
            var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
            var ReplyUserName = Appraise.replyUserName; //回复者名字
            var ReplyDt = Appraise.replyDt; //回复时间
            var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
            var HasEdit = Appraise.hasEdit; //是否已修改，1为是，0为否
            if (Name == null) {
                Name = "匿名用户";
            }
            if (ReplyUserName == null) {
                ReplyUserName = "匿名用户";
            }

            html_str += '<div class="single-comment clearfloat"><p class="user-name">' + Name + '</p>';
            html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
            html_str += '<p class="rating"><span class="rating-points">' + Fraction + '</span>';
            html_str += '<span class="rating-stars">';

            html_str += DataProcessUtil.Evaluate(Fraction);

            html_str += '</span></p><p class="comment-text">' + Content + '</p>';
            if (ReplyDt != null) {
                html_str += '<div class="reply-wrap"><p class="user-name">' + ReplyUserName + '</p>';
                html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
                html_str += '<p class="comment-text">' + ReplyContent + '</p></div>';
            }
            html_str += '</div>';
        }

    }

    //判断是否完全加载
    if (AppraiseArray.length < 10) {
        $("#_id_load_ten_nextAppraise").hide();
        if (!(PageIndex == 0 && AppraiseArray.length == 0)) {
            $("#_id_no_data").show();
            $("#_id_no_data").html('<p>没有更多了</p>');
        }
    }
    //没有评价内容时显示
    if (PageIndex == 0 && AppraiseArray.length == 0) {
        html_str = '<li class="table-view-cell media"><div align="center">暂无评价</div></li>';
    }

    html_str_save += html_str;
    $("#_id_appraise_list").html(html_str_save);
}

//加载更多评价（加10条）
function add_next_10_appraise() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getNext10Appraise";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ServicerId': ServicerId,
            'PageIndex': PageIndex
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                show_appraise_list(params);
                PageIndex++; //加载完后页数加1
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        toastView_obj.init();
        console.log(e.message);
    }

}

//显示评价列表
function show_appraise_list(params) {
    var AppraiseArray = params.appraiseArray;
    showAppraiseData(AppraiseArray);
}

//加载优惠信息
function load_Pre_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/petowner/getServicerPreferentialList";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key,
            'ServicerId': ServicerId,
            'order': 02,
            'PageIndex': 0
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                // Util.SetCookie("AiPet_location_href", location.href);
                // location.href = "../signin.html";
            } else {
                show_pre_list(params);
            }
        }
        var error_callback = function(params) {
            // var toastView_obj = new toastView("alertView", "请求错误！", 2000);
            // toastView_obj.init();
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        // var toastView_obj = new toastView("alertView", "请求错误！", 2000);
        // toastView_obj.init();
        console.log(e.message);
    }
}

//显示服务者的优惠列表
function show_pre_list(params) {
    var PreferentialArray = params.preferentialArray;
    var html_str = "";
    if (PreferentialArray != null) {

        for (var i = 0; i < PreferentialArray.length; i++) {
            var Preferential = PreferentialArray[i];
            var Id = Preferential.id; // 优惠ID
            Util.SetCookie("promotionId", Id);
            var ServicerID = Preferential.servicerID; // 服务提供者，即优惠提供者
            var PreferentialType = Preferential.preferentialType; // 优惠针对的服务种类，与服务种类一致，即洗澡（0）、美容（1）、寄养（2）、商品（3）
            var Title = Preferential.title; // 标题
            var OriginalPrice = Preferential.originalPrice; // 原价
            var PresentPrice = Preferential.presentPrice; // 现价
            var EffectiveBeginTime = Preferential.effectiveBeginTime; // 优惠允许使用开始时间
            var EffectiveEndTime = Preferential.effectiveEndTime; // 优惠允许使用结束时间
            var CostMoney = Preferential.costMoney; // 抢优惠所需的宠币
            var SeviceWay = Preferential.seviceWay; // 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
            var ServiceAddress = Preferential.serviceAddress; // 服务者地址
            var ServiceIntro = Preferential.serviceIntro; // 服务介绍
            var PreferentialCount = Preferential.preferentialCount; // 优惠总数量
            var HasGet = Preferential.hasGet; // 已被抢数量
            var ActiveBeginTime = Preferential.activeBeginTime; // 优惠开始允许抢的时间，用于计算总有效时间和剩余有效时间
            var ActiveEndTime = Preferential.activeEndTime; // 优惠允许抢的结束时间
            var PublishTime = Preferential.publishTime; // 发布时间
            var isGet=Preferential.isGet;
            
            if(isGet==0){
                var TypeName = "洗澡";
                var src = "../../img/ToBatheIconDetail.png";
                if (PreferentialType == 0) {
                    TypeName = '洗澡';
                    src = '../../img/ToBatheIconDetail.png';
                } else if (PreferentialType == 1) {
                    TypeName = '美容';
                    src = '../../img/doHairdressingIconDetail.png';
                } else if (PreferentialType == 2) {
                    TypeName = '寄养';
                    src = '../../img/findFosterageIconDetail.png';
                }else if(PreferentialType==3){
                    src='../../img/preferentialIcon-01.png';
                    TypeName = '商品';
                }

            html_str += '<div class="card" data-id="'+ Id+ '"><li class="table-view-cell media promotion-list-item">';
            html_str += '<a href="../promotion/promotion-detail-status1.html"><table style="width: 100%;">';
            
            html_str += '<tr><td rowspan="3" width="55px;"><img class="media-object pull-left" src="' + src + '"></td>';
            html_str += '<td><h5>'+Title+'</h5></td>';
            html_str += '<td width="60px;"><p class="original-price"><s>'+OriginalPrice+'元</s></p></td>';
            html_str += '</tr><tr>';
            html_str += '<td><p class="promotion-list-available-time">期限:'+DataProcessUtil.PromotionTime_Val(ActiveBeginTime) + '~'
                    + DataProcessUtil.PromotionTime_Val(ActiveEndTime)+'</p></td>';
            html_str += '<td><p class="present-price">'+PresentPrice+'元</p></td></tr><tr>';
            html_str += '<td><p class="promotion-list-location">'+ServiceAddress+'</p></td><td></td></tr></table></a>';
            html_str += '<a class="statusbar" href="promotion-detail-status1.html">';
            html_str += '<span class="promotion-list-avainum"><img src="../../img/tenderPeople.png" style="width: 22px;">名额:'+ HasGet + '/'+ PreferentialCount + '</span>';
            var ActiveEndTimeStr=DataProcessUtil.EffectiveTime_Val(ActiveEndTime);
            var timeLeftTillNow=ActiveEndTimeStr.substring(0,ActiveEndTimeStr.indexOf("分")+1);
            if(timeLeftTillNow==''||timeLeftTillNow==null){
                timeLeftTillNow="<b>0</b>分（已失效）";
            }
            html_str += '<span class="promotion-list-time-left"><img height="17px" width="20px" src="../../img/timeLeft.png">剩余:'+timeLeftTillNow+'</span>';
            html_str += '</a></li></div>';
            }
        }
        
        if(PreferentialArray.length>=6){
            //html_str += '<div align="center" class="load_new_btn" id="_id_load_new_btn">加载更多</div>';
        }
        
        if(html_str.length==0){
            html_str = '<div ><li class="table-view-cell media"><div align="center">暂无优惠服务</div></li><div>';
        }

    } else {
        html_str = '<div class="card"><li class="table-view-cell media"><div align="center">暂无优惠服务</div></li><div>';
    }
    if(_PageIndex==0){
    	html_str='<div><div class="table-view-cell"><div align="center">正在开发中，敬请期待！</div></div><div>';
        $("#promotion-detail").html(html_str);
    }
    
    // 点击列表项
    $("#promotion-detail .card").click(function() {
                Util.SetCookie("AiPet_PetOwner_PreId", $(this).attr("data-id"));
            });
    $("#_id_load_new_btn").click(function(){
        _PageIndex++;
        load_data();
        var oldHtml=$("#promotion-detail").html();
        $("#promotion-detail").html(oldHtml+html_str);
    });

    
}







// //获取评价信息
// function request_getAppraise() {
//     try {
//         //alert(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
//         var AccountId = Util.getCookie("AiPet_Name");
//         var AiPet_Key = Util.getCookie("AiPet_Key");
//         var ServicerId = Util.getCookie("AiPet_tenderList_servicerId");
//         if (AccountId == null) {
//             AccountId = "aipet";
//         }
//         if (AiPet_Key == null) {
//             AiPet_Key = "aipet";
//         }
//         var request_url = url_util + "Api/petowner/getNext10Appraise";
//         var params = {
//             'AccountId': AccountId,
//             'Code': AiPet_Key,
//             'ServicerId': ServicerId,
//             'PageIndex': 0
//         };
//         var success_callback = function(params) {
//             console.log("success:" + JSON.stringify(params));
//             if (params.callResultStatus.code != 1) {
//                 // Util.SetCookie("AiPet_location_href", location.href);
//                 // location.href = "../signin.html";
//             } else {
//                 show_appraise_list(params);
//             }
//         }
//         var error_callback = function(params) {
//             console.log("error:" + JSON.stringify(params));
//         }
//         console.log(JSON.stringify(params));
//         Util.getRequestData_GET(request_url, params, success_callback, error_callback);

//     } catch (e) {
//         alert("请求错误！");
//         console.log(e.message);
//     }

// }

// //显示评价列表
// function show_appraise_list(params) {
//     var AppraiseArray = params.appraiseArray;

//     if (AppraiseArray.length > 0) {
//         var html_str = "";
//         for (var i = 0; i < AppraiseArray.length; i++) {
//             var Appraise = AppraiseArray[i];
//             var UserPhoto = Appraise.userPhoto; //评价者图像
//             var Content = Appraise.content; //评价内容
//             var Fraction = Appraise.fraction; //分数
//             var Photo = Appraise.photo; //评价图片路径，如果有多张图片，以“，”隔开
//             var PublishDt = Appraise.publishDt; //发布时间
//             var ReplyContent = Appraise.replyContent; //评价回复内容，可能为空
//             var ReplyPhoto = Appraise.replyPhoto; //评价回复图片路径，如果有多张图片，以逗号隔开
//             var ReplyDt = Appraise.replyDt; //回复时间
//             var ReplyUserPhoto = Appraise.replyUserPhoto; //回复者图片
//             var HasEdit = Appraise.hasEdit; //是否已修改，1为是，0为否

//             html_str += '<p class="user-name">恋上我的霸气</p>';
//             html_str += '<p class="comment-timestamp">' + PublishDt + '</p>';
//             html_str += '<p class="rating"><span class="rating-points">' + Fraction + '</span>';
//             html_str += '<span class="rating-stars">';

//             var point_front = String(Fraction).split(".")[0];
//             for (var j = 0; j < point_front * 1; j++) {
//                 html_str += '<img src="../../img/evaluateLightIcon.png" alt=""/>';
//             }
//             if (Math.round(Fraction) > Fraction) {
//                 html_str += '<img src="../../img/evaluateHalfIcon.png" alt=""/>';
//             } else {
//                 html_str += '<img src="../../img/evaluateGrayIcon.png" alt=""/>';
//             }
//             for (var k = 0; k < (5 - (point_front * 1 + 1)); k++) {
//                 html_str += '<img src="../../img/evaluateGrayIcon.png" alt=""/>';
//             }

//             html_str += '</span></p><p class="comment-text">' + Content + '</p><div class="reply-wrap">';
//             html_str += '<p class="user-name">恋上我的霸气</p>';
//             html_str += '<p class="comment-timestamp">' + ReplyDt + '</p>';
//             html_str += '<p class="comment-text">服务一流，有独特的手法。我家的小宝贝门越来越霸气了，现在看他的样子，霸气太侧漏了，简直无法直视，惊呆了我！</p></div></div>';
//         }

//     } else {
//         html_str = '<li class="table-view-cell media"><div align="center">暂无评价</div></li>';
//     }
//     $("#_id_appraise_list").html(html_str);
// }
