var showload = null; //对话框对象 
var validation_boolean = true;
$(function() {
    init();
});

function init() {
    loadStaService();
    $("#_id_positive").click(btn_positive_click);
    $("#_id_logout").click(btn_logout_click);
    $("#Tel").blur(validation);
    $("#Tel").bind("input", check_number);
    $("#Tel").on("click", hideLogo);
}

//输入框获得焦点时隐藏logo
function hideLogo() {
    $("#_id_logo").hide();
    $("div.account-form").attr("style", "margin:0px;");
    setTimeout(function() {
        $("#Tel").focus();
    }, 300);
}

function check_number() {
    $("div.account-form").attr("style", "margin:0px;");
    var val_str = $(this).val();

    var val_str_end = '';
    for (var i = 0; i < val_str.length; i++) {
        if (val_str[i].match("^[0-9]+$") != null) {
            val_str_end += val_str[i];
        }
    }
    $(this).val(val_str_end);
    var return_val = Util.checkPhoneNumber(val_str_end);
    if (return_val.length > 0) {
        var toastView_obj = new toastView("alertView", return_val, 1000);
        toastView_obj.init();
    } else {
        //改变焦点
        if (val_str.length >= 11) {
            setTimeout(function() {
                $("#Psw").focus();
            }, 300);
        }
    }
}

function btn_logout_click() {
    try {
        var request_url = url_util + "Api/petowner/regist";
        var Tel = $("#Tel").val();
        var Psw = $("#Psw").val();
        var Name = $("#Name").val();
        var Code = '1234'; //已废弃
        var secret = '1A1D4EE7';
        if (Util.isEmpty(Tel) == false) {
            Tel = "";
        }
        if (Util.isEmpty(Psw) == false) {
            Psw = "";
        } else {
            Psw = $.md5($.md5(Psw) + secret);
            console.log(Psw);
        }
        if (Name == null || Name == '') {
            Name="用户"+Tel.slice(-4);
        }
        var params = {
            'Tel': Tel,
            'Psw': Psw,
            'Name': Name,
            'Code': Code
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            dataProcessing(params, Tel);
            // location.href = "signin.html";
            showload.hideDiv();
        }
        var error_callback = function(params) {
            showload.hideDiv();
            console.log("error:" + JSON.stringify(params));
        }
        if (Tel.length == 0) {
            var toastView_obj = new toastView("alertView", "手机号不能为空", 1000);
            toastView_obj.init();
        } else if (Psw.length == 0) {
            var toastView_obj = new toastView("alertView", "密码不能为空", 1000);
            toastView_obj.init();
        } else if (!Tel.match(/^1[3|4|5|8][0-9]{9}$/)) {
            var toastView_obj = new toastView("alertView", "请正确输入的手机号码", 1000);
            toastView_obj.init();
        } else {
            if (showload == null) {
                showload = new showHtmlDialog("loading", "正在注册您的账号...");
            } else {
                showload.showDiv();
            }
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        }
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

function btn_positive_click() {
    try {
        var request_url = url_util + "Api/petowner/sendCode";
        var Tel = $("#Tel").val();
        if (Util.isEmpty(Tel) == false) {
            Tel = "";
        }
        var params = {
            'Tel': Tel
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        if (Tel.length == 0) {
            var toastView_obj = new toastView("alertView", "手机号不能为空", 1000);
            toastView_obj.init();
        } else {
            if (validation_boolean == true) {
                Util.getRequestData_GET(request_url, params, success_callback, error_callback);
            } else {
                var toastView_obj = new toastView("alertView", "该手机号码已注册！", 1000);
                toastView_obj.init();
            }
        }
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

//认证
function validation() {
    try {
        var request_url = url_util + "Api/petowner/validateTel";
        var Tel = $(this).val();
        var params = {
            'Tel': Tel
        }
        var success_callback = function(params) {
            //alert("success:"+JSON.stringify(params));
            if (params.code != 1) {
                var toastView_obj = new toastView("alertView", params.msg, 2000);
                toastView_obj.init();
                validation_boolean = false;
            } else if (params.code == 1) {
                validation_boolean = true;
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }

        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }

}

//注册完后数据的处理
function dataProcessing(params, Tel) {
    if (params.code == 1) {
        Util.SetCookie("AiPet_Name", Tel);
        Util.SetCookie("AiPet_Key", params.msg);
        Util.SetCookie("login_key", "true");
        var pre_url = Util.getCookie("AiPet_location_href");
        var toastView_obj = new toastView("alertView", "您的账号注册成功了！", 2000);
        toastView_obj.init();
        setTimeout(function() {
            Util.SetCookie("AiPet_petOwner_novalidate", 2); //跳到手机认证的标识
            location.href = "service/tel-validate.html";
            // if (pre_url == null || pre_url == '' || pre_url == undefined)
            //     pre_url = "index.html";
            // location.href = pre_url;
        }, 2000);
    } else {
        showload.hideDiv();
        var toastView_obj = new toastView("alertView", params.msg, 1000);
        toastView_obj.init();
    }
}
//加载标准服务
function loadStaService() {
    try {
        var request_url = url_util + "Api/ApiUtil/GetCommDictionary";
        var params = {
            'groupCode': 'StandardService'
        }
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code == 1) {
                var CommDictionaryArray = params.commDictionaryArray;
                Util.SetCookie("AiPet_petOwner_BathSta", CommDictionaryArray[0].keyValue);
                Util.SetCookie("AiPet_petOwner_DoHairdressingSta", CommDictionaryArray[1].keyValue);
                Util.SetCookie("AiPet_petOwner_FindFosterageSta", CommDictionaryArray[2].keyValue);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        Util.getRequestData_GET(request_url, params, success_callback,
            error_callback);
    } catch (e) {
        console.log(e.message);
    }
}
