//历史服务列表
//author:lixingji
//date:2014/6/27

var Public_ServiceType = "99";
var PageIndex = 0;
var html_str_save = '';
Util.setWebData("AiPet_History_ReqService_ServiceType", 99);

$(function() {
    init();
});

function init() {
    unreadMessage('servicer/GetUnReadNoticeCount');
    unreadMessage('servicer/GetMy');
    load_data();
    menu_btn_click();
    $("#_id_load_next").click(add_load_more);
    $("#currentService").click(current_service_click);
}

//我的服务顶部tab 
function menu_btn_click() {

    $("#menu_btn .control-item").each(function() {
        var item_id = 1;

        $(this).click(function() {
            PageIndex = 0;
            html_str_save = '';
            $("#menu_btn .active").removeClass("active");
            $(this).addClass("active");

            item_id = $(this).attr("item_id");
            $("#_id_service_list .active").removeClass("active");
            $("#item" + item_id + "mobile").addClass("active");

            if (item_id == 1) {
                Public_ServiceType = "99";
            } else if (item_id == 2) {
                Public_ServiceType = "0";
            } else if (item_id == 3) {
                Public_ServiceType = "1";
            } else if (item_id == 4) {
                Public_ServiceType = "2";
            }
            Util.setWebData("AiPet_History_ReqService_ServiceType", Public_ServiceType);
            load_data();
        });
    });
}

//点击跳转到当前服务页面

function current_service_click() {
    location.href = "service-list.html";
}

function load_data() {
    try {
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        //var ServiceType = Util.getCookie("AiPet_ReqService_ServiceType");
        var ServiceType = Util.getWebData("AiPet_History_ReqService_ServiceType");
        if (Util.isEmpty(ServiceType) == false) {
            ServiceType = "99";
        }
        console.log(ServiceType);
        if (servicerAccount == null) {
            servicerAccount = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/servicer/getMyReqService";
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'Type': ServiceType,
            'IsHis': 1,
            'PageIndex': PageIndex
        };

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success_callback:" + JSON.stringify(params));

            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "signin.html";
            } else {
                // 判空
                if (params.reqServArray.length == 0 && PageIndex == 0) {
                    $("#_id_no_data").html('没有历史服务');
                    $("#_id_no_data").show();
                    $("#_id_load_next").hide();
                } else {
                    //判断是否加载全部
                    if (params.reqServArray.length < 10) {
                        $("#_id_load_next").hide();
                        $("#_id_no_data").show();
                        $("#_id_no_data").html('<div align="center"><p>没有更多了</p></div>');
                    } else {
                        $("#_id_no_data").hide();
                        $("#_id_load_next").show();
                    }
                }
            }
            show_loadData(params, ServiceType);
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert(请求出错);
        console.log(e.message);
    }
}

function show_loadData(params, ServiceType) {
    var ReqServArray = params.reqServArray;
    var html_str = '<ul class="table-view service-list">';
    // if (ReqServArray.length == 0 && PageIndex == 0) {
    //     html_str += '<div class = "card"><a class = "servicer-more-detail-link" > 没有历史服务 </a></div>';
    // }
    for (var i = 0; i < ReqServArray.length; i++) {
        var ReqServ = ReqServArray[i];
        var id = ReqServ.id; //需求Id
        var serviceId = ReqServ.serviceId; //服务Id
        var Type = ReqServ.type; //服务种类，洗澡（0）、美容（1）、寄养（2）
        var ServiceWay = ReqServ.serviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
        var ServiceDt = ReqServ.serviceDt; //服务时间
        var AppriaiseId = ReqServ.appriaiseId; //评价ID
        var ServiceDateArray = ServiceDt.split(" ")[0].split("/");
        var ServiceDate = ServiceDateArray[1] + "月" + ServiceDateArray[2] + "日"; //服务日期：X月X日；
        var ServiceDec = DataProcessUtil.ServiceDec_Val(ServiceDt.slice(-2)); //服务时间：上下午全天

        var Status = ReqServ.status; //需求服务状态，1对应报价中，2对应等待服务，3对应已服务，4对应已失效，5对应已评价
        var TenderNumber = ReqServ.tenderNumber; //已报价人数，Status为01有效
        var TenderEffectiveTime = ReqServ.tenderEffectiveTime; //报价截止时间，Status为01有效
        var BingoServicer = ReqServ.bingoServicer; //中标人，Status为02有效
        var BingoTenderId = ReqServ.bingoTenderId; //中标的ID号
        var AppriaiseNumber = ReqServ.appriaiseNumber; //评价得分
        var petOwnerNikeName = ReqServ.petOwnerNikeName; //宠物主名字
        var petVarieties = ReqServ.petVarieties; //品种
        var petWeight = ReqServ.petWeight; //重量
        var PetOwnerAdd = ReqServ.petOwnerAdd;
        var UnReadCount = ReqServ.unReadCount; //未读消息 1为未读，0为已读
        var src = '../img/doHairdressingIconDetail.png';
        var TypeName = '美容';
        html_str += '<div class="card" bingo-id="' + BingoTenderId + '" data-id="' + id + '" appraise-id="' + AppriaiseId + '" status-id="' + Status + '" service-id="' + serviceId + '" ><li class="table-view-cell media service-list-item">';
        html_str += '<a class="navigate-right" href=' + Status_URL_Link(Status, "service/") + '>';
        if (Type == 0) {
            TypeName = '洗澡'
            src = '../img/ToBatheIconDetail.png';
        } else if (Type == 1) {
            TypeName = '美容'
            src = '../img/doHairdressingIconDetail.png';
        } else if (Type == 2) {
            TypeName = '寄养'
            src = '../img/findFosterageIconDetail.png';
        }
        // html_str += '<img class="media-object pull-left" src="' + src + '">';
        // html_str += '<div class="media-body"><h5>' + TypeName + '服务</h5>';
        // html_str += '<p class="service-way"><i class="key">服务方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '</p>';
        // html_str += '<p class="service-time"><i class="key">服务时间</i>' + ServiceDate + ' ' + ServiceDec + '</p></div></a>';
        if (petOwnerNikeName == null) {
            petOwnerNikeName = '匿名用户';
        } else if (petOwnerNikeName.length > 10) {
            petOwnerNikeName = petOwnerNikeName.substring(0, 10) + "..";
        }
        if (PetOwnerAdd == null) {
            PetOwnerAdd = "本店";
        } else if (PetOwnerAdd.length > 10) {
            PetOwnerAdd = PetOwnerAdd.substring(0, 10) + "...";
        }
        if (UnReadCount == 1)
            html_str += '<span class="unread-list"></span>';
        if (ServiceWay == 100) {
            html_str += '<img class="media-object pull-left" src="' + src + '">';
            html_str += '<div class="media-body"><p><b style="font-size:120%">' + TypeName + '服务</b><span class="list-right-content" style="margin-right:8%;"><span id="_id_petowner_name">' + petOwnerNikeName + '</span></span></p>';
            html_str += '<p class="service-way"><i class="key">服务方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '<span class="list-right-content"  style="margin-right:8%"><span id="_id_petVar">' + petVarieties + '</span></span></p>';
            html_str += '<p class="service-time"><i class="key">服务时间</i>' + ServiceDate + ' ' + ServiceDec + '<span class="list-right-content"  style="margin-right:8%"><span id="_id_petWeight">' + petWeight + 'kg</span></span></p></div></a>';
        } else {
            html_str += '<img class="media-object pull-left" src="' + src + '">';
            html_str += '<div class="media-body"><p><b style="font-size:120%">' + TypeName + '服务</b></p>';
            html_str += '<p class="service-way"><i class="key">服务方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '<span class="list-right-content" style="margin-right:8%;"><span id="_id_petowner_name">' + petOwnerNikeName + '</span></span></p>';
            html_str += '<p class="service-add"  id="_id_service_add"><i class="key">服务地址</i>' + PetOwnerAdd + '<span class="list-right-content"  style="margin-right:8%"><span id="_id_petVar">' + petVarieties + '</span></span></p>';
            html_str += '<p class="service-time"><i class="key">服务时间</i>' + ServiceDate + ' ' + ServiceDec + '<span class="list-right-content"  style="margin-right:8%"><span id="_id_petWeight">' + petWeight + 'kg</span></span></p></div></a>';
        }

        html_str += '<a class="statusbar" href=' + DataProcessUtil.Status_URL_Link(Status, "service/") + ' data-transition="slide-in">';
        html_str += '<p class="tender-status tender-status' + DataProcessUtil.Status_Icon(Status) + '">' + Status_Name(Status) + '</p>';

        if (Status == "12" || Status == "13" || Status == "14") { //宠物主评或双方已评
            html_str += '<p class="tender-status"><span class="rating-stars">';
            var point_front = String(AppriaiseNumber).split(".")[0];
            for (var j = 0; j < point_front * 1; j++) {
                html_str += '<img src="../img/evaluateLightIcon.png" alt=""/>';
            }
            for (var k = 0; k < (5 - (point_front * 1)); k++) {
                html_str += '<img src="../img/evaluateGrayIcon.png" alt=""/>';
            }
            html_str += '</span></p>';
        }
        html_str += '</a></li></div>';
    }
    html_str += '</ul > ';
    html_str_save += html_str;
    $("#_id_service_list").html(html_str_save);
    //点击列表项
    $("#_id_service_list .card").click(function() {
        Util.setWebData("AiPet_Servicer_Status", $(this).attr("status-id"));
        Util.setWebData("AiPet_Servicer_ServiceId", $(this).attr("service-id"));
        Util.setWebData("AiPet_Servicer_AppraiseId", $(this).attr("appraise-id"));
        Util.setWebData("AiPet_Servicer_List_ReqId", $(this).attr("data-id"));
        Util.setWebData("AiPet_Servicer_List_BingoId", $(this).attr("bingo-id"));
        Util.setWebData("AiPet_Servicer_url", "../service-list.html");
        ChangeNoticeToRead('servicer/ChangeNoticeToRead', $(this).attr("data-id"));
    });

}

//加载更多详情
function add_load_more() {
    PageIndex++;
    load_data();
}

//状态名
function Status_Name(Status) {
    var Status_List = ['报价中', '未抢到', '未抢到', '已失效', '已失效', '', '', '', '',
        '', '已服务', '已评价', '已评价', '已评价', '已失效', '已失效'
    ];
    return Status_List[Status - 1];
}

// 根据状态链接到不同的页面 服务者
function Status_URL_Link(Status, pre_html) {
    var html_str = "";
    html_str += pre_html;

    switch (Status) {
        case 1:
            return html_str + "service-detail-status1.html";
        case 2: // 未抢到
            return html_str + "service-detail-status6.html";
        case 3: // 未抢到
            return html_str + "service-detail-status6.html";
        case 4: // 已失效
            return html_str + "service-detail-status4.html";
        case 5: // 已失效 超过时间期限
            return html_str + "service-detail-status4.html";
        case 11: //待评价
            return html_str + "service-detail-status3.html";
        case 12: // 已评价
            return html_str + "service-detail-status5.html";
        case 13: // 已评价
            return html_str + "service-detail-status5.html";
        case 14: // 已评价
            return html_str + "service-detail-status5.html";
        case 15: // 服务中止
            return html_str + "service-detail-status4.html";
        case 16: // 服务中止
            return html_str + "service-detail-status4.html";
        default:
            return html_str + "service-detail-status1.html";
    }
}



// function load_old_data(ServiceType, html_str) {
//     $("#menu_btn .active").removeClass("active");
//     $("#menu_cntent .active").removeClass("active");
//     var type_number = 1;
//     if (ServiceType == "99") {
//         type_number = 1;
//     } else if (ServiceType == "0") {
//         type_number = 2;
//     } else if (ServiceType == "1") {
//         type_number = 3;
//     } else if (ServiceType == "2") {
//         type_number = 4;
//     }
//     $("#menu_btn .control-item").each(function() {
//         if ($(this).attr("item_id") == type_number) {
//             $(this).addClass("active");
//         }
//     });
//     $("#item" + type_number + "mobile").html(html_str);
//     $("#item" + type_number + "mobile").addClass("active");
//     add_click(type_number);
// }

// function add_click(type_number) {
//     $("#item" + type_number + "mobile .card").click(function() {
//         console.log($(this).attr("data-id"));
//         console.log("bingo-id:" + $(this).attr("data-id"));
//         Util.setWebData("AiPet_Servicer_AppraiseId", $(this).attr("appraise-id"));
//         Util.setWebData("AiPet_Servicer_List_ReqId", $(this).attr("data-id"));
//         Util.setWebData("AiPet_Servicer_List_BingoId", $(this).attr("bingo-id"));
//         Util.setWebData("AiPet_Servicer_url", "../service-list.html");
//     });
// }


// //都可以：111，只到店100，只上门010,只接送001

// function ServiceWay_Name(ServiceWay) {
//     var str_html = "";
//     switch (ServiceWay) {
//         case "111":
//             str_html = "都可以";
//             break;
//         case "100":
//             str_html = "到店";
//             break;
//         case "010":
//             str_html = "上门";
//             break;
//         case "001":
//             str_html = "接送";
//             break;
//         default:
//             str_html = "都可以";
//     }
//     return str_html;
// }

// function Status_Name(Status) {
//     var Status_List = ['报价中 ', '等待服务 ', '已服务 ', '已失效 ', '已评价 ']; //缺少已报价、未抢到状态 
//     console.log(Status_List[Status - 1]);
//     console.log('Status:' + Status);
//     return Status_List[Status - 1];
// }


// //报价人数

// function TenderNumber_Val(num) {
//     if (num == 0) {
//         return '<b style="color:red">未</b>' + ' 报价';
//     } else {
//         return ' < span style = "color:red" > ' + num + ' < /span>' + ' 人报价';
//     }
// }

// //根据状态链接到不同的页面
// function Status_URL_Link(Status) {
//     switch (Status) {
//         case 1: //报价中
//             return "service/service-detail-status1.html";
//         case 2: //待服务
//             return "service/service-detail-status2.html";
//         case 3: //已服务
//             return "service/service-detail-status3.html";
//         case 4: //已失效
//             return "service/service-detail-status4.html";
//         case 5: //已评价
//             return "service/service-detail-status5.html";
//         default:
//             return "service/service-detail-status4.html";
//     }
// }
