//全局变量
var Boolean_login = false;


$(function() {
    init();
});

//初始化 
function init() {
    unreadMessage('servicer/GetUnReadNoticeCount');
    unreadMessage('servicer/GetMy');
    load_data();
    $("#_id_ok_btn").click(userPer);
    $("#_id_robPreferential").click(function(){
        var alertView_obj = new alertView("alertView", "正在开发中，敬请期待！");
        alertView_obj.init();
    });
}

function userPer() {

}

function load_data() {
    try {
        var request_url = url_util + "Api/Servicer/index";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var servicerCode = Util.getCookie("AiPet_Servicer_Key");
        if (servicerAccount == null || servicerCode == null) {
            location.href = "signin.html";
        }

        var params = {
            'servicerAccount': servicerAccount,
            'Code': servicerCode
        }

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                location.href = "signin.html";
            } else {
                show_loaddata(params);
            }
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }

        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        alert("请求出错！");
        console.log(e.message);
    }
}


function show_loaddata(params) {
    var PetMoney = params.petMoney; //总宠物币
    var ReqNumber = params.reqNumber; //待报价服务需求数量
    var SignMoney = params.signMoney; //签到获得的宠物币
    var IsSign = params.isSign; //今天是否已签到，1为已签到，0为否
    var AdvertArray = params.advertArray; //广告活动清单
    var order = 0;
    var length = AdvertArray.length;

    $("#_id_reqNumber").html(ReqNumber);
    $("#_id_petMoney").html(PetMoney);

    if (IsSign == 0) {
        // $("#_id_Sign").show();
        // $("#_id_had_sign").hide();
        $("#_id_Sign").click(add_btn_sign);
    } else {
        // $("#_id_Sign").hide();
        // $("#_id_had_sign").show();
        $("#_id_Sign").html("今天已领");
        $("#_id_Sign").attr("class", "checkedin");

    }

    //手势滑动
    // $('#_id_slide_img').bind('swipeone', function() {
    //     $("#_id_slide_img").attr("src", AdvertArray[order].adImage);
    //     order++;
    // });

    //时间轮换slide
    // setInterval(function() {
    //     if (!Util.isEmpty(AdvertArray)) {
    //         return;
    //     }
    //     $("#_id_slide_img").hide();
    //     $("#_id_slide_img").attr("src", AdvertArray[order].adImage);
    //     $("#_id_slide_img").fadeIn(3000);
    //     $("#_id_slide_img").fadeOut(3000);
    //     $("#_id_slide_img").click(function() {
    //         // location.href = AdvertArray[order].targetUrl;
    //         Util.SetCookie("AiPet_Servicer_TargetLocation", AdvertArray[order].targetUrl);
    //         // location.href ="mine/commonPage.html";
    //         UrlLink('mine/', AdvertArray[order].targetUrl);
    //     });
    //     if (order < length)
    //         order = order + 1;
    //     order = order % length;
    // }, 6000);
    var AdvertArray = params.advertArray; // 广告活动清单
    var img_html_str = "";
    for (var i = 0; i < AdvertArray.length; i++) {
        img_html_str += '<div class="slide" id="slideAd"><a><img targetUrl="' + AdvertArray[i].targetUrl + '" src="' + AdvertArray[i].adImage + '"></a></div>';
    }
    $("#_id_img_div").html(img_html_str);
    loadImg();
    $("#slideAd img").each(function() {
        $(this).click(function() {
            // alert($(this).attr("targetUrl"));
            Util.SetCookie("Aipet_Pre_Location_href", "../index.html");
            Util.SetCookie("AiPet_PetOwner_TargetLocation", $(this).attr("targetUrl"));
            location.href = "mine/commonPage.html";
        });
    });
}

//轮换图片
function loadImg() {
    var slides = $(".swipe-wrap div");
    var divCount = slides.length;
    var show_html_str = "";
    for (var i = 1; i < divCount + 1; i++) {
        if (i == 1) {
            show_html_str += '<span class="one_number blipSelected">' + i;
        } else {
            show_html_str += '<span class="one_number">' + i;
        }
        show_html_str += '</span>';
    }
    $("#_id_show_number").html(show_html_str);
    // pure JS
    var elem = document.getElementById('mySlider');
    var mySwipe = Swipe(elem, {
        // startSlide: 4,
        // auto: 3000,
        // speed:3000,
        // continuous: true,
        // disableScroll: true,
        // stopPropagation: true,
        callback: function(index, element) {
            var slidesShow = $("#_id_show_number span");
            for (var i = 0; i < slidesShow.length; i++) {
                $(slidesShow[i]).css("background", "rgba(80,80,80,0.5)");
            }
            $(slidesShow[index]).css("background-color", "black");
        }
        // transitionEnd : function(index, element) {}
    });

    setInterval(function() {
        mySwipe.next();
    }, 5000);
}

//点击签到
function add_btn_sign() {
    try {
        var request_url = url_util + "Api/Servicer/sign";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var servicerCode = Util.getCookie("AiPet_Servicer_Key");
        if (servicerAccount == null || servicerCode == null) {
            Dialog.alert("您未登陆，请先登录！",
                2000);
            location.href = "signin.html";
        }

        var params = {
            'servicerAccount': servicerAccount,
            'Code': servicerCode
        }

        var success_callback = function(params) {
            console.log(JSON.stringify(params));
            var toastView_obj = new toastView("alertView", "您获得1宠币", 1500);
            toastView_obj.init();
            // $("#_id_Sign").hide();
            // $("#_id_had_sign").show();
            $("#_id_Sign").html("今天已领");
            $("#_id_Sign").attr("class", "checkedin");
            //直接刷新宠币
            $("#_id_petmoney").html("<b>" + params.petMoney + "</b>宠币");
            setTimeout(function() {
                location.reload();
                $("#_id_petmoney").html("<b>" + params.petMoney + "</b>宠币");
            }, 1500);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }

        Util.getRequestData_GET(request_url, params, success_callback, error_callback);

    } catch (e) {
        Dialog.alert("请求出错！");
        console.log(e.message);
    }
}
