/**
 * 2014/8/1
 */
$(function() {
    init();
});

function init() {
    loadData();
    $('button a.set-account').click(function(e) {
        e.preventDefault();
        var msg ='';
        var Tel=$('#servicer-phone').val();
        if ($('#servicer-name').val() != '' && Tel.match(/^1[3|4|5|8][0-9]{9}$/) && $('#servicer-address').val() != "") {
            SetData();
        } else if($('#servicer-name').val() == ''){
            // alert('is empty');
            var msg = '商家名称不能为空';
            var toastView_obj = new toastView("alertView", msg, 1000);
            toastView_obj.init();
        }else if(!(Tel.match(/^1[3|4|5|8][0-9]{9}$/))){
            // alert('is empty');
            var msg = '请输入正确的手机号码';
            var toastView_obj = new toastView("alertView", msg, 1000);
            toastView_obj.init();
        }else if($('#servicer-address').val() == ''){
            // alert('is empty');
            var msg = '地址不能为空';
            var toastView_obj = new toastView("alertView", msg, 1000);
            toastView_obj.init();
        }
    });
}

function loadData() {
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/servicer/GetServiceBaseInfo";
        var params = {
            'servicerAccount': AccountId,
            'Code': AiPet_Key
        };

        var success_callback = function(params) {
            //console.log("success:"+JSON.stringify(params));
            console.log(JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                console.log(params);
                show_loadData(params);
            }

        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

function show_loadData(params) {
    var NickName = params.nickName;
    var Tel = params.tel;
    var Address = params.address;
    var content = params.content;
    var ContactName=params.contactName;

    $('#servicer-name').val(NickName);
    $('#servicer-phone').val(Tel);
    $('#servicer-address').val(Address);
    $("#service-intro").val(content);
    $("#contact-name").val(ContactName);
}

function SetData() {
    try {
        //console.log(Util.getCookie("AiPet_Name")+";"+Util.getCookie("AiPet_Key"));
        var AccountId = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var NickName = $('#servicer-name').val();
        var Tel = $('#servicer-phone').val();
        var Address = $('#servicer-address').val();
        var Content = $("#service-intro").val();
        var ContactName = AccountId+"******".slice(0,6);

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        //Api/servicer/UpdateServiceBaseInfo
        /**
         *servicerAccount（服务者账号），
         *Code（密钥）,
         *NickName，ContactName，ContactTel，ContactAdd，
         *Content，
         *Images（相对应的图片Id号，有多张以“逗号”隔开）
         *
         **/
        var request_url = url_util + "Api/servicer/UpdateServiceBaseInfo";
        var params = {
            'servicerAccount': AccountId,
            'Code': AiPet_Key,
            'NickName': NickName,
            'ContactName': ContactName, //ContactName,
            'ContactTel': Tel, //ContactTel,
            'ContactAdd': Address, //ContactAdd,
            'Content': Content,
            'Images': 'aipet' //Images
        };

        var success_callback = function(params) {
            //console.log("success:"+JSON.stringify(params));
            if (params.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "修改成功！", 2000);
                toastView_obj.init();
                console.log(params);
                setTimeout(function(){
                    location.href="servicer-center.html";
                },2000);
                //show_loadData(params);
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        console.log(JSON.stringify(params));
        console.log(JSON.stringify(params));
        if (ValidateForm(Content))
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
    }
}

//验证表单
function ValidateForm(Content) {
    if (Content.length > 4000) {
        var toastView_obj = new toastView("alertView", "超过字数限制！", 1000);
        toastView_obj.init();
        return false;
    }
    return true;
}
