/**
 * 报价设定 author:lixingji date:2014/8/1
 */
var Type = Util.getCookie("Aipet_Servicer_Type_Item");
var ServiceOnDoor = 0;
var ServiceShuttle = 0;

$(function() {
			init();
		})

function init() {
	setTitle();
	loadData();
	$("#_id_click").click(add_btn_click);
	$("#_id_cancel").click(add_btn_cancel);

	$("#_id_door_btn").click(door_btn);// 上门btn事件
	$("#_id_shuttle_btn").click(shuttle_btn);// 接送btn事件
    $("#_id_serviceFeature textarea").keydown(function(e){
        var rows = $(this).attr("rows");
        console.log(e.keyCode);
        if(e.keyCode == 13){
            rows++;
            console.log(rows);
            if(rows > 2){
                $(this).attr("rows",rows);
            }
        }
        if(e.keyCode == 8){
            if(rows > $(this).val().split("\n").length+2){
                $(this).attr("rows",$(this).val().split("\n").length);
            }
        }
    });
	/**
	 * 服务特色事件
	 */
	$("#_id_table_class").find("th").click(function() {
				var valueStr = $(this).attr("value");
				var isSelect = $(this).attr("isSelect");
				if (isSelect == "false" && valueStr.length > 0) {
					$(this).attr("isSelect", "true");
					$(this).addClass("select_btn");
				} else {
					$(this).attr("isSelect", "false");
					$(this).removeClass("select_btn");
				}

			});
}

// 上门btn事件
function door_btn(focusT) {
	if (ServiceOnDoor == 0) {
		$("#_id_door_btn").addClass("select_btn");
		$("#service_box_door_input").css("background", "white");
		$("#_id_door_charge").removeAttr("disabled");
		if (focusT != "load") {
			$("#_id_door_charge").focus();
		}
		ServiceOnDoor = 1;
	} else {
		$("#_id_door_btn").removeClass("select_btn");
		$("#service_box_door_input").css("background", "#DCDDDD");
		$("#_id_door_charge").attr("disabled", "disabled");
		$("#_id_door_charge").val("");
		$("#_id_door_charge").blur();
		ServiceOnDoor = 0;
	}
}
// 接送btn事件
function shuttle_btn(focusT) {
	if (ServiceShuttle == 0) {
		$("#_id_shuttle_btn").addClass("select_btn");
		$("#service_box_shuttle_input").css("background", "white");
		$("#_id_shuttle_charge").removeAttr("disabled");
		if (focusT != "load") {
			$("#_id_shuttle_charge").focus();
		}
		ServiceShuttle = 1;
	} else {
		$("#_id_shuttle_btn").removeClass("select_btn");
		$("#service_box_shuttle_input").css("background", "#DCDDDD");
		$("#_id_shuttle_charge").attr("disabled", "disabled");
		$("#_id_shuttle_charge").val("");
		$("#_id_shuttle_charge").blur();
		ServiceShuttle = 0;
	}
}
// 设置标题
function setTitle() {
	if (Type == 0) {
		$("#_id_service_type").html("美容");
	} else if (Type == 1) {
		$("#_id_service_type").html("洗澡");
	} else {
		$("#_id_service_type").html("寄养");
		// $("#_id_click").html("激活");
	}
}

// 获取服务者提供的服务信息
function loadData() {
	try {
		var AccountId = Util.getCookie("AiPet_Servicer_Name");
		var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
		var ServiceId = Util.getCookie("AiPet_Servicer_Item_ServiceId");

		if (AccountId == null) {
			AccountId = "aipet";
		}
		if (AiPet_Key == null) {
			AiPet_Key = "aipet";
		}

		var request_url = url_util + "Api/servicer/GetServicerService";
		var params = {
			'servicerAccount' : AccountId,
			'Code' : AiPet_Key,
			'ServiceId' : ServiceId
			// （服务ID，如果为更新话，该字段有值，如果为激活的话，该字段为0）
		};

		var success_callback = function(params) {
			console.log("success:" + JSON.stringify(params));
			if (params.callResultStatus.code != 1) {
				// var toastView_obj = new toastView("alertView",
				// "离开时间超时，请重新登陆", 2000);
				// toastView_obj.init();
				// setTimeout(function() {
				// location.href = "../signin.html";
				// }, 2000);
				// 没数据
				console.log(params.callResultStatus.msg);

			} else {
				show_loadData(params);
			}
		};
		var error_callback = function(params) {
			console.log("error:" + JSON.stringify(params));
		};
		console.log(JSON.stringify(params));
		Util.getRequestData_GET(request_url, params, success_callback,
				error_callback);
	} catch (e) {
		console.log(e.message);
	}
}

// 显示服务信息
function show_loadData(params) {
	console.log("服务信息：" + JSON.stringify(params));
	var ServiceOdcs = params.serviceOdcs; // string 上门服务收费标准
	var ServiceScs = params.serviceScs; // string 上门接送收费标准
    var ServiceContent = params.serviceContent

	$("#_id_door_charge").val(ServiceOdcs);
	$("#_id_shuttle_charge").val(ServiceScs);
    $("#_id_serviceFeature").find("textarea").val(ServiceContent.replace(' ','\n')||'');
    $("#_id_serviceFeature").find("textarea").attr('rows',ServiceContent.split('\n').length+1);
//	checkBox_Val(params);
}

// 上传修改|激活的信息
function add_btn_click() {
	try {
		var AccountId = Util.getCookie("AiPet_Servicer_Name");
		var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
		var ServiceId = Util.getCookie("AiPet_Servicer_Item_ServiceId");
		var ServiceODCS = $("#_id_door_charge").val();
		var ServiceSCS = $("#_id_shuttle_charge").val();
		var ServiceContent = ServiceContent_Val();
		if (AccountId == null) {
			AccountId = "aipet";
		}
		if (AiPet_Key == null) {
			AiPet_Key = "aipet";
		}
		// 判断是否勾选上门
		if ($('input[name="door"]:checked').val()) {
			ServiceOnDoor = 1;
		}
		// 判断是否勾选接送
		if ($('input[name="shuttle"]:checked').val()) {
			ServiceShuttle = 1;
		}
		// 输入报价标准 判断是否为数字
		if (!ServiceODCS.match(/^[0-9]*$/) || !ServiceSCS.match(/^[0-9]*$/)) {
			var toastView_obj = new toastView("alertView", "报价要求填入数字", 2000);
			toastView_obj.init();
			return;
		}

		var request_url = url_util + "Api/servicer/ActiveOrUpdateService";
		var params = {
			'servicerAccount' : AccountId,
			'Code' : AiPet_Key,
			'ServiceId' : ServiceId, // ServiceId（服务ID，如果为更新话，该字段有值，如果为激活的话，该字段为0）
			'ServiceType' : Type,//服务种类，0洗澡\1美容\2寄养,-1为取消服务
			'ServiceContent' : ServiceContent,
			'ServiceChargeStandard' : "1", // 服务收费标准
			'ServiceOnDoor' : ServiceOnDoor, // 上门
			'ServiceODCS' : ServiceODCS,
			'ServiceShuttle' : ServiceShuttle, // 接送
			'ServiceSCS' : ServiceSCS,
			'ServiceOther' : "no"
		};

		var success_callback = function(params) {
			console.log("success:" + JSON.stringify(params));
			if (params.code != 1) {
				var toastView_obj = new toastView("alertView", "修改失败", 1000);
				toastView_obj.init();
			} else {
				var toastView_obj = new toastView("alertView", "修改成功", 1000);
				toastView_obj.init();
				setTimeout(function() {
					history.back(-1); // 返回上一页
						// location.reload();
						// location.href = "servicer-center.html";
					}, 2000);
				console.log(params);
			}
		};
		var error_callback = function(params) {
			console.log("error:" + JSON.stringify(params));
		};
		console.log(JSON.stringify(params));
		Util.getRequestData_GET(request_url, params, success_callback,
				error_callback);
	} catch (e) {
		console.log(e.message);
	}
}

// 取消修改
function add_btn_cancel() {
	
	Type=-1;
	add_btn_click();
	// location.reload();
	//history.back(-1);
}

// 服务内容
function ServiceContent_Val() {
	var value_str = '';
	var index = 9;
/*	for (var j = 0; j < index; j++) {
		var item_name = 'input[name=' + '"checkbox' + j + '"]:checked';
		if ($(item_name).val()) {
			value_str += $(item_name).val();
		}
	}*/
//	$("#_id_table_class").find("th").each(function() {
//			var valueStr = $(this).attr("value");
//			var isSelect = $(this).attr("isSelect");
//			if (isSelect=="true"&&valueStr.length > 0) {
//				value_str+=valueStr+" ";
//			}
//	});
    value_str = $('#_id_serviceFeature').find('textarea').val().replace("\n"," ");
	return value_str;
}

// checkBox是否已经checked
function checkBox_Val(params) {
	var Id = params.id; // string ID
	var ServicerId = params.servicerId; // string 服务者ID
	var ServiceContent = params.serviceContent; // string 服务介绍
	var ServiceChargeStandard = params.serviceChargeStandard; // string 服务收费标准
	var ServiceOnDoor_this = params.serviceOnDoor; // string 上门服务是否提供:0否,1是
	var ServiceShuttle_this = params.serviceShuttle; // string 上门接送是否提供:0否,1是
	var ServiceOther = params.serviceOther; // string 加服务：文本内容500，用“,”隔开的字符串
	var ServiceType = params.serviceType; // string 0洗澡1美容2寄养
	if (ServiceOnDoor_this == 1) {
		// $("#type1").attr("checked", true);
		door_btn("load");
	}

	if (ServiceShuttle_this == 1) {
		// $("#type2").attr("checked", true);
		shuttle_btn("load");
	}

//	var content = ServiceContent.split(" ");
//	for (var i = 0; i < content.length - 1; i++) {
//		$("#_id_table_class").find("th").each(function() {
//			var valueStr = $(this).attr("value");
//			if (content[i] == valueStr) {
//				$(this).attr("isSelect", "true");
//				$(this).addClass("select_btn");
//			}
//		});
//	}

}
