// author:xingji
// Date:2014/6/24
$(function() {
    init();
});

function init() {
    load_data();
}

function load_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");

        if (AccountId == null) {
            AccountId = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/servicer/GetMyPreferentialList";
        var params = {
            'servicerAccount': AccountId,
            'Code': AiPet_Key,
            'Order': '01',
            'PageIndex': 0
        };

        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert(e.message);
    }
}

function show_loadData(params) {
	var PreferentialArray = params.preferentialArray;
	var html_str = "";
	if (PreferentialArray != null) {

		for (var i = 0; i < PreferentialArray.length; i++) {
			var Preferential = PreferentialArray[i];
			var Id = Preferential.id; // 优惠ID
			Util.SetCookie("promotionId", Id);
			var ServicerID = Preferential.servicerID; // 服务提供者，即优惠提供者
			var PreferentialType = Preferential.preferentialType; // 优惠针对的服务种类，与服务种类一致，即洗澡（0）、美容（1）、寄养（2）、商品（3）
			var Title = Preferential.title; // 标题
			var OriginalPrice = Preferential.originalPrice; // 原价
			var PresentPrice = Preferential.presentPrice; // 现价
			var EffectiveBeginTime = Preferential.effectiveBeginTime; // 优惠允许使用开始时间
			var EffectiveEndTime = Preferential.effectiveEndTime; // 优惠允许使用结束时间
			var CostMoney = Preferential.costMoney; // 抢优惠所需的宠币
			var SeviceWay = Preferential.seviceWay; // 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
			var ServiceAddress = Preferential.serviceAddress; // 服务者地址
			var ServiceIntro = Preferential.serviceIntro; // 服务介绍
			var PreferentialCount = Preferential.preferentialCount; // 优惠总数量
			var HasGet = Preferential.hasGet; // 已被抢数量
			var ActiveBeginTime = Preferential.activeBeginTime; // 优惠开始允许抢的时间，用于计算总有效时间和剩余有效时间
			var ActiveEndTime = Preferential.activeEndTime; // 优惠允许抢的结束时间
			var PublishTime = Preferential.publishTime; // 发布时间
			var isGet=Preferential.isGet;
			
			if(isGet==0){
				var TypeName = "洗澡";
				var src = "../../img/ToBatheIconDetail.png";
				if (PreferentialType == 0) {
					TypeName = '洗澡';
					src = '../../img/ToBatheIconDetail.png';
				} else if (PreferentialType == 1) {
					TypeName = '美容';
					src = '../../img/doHairdressingIconDetail.png';
				} else if (PreferentialType == 2) {
					TypeName = '寄养';
					src = '../../img/findFosterageIconDetail.png';
				}else if(PreferentialType==3){
					src='../../img/preferentialIcon-01.png';
					TypeName = '商品';
				}
				
			html_str += '<div class="card" data-id="'+ Id + '"><li class="table-view-cell media promotion-list-item">';
			html_str += '<a href="promotion-detail-status.html"><table style="width: 100%;">';
			html_str += '<tr><td rowspan="3" width="55px;"><img class="media-object pull-left" src="' + src + '"></td>';
            html_str += '<td><h5>'+Title+'</h5></td>';
            html_str += '<td width="60px;"><p class="original-price"><s>'+OriginalPrice+'元</s></p></td>';
            html_str += '</tr><tr>';
            html_str += '<td><p class="promotion-list-available-time">期限:'+DataProcessUtil.PromotionTime_Val(ActiveBeginTime) + '~'
					+ DataProcessUtil.PromotionTime_Val(ActiveEndTime)+'</p></td>';
            html_str += '<td><p class="present-price">'+PresentPrice+'元</p></td></tr><tr>';
//            html_str += '<td><p class="promotion-list-location">'+ServiceAddress+'</p></td><td></td></tr></table></a><br>';
                html_str += SeviceWay == "100"?'<td><p class="promotion-list-location">到店服务：'+ServiceAddress+'</p></td><td></td></tr></table></a>':'<td><p class="promotion-list-location">'+DataProcessUtil.SeviceWay_val(SeviceWay)+'</p></td><td></td></tr></table></a>';

                html_str += '<a class="statusbar" href="promotion-detail-status.html">';
            html_str += '<span class="promotion-list-avainum"><img src="../../img/tenderPeople.png" style="width: 22px;">名额:'+ HasGet + '/'+ PreferentialCount + '</span>';
            var ActiveEndTimeStr=DataProcessUtil.EffectiveTime_Val(ActiveEndTime);
            
            if(ActiveEndTimeStr=="<b>0</b>秒"){
            	ActiveEndTimeStr="已过期";
            	//alert();
            }else{
            	ActiveEndTimeStr="剩余:"+ActiveEndTimeStr.substring(0,ActiveEndTimeStr.indexOf("分")+1)
            }
            html_str += '<span class="promotion-list-time-left"><img src="../../img/timeLeft.png" style="width: 22px;">'+ActiveEndTimeStr+'</span>';
            html_str += '</a></li></div>';
			
			
			
		/*	html_str += '<tr><td class="promo-img" style="width: 62px"><img class="media-object pull-left"';
			html_str += 'src="' + src + '"></td><td class="promo-info">';
			html_str += '<div class="media-body"><h5>' + Title
					+ '</h5><p class="promotion-list-available-time">使用期限:'
					+ DataProcessUtil.PromotionTime_Val(ActiveBeginTime) + '~'
					+ DataProcessUtil.PromotionTime_Val(ActiveEndTime)
					+ '</p>';
			html_str += '<p class="promotion-list-location">'
					+ ServiceAddress
					+ '</p></div></td><td class="promo-price" style="width: 120px">';
			html_str += '<p class="original-price"><s>' + OriginalPrice
					+ '元</s></p>';
			html_str += '<p class="present-price">' + PresentPrice
					+ '元</p></td>';
			html_str += '</tr></table></a><a class="statusbar" href="promotion-detail-status.html">';
			html_str += '<span >剩余' + HasGet + '/'
					+ PreferentialCount + '名额</span>';
			html_str += '<span >抢购剩余:'
					+ DataProcessUtil.EffectiveTime_Val(ActiveEndTime)
					+ '</span></a></li></div>';	*/
			}
		}
		if(html_str.length==0){
			html_str = '<div class="card"><li class="table-view-cell media"><div align="center">暂无优惠服务</div></li><div>';
		}

	} else {
		html_str = '<div class="card"><li class="table-view-cell media"><div align="center">暂无优惠服务</div></li><div>';
	}
	$("#_id_promotion_list").html(html_str);
	// 点击列表项
	$("#_id_promotion_list .card").click(function() {
				Util.SetCookie("AiPet_Servicer_PetOwner_PreId", $(this).attr("data-id"));
			});
}

function categories() {
	var petVarietiesArray = [{
				name : "全部",
				value : "-1"
			}, {
				name : "洗澡",
				value : "0"
			}, {
				name : "美容",
				value : "1"
			}, {
				name : "寄养",
				value : "2"
			}, {
				name : "商品",
				value : "3"
			}];
	var html_str = '<div id="background_color_div" class="background_color"></div><div class="selectionBox_Content" id="BigTypes_div">';
	for (var i = 0; i < petVarietiesArray.length; i++) {
		html_str += '<div class="selectionBox_Content_li" selectdata="' + petVarietiesArray[i].value
				+ '">';
		html_str += petVarietiesArray[i].name + '</div>';
	}
	html_str += '</div>';
	html_str += '<div >';
	html_str += '<span class="selectionPro_cancel_btn" id="selectionBox_cancel_btn">取 &nbsp; &nbsp;  消 </span>';
	html_str += '</div>';
	$("#_id_selectionBox").html(html_str);
	$("#selectionBox_cancel_btn").click(function() {
				$("#_id_selectionBox").html('');
			});
	$("#BigTypes_div .selectionBox_Content_li").each(function() {
				$(this).click(function() {

							PreType=$(this).attr("selectdata");
							load_data();
							$("#_id_selectionBox").html('');
						});
			});
	$("#selectionBox_back_btn").click(null);
	$("#background_color_div").click(function() {
				$("#_id_selectionBox").html('');
			});
}
function selectorder(){
var petVarietiesArray = [{
				name : "按优惠截止时间排序",
				value : "01"
			}, {
				name : "按发布时间排序",
				value : "02"
			}, {
				name : "按剩余名额排序",
				value : "03"
			}, {
				name : "按服务距离排序",
				value : "04"
			}];
	var html_str = '<div id="background_color_div" class="background_color"></div><div class="selectionBox_Content" id="BigTypes_div">';
	for (var i = 0; i < petVarietiesArray.length; i++) {
		html_str += '<div class="selectionBox_Content_li" selectdata="' + petVarietiesArray[i].value
				+ '">';
		html_str += petVarietiesArray[i].name + '</div>';
	}
	html_str += '</div>';
	html_str += '<div >';
	html_str += '<span class="selectionPro_cancel_btn" id="selectionBox_cancel_btn">取 &nbsp; &nbsp;  消 </span>';
	html_str += '</div>';
	$("#_id_selectionBox").html(html_str);
	$("#selectionBox_cancel_btn").click(function() {
				$("#_id_selectionBox").html('');
			});
	$("#BigTypes_div .selectionBox_Content_li").each(function() {
				$(this).click(function() {
							order=$(this).attr("selectdata");
							load_data();
							$("#_id_selectionBox").html('');
						});
			});
	$("#selectionBox_back_btn").click(null);
	$("#background_color_div").click(function() {
				$("#_id_selectionBox").html('');
			});
}
