/**
 * author： lixingji * date: 2014/7/5
 */

$(function() {
			init();
		});

// 初始化

function init() {
	loadData();
	menu_btn_click();
	$("#_id_cancel_btn").click(cancelPre);
}
/*
 * 菜单项tab
 */

function menu_btn_click() {
	$("#menu_btn .control-item").each(function() {
				var item_id = 1;
				$(this).click(function() {
							$("#menu_btn .active").removeClass("active");
							$(this).addClass("active");

							item_id = $(this).attr("item_id");
							$("#menu_cntent .active").removeClass("active");
							$("#item" + item_id + "mobile").addClass("active");
							if (item_id == "1") {
								$("#_id_tab_1").show();
								$("#_id_tab_2").hide();
							} else {
								$("#_id_tab_2").show();
								$("#_id_tab_1").hide();
							}
						});
			});
}

/*
 * 加载显示页面数据
 */

function loadData() {
	try {
		var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
		var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
		var ReqId = Util.getWebData("AiPet_Servicer_PetOwner_PreId");
		if (servicerAccount == null) {
			servicerAccount = "aipet";
		}
		if (AiPet_Key == null) {
			AiPet_Key = "aipet";
		}
		var request_url = url_util + "Api/servicer/getPreferentialDetail"; // 已抢购用户接口
		var params = {
			'servicerAccount' : servicerAccount,
			'Code' : AiPet_Key,
			'PreId' : ReqId
			// 优惠ID
		};

		// 成功请求回调函数
		var success_callback = function(params) {
			console.log(JSON.stringify(params));
			if (params.callResultStatus.code != 1) {
				location.href = "../signin.html";
			} else {
				show_loadData(params);
			}
		}
		// 请求错误回调函数
		var error_callback = function(params) {
			console.log("error:" + JSON.stringify(params));
		}
		Util.getRequestData_GET(request_url, params, success_callback,
				error_callback);
	} catch (e) {
		console.log(e.message);
	}
}

function show_loadData(params) {
	var preferentialJson = params.preferential;
	var preferentialUsedInfoArrayJson = params.preferentialUsedInfoArray;

	var preId = preferentialJson.id;// 优惠ID
	var servicerID = preferentialJson.servicerID;// 服务提供者，即优惠提供者
	var PreferentialType = preferentialJson.preferentialType;// 优惠针对的服务种类，与服务种类一致，即洗澡（0）、美容（1）、寄养（2）、商品（3）
	var title = preferentialJson.title;// 标题
	var originalPrice = preferentialJson.originalPrice;// 原价
	var presentPrice = preferentialJson.presentPrice;// 现价
	var effectiveBeginTime = preferentialJson.effectiveBeginTime;// 优惠允许使用开始时间
	var effectiveEndTime = preferentialJson.effectiveEndTime;// 优惠允许使用结束时间
	var costMoney = preferentialJson.costMoney;// 抢优惠所需的宠币
	var seviceWay = preferentialJson.seviceWay;// 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
	var serviceAddress = preferentialJson.serviceAddress;// 服务者地址
	var serviceIntro = preferentialJson.serviceIntro;// 服务介绍
	var preferentialCount = preferentialJson.preferentialCount;// 优惠总数量
	var hasGet = preferentialJson.hasGet;// 已被抢数量
	var activeBeginTime = preferentialJson.activeBeginTime;// 优惠开始允许抢的时间，用于计算总有效时间和剩余有效时间
	var activeEndTime = preferentialJson.activeEndTime;// 优惠允许抢的结束时间
	var publishTime = preferentialJson.publishTime;// 发布时间
	var isGet = preferentialJson.isGet;// 当前登录的宠物主是否抢了该优惠，1为抢，0为否

	var TypeName = "洗澡";
	var src = "../../img/ToBatheIconDetail.png";
	if (PreferentialType == 0) {
		TypeName = '洗澡';
		src = '../../img/ToBatheIconDetail.png';
	} else if (PreferentialType == 1) {
		TypeName = '美容';
		src = '../../img/doHairdressingIconDetail.png';
	} else if (PreferentialType == 2) {
		TypeName = '寄养';
		src = '../../img/findFosterageIconDetail.png';
	} else if (PreferentialType == 3) {
		src = '../../img/preferentialIcon-01.png';
		TypeName = '商品';
	}
	$("#_id_img_2").attr("src", src);
	$("#_id_title").html(title);
	$("#_id_originalPrice").html(originalPrice + "元");
	$("#_id_presentPrice").html(presentPrice + "元");
	$("#_id_effectiveTime").html(DataProcessUtil
			.PromotionTime_Val(effectiveBeginTime)
			+ '~' + DataProcessUtil.PromotionTime_Val(effectiveEndTime));
	$("#_id_seviceWay").html(DataProcessUtil.SeviceWay_val(seviceWay) + "服务");
	$("#_id_serviceAddress").html(serviceAddress);
	$("#_id_costMoney").html(costMoney + "宠币");
	$("#_id_serviceIntro").html(serviceIntro);
	$("#_id_activeTime").html(DataProcessUtil.EffectiveTime_Val(activeEndTime));
	setInterval(function() {
				$("#_id_activeTime").html(DataProcessUtil
						.EffectiveTime_Val(activeEndTime));
			}, 1000);

	$("#_id_preferentialCount").html(preferentialCount);
	$("#_id_hasGet").html(hasGet);
	var strHtml = "";
	for (var i = 0; i < preferentialUsedInfoArrayJson.length; i++) {
		var UsedInfoJson = preferentialUsedInfoArrayJson[i];
		var Usedid = UsedInfoJson.id; // T_Preferential_Instance.ID
		var userPhoto = UsedInfoJson.userPhoto;// 宠物主头像
		var nickName = UsedInfoJson.nickName;// 宠物主名称
		var isUsed = UsedInfoJson.isUsed;// 是否使用，1为是，0为否

		if (userPhoto == null) {
			userPhoto = "../../img/headImage-01.png";
		}
		if (nickName.length > 9) {
			nickName = nickName.substring(0, 9) + "...";
		}

		strHtml += '<div class="lineinDiv" >';
		strHtml += '<img src="' + userPhoto + '" class="imgview" />';
		strHtml += '<div class="username">' + nickName + '</div>';
		if (isUsed == 0) {
			strHtml += '<div class="usersterem"><div class="inputBtn" data_id="'+Usedid+'">输入编号</div></div>';
		} else {
			strHtml += '<div class="usersterem">已使用</div>';
		}
		strHtml += '</div><div class="line"></div>'
	}
	$("#_id_lineDiv").html(strHtml);
	$(".inputBtn").each(function() {
				
				$(this).click(function() {
							var PreFerentialId=$(this).attr("data_id");
							var inputstr = prompt("请输入6位服务编号", "");
							if(inputstr!=null&&inputstr!=''){
								userPreferential(inputstr,PreFerentialId)
							}
						});
			});
}

function userPreferential(inputstr,PreFerentialId){
	try {
			var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
			var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
			if (servicerAccount == null) {
				servicerAccount = "aipet";
			}
			if (AiPet_Key == null) {
				AiPet_Key = "aipet";
			}
			var request_url = url_util + "Api/Servicer/FinishPreferential"; // 已抢购用户接口
			var params = {
				'servicerAccount' : servicerAccount,
				'Code' : AiPet_Key,
				'PreInstanceId' : PreFerentialId,
				'PreCode':inputstr
				// 优惠ID
			};

			// 成功请求回调函数
			var success_callback = function(params) {
				console.log(JSON.stringify(params));
				if (params.code == 1) {
					Dialog.alert(params.msg);
					//location.href = "my-service-promotions.html";
				} else {
					Dialog.alert(params.msg);
				}
			}
			// 请求错误回调函数
			var error_callback = function(params) {
				console.log("error:" + JSON.stringify(params));
			}
			Util.getRequestData_GET(request_url, params, success_callback,
					error_callback);
		} catch (e) {
			console.log(e.message);
		}
}
/**
 * 取消优惠
 */
function cancelPre() {
	var alertViewobj = new alertView("_id_alertView", "您确定要取消优惠吗？");
	var callback = function() {
		try {
			var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
			var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
			var ReqId = Util.getWebData("AiPet_Servicer_PetOwner_PreId");
			if (servicerAccount == null) {
				servicerAccount = "aipet";
			}
			if (AiPet_Key == null) {
				AiPet_Key = "aipet";
			}
			var request_url = url_util + "Api/Servicer/cancelPreferential"; // 已抢购用户接口
			var params = {
				'servicerAccount' : servicerAccount,
				'Code' : AiPet_Key,
				'PreId' : ReqId
				// 优惠ID
			};

			// 成功请求回调函数
			var success_callback = function(params) {
				console.log(JSON.stringify(params));
				if (params.code == 1) {
					Dialog.alert(params.msg);
					location.href = "my-service-promotions.html";
				} else {
					Dialog.alert(params.msg);
				}
			}
			// 请求错误回调函数
			var error_callback = function(params) {
				console.log("error:" + JSON.stringify(params));
			}
			Util.getRequestData_GET(request_url, params, success_callback,
					error_callback);
		} catch (e) {
			console.log(e.message);
		}
	}
	alertViewobj.confirm(callback);
}