//全局变量
var Public_ServiceType = "99";
var PageIndex = 0;
var html_str_save = '';
Util.setWebData("AiPet_ReqService_ServiceType", 99); //初始化为99

$(function() {
    init();
});

function init() {
    unreadMessage('servicer/GetUnReadNoticeCount');
    unreadMessage('servicer/GetMy');
    $("#history-service").click(history_service_click);
    menu_btn_click();
    load_data();
    $("#_id_load_next").click(add_load_more);
}

//点击跳转到历史服务页面

function history_service_click() {
    location.href = "history-service-list.html";
}

function menu_btn_click() {

    $("#menu_btn .control-item").each(function() {
        var item_id = 99;
        $(this).click(function() {
            PageIndex = 0;
            html_str_save = '';
            $("#menu_btn .active").removeClass("active");
            $(this).addClass("active");

            item_id = $(this).attr("item_id");
            $("#menu_cntent .active").removeClass("active");
            $("#item" + item_id + "mobile").addClass("active");
            if (item_id == 1) {
                Public_ServiceType = "99"; //全部
            } else if (item_id == 2) {
                Public_ServiceType = "0"; //洗澡
            } else if (item_id == 3) {
                Public_ServiceType = "1"; //美容
            } else if (item_id == 4) {
                Public_ServiceType = "2"; //寄养
            }

            Util.setWebData("AiPet_ReqService_ServiceType", Public_ServiceType);
            //Util.SetCookie("AiPet_ReqService_ServiceType", Public_ServiceType);
            load_data();
        });
    });
}

//加载数据 AiPet_Servicer_url
function load_data() {
    try {
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        //var ServiceType = Util.getCookie("AiPet_ReqService_ServiceType");
        var ServiceType = Util.getWebData("AiPet_ReqService_ServiceType");
        if (Util.isEmpty(ServiceType) == false) {
            ServiceType = "99";
        }
        console.log(ServiceType);
        if (servicerAccount == null) {
            servicerAccount = "aipet";
        }
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }
        var request_url = url_util + "Api/servicer/getMyReqService";
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'Type': ServiceType,
            'IsHis': 0,
            'PageIndex': PageIndex
        };

        //成功请求回调函数
        var success_callback = function(params) {
            if (params.callResultStatus.code != 1) {
                //保存当前URL
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "signin.html";
            } else {
                // 判空
                if (params.reqServArray.length == 0 && PageIndex == 0) {
                    $("#_id_no_data").html("你当前还没有服务，赶紧去抢单吧！");
                    $("#_id_no_data").show();
                    $("#_id_load_next").hide();
                } else {
                    //判断是否加载全部
                    if (params.reqServArray.length < 10) {
                        $("#_id_load_next").hide();
                        // $("#_id_no_data").hide();
                        $("#_id_no_data").show();
                        $("#_id_no_data").html('<p>没有更多了</p>');
                    } else {
                        $("#_id_no_data").hide();
                        $("#_id_load_next").show();
                    }
                    show_loadData(params, ServiceType);
                }
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
            //重新登陆 
            Util.SetCookie("AiPet_Servicer_location_href", location.href);
            location.href = "signin.html";
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert(e.message);
    }
}

//显示加载的数据
function show_loadData(params, ServiceType) {
    var ReqServArray = params.reqServArray;
    console.log("RSA:" + JSON.stringify(params));
    var html_str = '<ul class="table-view service-list">';
    for (var i = 0; i < ReqServArray.length; i++) {
        var ReqServ = ReqServArray[i];
        var id = ReqServ.id; //需求Id
        var Type = ReqServ.type; //服务种类，洗澡（0）、美容（1）、寄养（2）
        var ServiceWay = ReqServ.serviceWay; //服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
        var ServiceDt = ReqServ.serviceDt; //服务时间
        //        console.log(ServiceDt);
        var ServiceDateArray = ServiceDt.split(" ")[0].split("/");
        var ServiceDate = ServiceDateArray[1] + "月" + ServiceDateArray[2] + "日"; //服务日期：X月X日；
        //        console.log(ServiceDate);
        var ServiceDec = DataProcessUtil.ServiceDec_Val(ServiceDt.slice(-2)); //服务时间：上下午全天
        //        console.log(ServiceDec)
        var Status = ReqServ.status; //需求服务状态，1对应报价中，2对应等待服务，3对应已服务，4对应已失效，5对应已评价
        var TenderNumber = ReqServ.tenderNumber; //已报价人数，Status为01有效
        var TenderEffectiveTime = ReqServ.tenderEffectiveTime; //报价截止时间，Status为01有效
        var BingoServicer = ReqServ.bingoServicer; //中标人，Status为02有效
        var BingoTenderId = ReqServ.bingoTenderId; //中标的ID号
        var AppriaiseNumber = ReqServ.appriaiseNumber; //评价得分
        var petOwnerNikeName = ReqServ.petOwnerNikeName; //宠物主名字
        var petVarieties = ReqServ.petVarieties; //品种
        var petWeight = ReqServ.petWeight; //重量
        var PetOwnerAdd = ReqServ.petOwnerAdd;
        var UnReadCount = ReqServ.unReadCount; //未读消息 1为未读，0为已读
        var src = '../img/doHairdressingIconDetail.png';
        var TypeName = '美容';
        html_str += '<div class="card card_new" bingo-id="' + BingoTenderId + '" data-id="' + id + '" tenderNum="'+TenderNumber+'" ><li class="table-view-cell media service-list-item">';
        html_str += '<a class="" href=' + Status_URL_Link(Status) + '>';
        //        var TypeNameArray = ['洗澡','美容','寄养']
        //        var TypeImgArray = ['../../img/ToBatheIconDetail.png','../../img/doHairdressingIconDetail.png','../../img/findFosterageIconDetail.png'];
        console.log(Type);
        //        TypeName = TypeNameArray[Type+1];
        //        src = TypeImgArray[Type+1];service/service-list-detail-status.html
        if (Type == 0) {
            TypeName = '洗澡'
            src = '../img/ToBatheIconDetail.png';
        } else if (Type == 1) {
            TypeName = '美容'
            src = '../img/doHairdressingIconDetail.png';
        } else if (Type == 2) {
            TypeName = '寄养'
            src = '../img/findFosterageIconDetail.png';
        }
        if (PetOwnerAdd == null) {
            PetOwnerAdd = "本店";
        } else if (PetOwnerAdd.length > 10) {
            PetOwnerAdd = PetOwnerAdd.substring(0, 10) + "...";
        }
        if (petOwnerNikeName == null) {
            petOwnerNikeName = '匿名用户';
        } else if (petOwnerNikeName.length > 10) {
            petOwnerNikeName = petOwnerNikeName.substring(0, 10) + "..";
        }
        if (UnReadCount == 1)
            html_str += '<span class="servicer-unread-list"></span>';
        if (ServiceWay == 100) {
            html_str += '<img class="media-object pull-left" src="' + src + '">';
            html_str += '<div class="media-body"><p><b style="font-size:120%">' + TypeName + '服务</b><span class="list-right-content" style="margin-right:0%;"><span id="_id_petowner_name">' + petOwnerNikeName + '</span></span></p>';
            html_str += '<p class="service-way"><i class="key">方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '<span class="list-right-content"  style="margin-right:0%"><span id="_id_petVar">' + petVarieties + '</span></span></p>';
            html_str += '<p class="service-time"><i class="key">时间</i>' + ServiceDate + ' ' + ServiceDec + '<span class="list-right-content"  style="margin-right:0%"><span id="_id_petWeight">' + petWeight + 'kg</span></span></p></div></a>';
        } else {
            html_str += '<img class="media-object pull-left" src="' + src + '">';
            html_str += '<div class="media-body"><p><b style="font-size:120%">' + TypeName + '服务</b></p>';
            html_str += '<p class="service-way"><i class="key">方式</i>' + DataProcessUtil.SeviceWay_val(ServiceWay) + '<span class="list-right-content" style="margin-right:0%;"><span id="_id_petowner_name">' + petOwnerNikeName + '</span></span></p>';
            html_str+='<p class="service-time"><i class="key">时间</i>' + ServiceDate + ' ' + ServiceDec + '<span class="list-right-content"  style="margin-right:0%"><span id="_id_petVar">' + petVarieties + '</span></span></p>';
            html_str += '</div><div class="service-add"  id="_id_service_add"><i class="key">地址</i>' + PetOwnerAdd + '<span class="list-right-content"  style="margin-right:0%"><span id="_id_petWeight">' + petWeight + 'kg</span></span></div>';
            html_str += '</a>';
        }

        html_str += '<a class="statusbar" href=' + Status_URL_Link(Status) + ' data-transition="slide-in">';
        html_str += '<p class="tender-status tender-status' + DataProcessUtil.Status_Icon(Status) + '">' + Status_Name(Status) + '</p>';
        if (Status == 1 || Status == 2) {
            html_str += '<p class="tender-num">' + DataProcessUtil.TenderNumber_Val(TenderNumber) + '</p>';
            html_str += '<p class="tender-time-left">' + DataProcessUtil.TenderEffectiveTime_Val(TenderEffectiveTime) + '</p>';
        } /*else if (Status == 11 || Status == 12) {
            html_str += '<p class="tender-status tender-status' + DataProcessUtil.Status_Icon(3) + '">' + "未评价" + '</p>';
        }*/
        html_str += '</a></li></div>';
    }
    html_str += '</ul>';
    html_str_save += html_str;
    load_old_data(ServiceType, html_str_save);

}


function load_old_data(ServiceType, html_str) {
    $("#menu_btn .active").removeClass("active");
    $("#menu_cntent .active").removeClass("active");
    var type_number = 1;
    if (ServiceType == "99") {
        type_number = 1;
    } else if (ServiceType == "0") {
        type_number = 2;
    } else if (ServiceType == "1") {
        type_number = 3;
    } else if (ServiceType == "2") {
        type_number = 4;
    }
    $("#menu_btn .control-item").each(function() {
        if ($(this).attr("item_id") == type_number) {
            $(this).addClass("active");
        }
    });
    $("#item" + type_number + "mobile").html(html_str);
    $("#item" + type_number + "mobile").addClass("active");
    add_click(type_number);
}

function add_click(type_number) {
    $("#item" + type_number + "mobile .card").click(function() {
        console.log("data-id:" + $(this).attr("data-id"));
        Util.setWebData("AiPet_Servicer_List_ReqId", $(this).attr("data-id"));
        Util.setWebData("AiPet_Servicer_List_BingoId", $(this).attr("bingo-id"));
        Util.setWebData("AiPet_Servicer_url", "../service-list.html");
        Util.setWebData("AiPet_Servicer_HasTender_tenderNum",$(this).attr("tenderNum"));
        ChangeNoticeToRead('servicer/ChangeNoticeToRead', $(this).attr("data-id"));
    });
}

//加载更多详情 
function add_load_more() {
    PageIndex++;
    load_data();
}

//根据状态链接到不同的页面
function Status_URL_Link(Status) {
    var html_str = "service/";
    switch (Status) {
        case 1: //报价中
            return html_str + "service-detail-status1-2.html";
        case 2: // 已报价
            return html_str + "service-detail-status1-2.html";
        case 3: // 待服务
            return html_str + "service-detail-status2.html";
        case 4: // 已失效
            return html_str + "service-detail-status4.html";
        case 5: // 已失效 已过期
            return html_str + "service-detail-status4.html";
        case 11: //待评价
            return html_str + "service-detail-status3.html";
        case 12: // 未评价  宠物主已评价
            return html_str + "service-detail-status3.html";
        case 13: // 已评价
            return html_str + "service-detail-status5.html";
        case 14: // 已评价
            return html_str + "service-detail-status5.html";
        case 15: // 服务中止
            return html_str + "service-detail-status4.html";
        case 16: // 服务中止
            return html_str + "service-detail-status4.html";
        default:
            return html_str + "service-detail-status1.html";
    }

}

//状态名 
function Status_Name(Status) {
    /*var Status_List = ['报价中', '报价中', '等待服务', '已失效', '已失效', '', '', '', '',
        '', '已服务', '已服务', '已评价', '已评价', '已失效', '已失效'
    ];*/
    var Status_List = ['报价中', '报价中', '等待服务', '已失效', '已失效', '', '', '', '',
            '', '双方未评价', '对方未评价', '我未评价', '已评价', '已失效', '已失效'
        ];
    return Status_List[Status - 1];
}

//剩余时间计算

// function TenderEffectiveTime_Val(TenderEffectiveTime) {
//     var date1 = new Date();
//     var date2 = new Date(TenderEffectiveTime);

//     var s1 = date1.getTime(),
//         s2 = date2.getTime();
//     //总秒数
//     var total = parseInt((s2 - s1) / 1000);
//     var day = parseInt((total / (60 * 60 * 24))) % 365;
//     var hour = parseInt((total - day * 24 * 60 * 60) / (3600)) % 24;
//     var minute = parseInt((total - day * 24 * 60 * 60 - hour * 60 * 60) / (60)) % 60;
//     if (total <= 0)
//         return '剩余0天0时0分';
//     else
//         return '剩余' + day + '天' + hour + '小时' + minute + '分';
// }

// //服务时间 全天 上午 下午

// function ServiceDec_Val(Dec) {
//     if (Dec == '全天')
//         return '全天';
//     else if (Dec == '上午')
//         return '上午';
//     else if (Dec == '下午')
//         return '下午';
//     else
//         return '全天';
// }

//都可以：111，只到店100，只上门010,只接送001

// function ServiceWay_Name(ServiceWay) {
//     var str_html = "";
//     switch (ServiceWay) {
//         case "111":
//             str_html = "都可以";
//             break;
//         case "100":
//             str_html = "到店";
//             break;
//         case "010":
//             str_html = "上门";
//             break;
//         case "001":
//             str_html = "接送";
//             break;
//         default:
//             str_html = "都可以";
//     }
//     return str_html;
// }

// //报价人数

// function TenderNumber_Val(num) {
//     if (num == 0) {
//         return '未报价';
//     } else {
//         return '<b style="color:red">' + num + '</b>' + ' 人报价';
//     }
// }
