/**
 *回复评价
 *author:lixingji
 *date:2014/7/31
 **/

$(function() {
    init();
})

// 初始化界面数据

function init() {
    loadData();
    $("#_id_reply_appraise").click(add_reply_appraise);
}

//加载评价内容
function loadData() {
    var html_str = Util.getWebData("AiPet_Servicer_AppriaiseList_Data");
    var fraction=Util.getWebData("AiPet_Servicer_AppriaiseList_Fraction");
    $("#_id_appraise_list").html(html_str);
    $("#_id_receive_fraction").html(fraction);
    $("#_id_reply_btn").hide();
}

//回复评价
function add_reply_appraise() {
    try {
        var request_url = url_util + "Api/servicer/ReplyAppraise";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var AppraiseId = Util.getWebData("AiPet_Servicer_AppraiseId"); //服务ID
        var Content = $("#_id_reply_content").val();
        var ImageFile = $("#_id_photo_browser").val();
        //图片判空
        if (ImageFile == null) {
            ImageFile = 0;
        }
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'AppraiseId': AppraiseId,
            'Content': Content, //修改内容
            'images': ImageFile //图像
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.code != 1) {
                var toastView_obj = new toastView("alertView", params.msg, 2000);
                toastView_obj.init();
                Util.SetCookie("AiPet_Servicer_location_href", location.href);

                // location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "回复评价成功！", 2000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "service-detail-status5.html";
                }, 2000);

            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        if (ContentScope(Content) == true) {
            Util.getRequestData_GET(request_url, params, success_callback, error_callback);
        }
    } catch (e) {
        alert("请求错误！");
        console.log(e.message);
    }
}

//评价内容字数范围
function ContentScope(Content) {
    // alert(Content.length);
    if (Content.length > 150) {
        var toastView_obj = new toastView("alertView", "字数超过限制", 2000);
        toastView_obj.init();
        // alert("字数超过限制");
        return false;
    } else if(Content.length == 0||Content == ""){
        var toastView_obj2 = new toastView("alertView", "请输入回复内容", 2000);
        toastView_obj2.init();
        return false;

    }
    return true;
}
