// 评价服务  服务者评价宠物主
// author:lixingji
// date:2014/6/26
// lixingji update 2014/7/5

$("#_id_satisfy_statement").html("点击进行评分"); //初始满意状态
Util.setWebData("AiPet_PetOwner_StarNum", 0); //初始星星的状态
var appraiseStatement = Util.getCookie("Aipet_servicer_apparaise_modify"); //进行评价为0,修改评价为1
var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");

$(function() {
    init();
});

// 初始化界面数据

function init() {
    setTitle();
    req_url();
    load_data();
    setBtnClick();
}

//链接到外部上传
function LinkToUpload() {
    location.href = "http://120.196.143.36:803/Upload/Index";
}

//设置标题
function setTitle() {
    if (appraiseStatement == 0) {
        $("#appraise_title").html("进行评价");
    } else {
        $("#appraise_title").html("修改评价");
    }
}

//点击事件
function setBtnClick() {
    $("#summit_comment").click(summit_comment_data);
    // $("#_id_photo_browser").click(getPathName);
    $("#_id_photo1").click(LinkToUpload);
    $("#_id_photo2").click(LinkToUpload);
    $("#_id_photo3").click(LinkToUpload);
    star_btn_click();
}

//获取图片路径

function getPathName() {
    var str = "";
    //文件类型
    var strType = "jpg|jpeg|bmp|gif|png";
    $("#_id_photo_browser").change(function() {
        str = $(this).val();
        var fileExtName = str.substring(str.indexOf(".") + 1); //获取上传文件扩展名
        if (strType.indexOf(fileExtName.toLowerCase()) == -1) {
            MyToastView("只允许上传格式为jpg、jpeg、bmp、gif的文件", 1000);
        } else
            $("#_id_imgPath").html(str);
    });
}

// 加载数据  服务详情

function load_data() {
    try {
        var request_url = url_util + "Api/servicer/getNoAppriseService"; //获取待评价服务接口
        var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': Req_id
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (Req_id == null) {
            Req_id = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        alert("请求错误！！");
    }
}

//点击星星进行评价

function star_btn_click() {
    $("#star_rate .rate-control").each(function() {
        var item_num = 0;
        $(this).click(function() {
            item_num = $(this).attr("item_id");
            show_star(item_num);
        });
    });
}

//显示星星数量

function show_star(num) {
    var Fraction = parseInt(num) + 1;
    Util.setWebData("AiPet_PetOwner_StarNum", Fraction);
    var imgSrc = '../../img/evaluateGrayIcon.png'; //没有填色的星星
    var imgSrc_2 = '../../img/evaluateLightIcon.png'; //打分后有颜色的星星
    var imgArray = $("#star_rate img");
    for (var j = 0; j < imgArray.length; j++) {
        if (j <= num) {
            imgArray[j].src = imgSrc_2;
        } else {
            imgArray[j].src = imgSrc;
        }
    }
    //满意程度
    switch (Fraction) {
        case 1:
            $("#_id_satisfy_statement").html("太糟糕了");
            Util.setWebData("Aipet_Statement_Content", "太糟糕了");
            break;
        case 2:
            $("#_id_satisfy_statement").html("有待改进");
            Util.setWebData("Aipet_Statement_Content", "有待改进");
            break;
        case 3:
            $("#_id_satisfy_statement").html("还可以");
            Util.setWebData("Aipet_Statement_Content", "还可以");
            break;
        case 4:
            $("#_id_satisfy_statement").html("不错");
            Util.setWebData("Aipet_Statement_Content", "不错");
            break;
        case 5:
            $("#_id_satisfy_statement").html("非常满意");
            Util.setWebData("Aipet_Statement_Content", "非常满意");
            break;
    }
}


function req_url() {

    var AiPet_Servicer_url = Util.getWebData("AiPet_Servicer_url");
    if (AiPet_Servicer_url == null) {
        AiPet_Servicer_url = "../service-list.html";
    }

    $("#_id_url").attr("href", AiPet_Servicer_url);
}

// 显示数据

function show_loadData(params) {
    var tender_info = params.tenderInfo; //TenderInfo  报价信息
    var req_detail = params.requestDetail; //RequestDetail   需求详情
    var callResultStatus = params.callResultStatus; //CallResultStatus 调用结果
    var oneDesc = params.oneDesc; //string 一名话描述，如待服务，即“恭喜你抢到服务”，如待评价，即“你的服务尚未得到评价”
    var petOwner_name = params.petOwnerName; //string   宠物主名称（抢中服务有效）
    var petOwner_tel = params.petOwnerTel; //string 宠物主联系电话（抢中有效）
    var petOwnerId = params.petOwnerId; //宠物主Id
    //RequestDetail对象的需求详情
    var ServiceType = req_detail.serviceType; // int 服务种类，洗澡（0）、美容（1）、寄养（2）
    var ServiceBegintime = req_detail.serviceBegintime; //string 服务要求开始时间
    var ServiceEndtime = req_detail.serviceEndtime; //string 服务要求结束时间
    var ServiceTimeDesc = req_detail.serviceTimeDesc; // string 服务时间（全天、白天、晚上）
    var PetVarieties = req_detail.petVarieties; //string 宠物品种SeviceWay
    var ServiceAdd = req_detail.serviceAdd; //string 服务地点(只到店时为空)
    var SeviceWay = req_detail.seviceWay; //int 服务方式(到店|上门|接送,都可以：111，只到店100，只上门010,只接送001)
    var ServiceId = req_detail.serviceId; //服务ID
    var PetWeight = req_detail.petWeight; //宠物重量
    var PublishTime = req_detail.publishTime; //发布时间
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    $("#_id_img_type").attr("src", ServiceType_val(ServiceType));
    $("#_id_PetVarieties").html(PetVarieties_val(PetVarieties));
    $("#service_address").html(DataProcessUtil.S_ServiceAdd_Val(ServiceAdd)); //服务地址
    $("#service_time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service_way").html(SeviceWay_val(SeviceWay)); //服务方式

    //缓存信息
    Util.setWebData("AiPet_Servicer_PetOwnerId", petOwnerId);
    Util.setWebData("AiPet_Servicer_ServiceId", ServiceId);

}

//提交评价数据 服务者评价宠物主

function summit_comment_data() {
	$("#summit_comment").disabled = "disabled";
    if (appraiseStatement == 0) {
        loadAppraise();
    } else {
        loadModifyAppraise();
    }

}

//进行评价
function loadAppraise() {
    try {
        var request_url = url_util + "Api/servicer/Appraise"; //获取待评价服务接口
        var CommitContent = $(".comment-text").val();
        var PetOwnerId = Util.getWebData("AiPet_Servicer_PetOwnerId");// 返回为空
        var ServId = parseInt(Util.getWebData("AiPet_Servicer_ServiceId")); //尚无
        var Fraction = Util.getWebData("AiPet_PetOwner_StarNum"); //评分
        var ImageFile = $("#_id_photo_browser").val();
        //图片判空
        if (ImageFile == null) {
            ImageFile = 0;
        }
        if (Fraction == undefined || Fraction == null)
            Fraction = 0;
        //评论内容
        var Appraisecontent = Util.getWebData("Aipet_Statement_Content");
        if (CommitContent == null || CommitContent == '') {
            CommitContent = Appraisecontent;
        }
        var params_commit = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'SerId': ServId,
            'PetOwnerId': PetOwnerId,
            'Fraction': Fraction,
            'Content': CommitContent,
            'images': ImageFile
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params_commit) {
            console.log("success:" + JSON.stringify(params_commit));
            if (params_commit.code != 1) {
                var toastView_obj = new toastView("alertView", params_commit.msg, 2000);
                toastView_obj.init();
                // alert(params_commit.msg);
                // location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "提交成功！", 2000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "service-detail-status5.html";
                }, 2000);

            }
        }

        //请求错误回调函数

        var error_callback = function(params_commit) {
            console.log("error:" + JSON.stringify(params_commit));
            Dialog.alert("提交失败！");
            $("#summit_comment").disabled = "";
        }
        console.log(JSON.stringify(params_commit));
        if (validateCommit(Fraction, CommitContent))
            Util.getRequestData_GET(request_url, params_commit, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！！");
    }
}

//修改评价
function loadModifyAppraise() {
    try {
        var request_url = url_util + "Api/servicer/EditAppraise"; //获取待评价服务接口
        var CommitContent = $(".comment-text").val();
        var AppraiseId=Util.getWebData("AiPet_Servicer_AppraiseId");
        var Fraction = Util.getWebData("AiPet_PetOwner_StarNum"); //评分
        var ImageFile = $("#_id_photo_browser").val();
        //图片判空
        if (ImageFile == null) {
            ImageFile = 0;
        }
        if (Fraction == undefined || Fraction == null)
            Fraction = 0;
        //评论内容
        var Appraisecontent = Util.getWebData("Aipet_Statement_Content");
        if (CommitContent == null || CommitContent == '') {
            CommitContent = Appraisecontent;
        }
        var params_commit = {
            'ServicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'AppraiseId': AppraiseId,
            'Fraction': Fraction,
            'Content': CommitContent,
            'images': ImageFile
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params_commit) {
            console.log("success:" + JSON.stringify(params_commit));
            if (params_commit.code != 1) {
                var toastView_obj = new toastView("alertView", params_commit.msg, 2000);
                toastView_obj.init();
                // alert(params_commit.msg);
                // location.href = "../signin.html";
            } else {
                var toastView_obj = new toastView("alertView", "修改评价成功！", 2000);
                toastView_obj.init();
                setTimeout(function() {
                    location.href = "service-detail-status5.html";
                }, 2000);

            }
        }

        //请求错误回调函数

        var error_callback = function(params_commit) {
            console.log("error:" + JSON.stringify(params_commit));
            $("#summit_comment").disabled = "";
            Dialog.alert("提交失败！");
        }
        console.log(JSON.stringify(params_commit));
        if (validateCommit(Fraction, CommitContent))
            Util.getRequestData_GET(request_url, params_commit, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！！");
    }
}

//验证表单
function validateCommit(Fraction, CommitContent) {
    if (Fraction == 0) {
        // alert("请先进行评分再提交！");
        var toastView_obj = new toastView("alertView", "请先进行评分再提交！", 2000);
        toastView_obj.init();
        $("#_id_satisfy_statement").html('<span style="color:red">你还没进行评分</span>');
        return false;
    }
    if (CommitContent.length > 150) {
        var toastView_obj = new toastView("alertView", "评价内容字数超过150字限制！", 2000);
        toastView_obj.init();
        // alert("评价内容字数超过150字限制！");
        return false;
    }
    return true;
}

// 服务方式

function SeviceWay_val(val) {
    if (val == '001') {
        return '接送';
    } else if (val == '010') {
        return '上门';
    } else if (val == '100') {
        return '到店';
    } else if (val == 111) {
        return '都可以';
    }
    return '都可以';
}

// 服务类型

function ServiceType_val(ServiceType) {
    if (ServiceType == '0') {
        return '../../img/ToBatheIconDetail.png';
    } else if (ServiceType == '1') {
        return '../../img/doHairdressingIconDetail.png';
    } else if (ServiceType == '2') {
        return '../../img/findFosterageIconDetail.png';
    }

}

//宠物品种
function PetVarieties_val(PetVarieties) {
    return PetVarieties.split(" ")[1];
}
