// 待服务
// author:lixingji
// date:2014/6/25

var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");

$(function() {
    init();
})

// 初始化界面数据

function init() {
    load_data();
    $("#cancel-service").click(add_btn_click);
    $("#_id_ok_btn").click(add_btn_serId_click);
}

//点击中止服务按钮

function add_btn_click() {
    location.href = "cancel-service.html";
}

//点击输入服务编号
function add_btn_serId_click() {
	
    var serCodeVal = $("#_id_input_text").val();
    if (serCodeVal.match(/^[0-9]{6}$/)) {
    	$("#_id_ok_btn").disabled = "disabled";
        uploadFinishServiceData(serCodeVal);

    } else {
        var toastView_obj = new toastView("alertView", "输入不正确", 2000);
        toastView_obj.init();
    }
}

// 加载数据

function load_data() {
    try {
        var request_url = url_util + "Api/servicer/getReadyService";

        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': Req_id
        };
        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (Req_id == null) {
            Req_id = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code != 1) {
                //保存当前URL
                Util.SetCookie("AiPet_Servicer_location_href", location.href);
                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
            // show_PetVarieties_selectionBox(params.petVarietiesArray);
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        // alert("请求错误！");
        var toastView_obj = new toastView("alertView", "请求出错", 2000);
        toastView_obj.init();
        console.log(e.message);
    }
}

// 显示数据 

function show_loadData(params) {
    console.log("return data:" + JSON.stringify(params));

    var tender_info = params.tenderInfo; //TenderInfo  报价信息
    var req_detail = params.requestDetail; //RequestDetail   需求详情
    var callResultStatus = params.callResultStatus; //CallResultStatus 调用结果
    var oneDesc = params.oneDesc; //string 一名话描述，如待服务，即“恭喜你抢到服务”，如待评价，即“你的服务尚未得到评价”
    var petOwner_name = params.petOwnerName; //string   宠物主名称（抢中服务有效）
    var petOwner_tel = params.petOwnerTel; //string 宠物主联系电话（抢中有效）
    var servicerContent = tender_info.content; //string    报价说明内容
    var serverSpe = tender_info.serverSpe; //服务内容特色
    var serviceStaReq = req_detail.serviceStaReq; //标准服务
    var selfReq = req_detail.serviceReqdiy; //string   服务要求-自定义 个性化需求
    var ServiceType = req_detail.serviceType; //int   服务种类，洗澡（0）、美容（1）、寄养（2）
    var ServiceBegintime = req_detail.serviceBegintime; //    string  服务要求开始时间
    var ServiceEndtime = req_detail.serviceEndtime; //string 服务要求结束时间
    var ServiceTimeDesc = req_detail.serviceTimeDesc; //string  服务时间（全天、白天、晚上）
    var PetVarieties = req_detail.petVarieties.split(" ")[2];
    var PublishTime = req_detail.publishTime; //发布时间
    var PetWeight = req_detail.petWeight; //重量
    var ServiceId = req_detail.serviceId; //服务Id
    var PhoneNumbers = DataProcessUtil.Tel(petOwner_tel); //联系电话处理
    if (selfReq == "" || selfReq == null) {
        selfReq = "主人，那家伙木有填写";
    }
    //标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }

    $("#_id_pet_img").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_pet_varities").html(PetVarieties);
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));
    $(".bar-number-emphasis").html(DataProcessUtil.ServiceTime_Val(ServiceBegintime, ServiceTimeDesc));
    $("#_id_service_spe").html(DataProcessUtil.ServiceSpe_Val(serverSpe, serviceStaReq)||"无");
    $("#_id_service_standarReq").html(StaService);
    $("#petOwner_name").html(DataProcessUtil.Name(petOwner_name));
    $("#petOwner_tel").html(PhoneNumbers);
    $("#tender-price").html(tender_info.price);
    // $("#service-time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service-time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service-way").html(DataProcessUtil.SeviceWay_val(req_detail.seviceWay));
    $("#service-address").html(DataProcessUtil.S_ServiceAdd_Val(req_detail.serviceAdd));
    $("#_id_servicer_content").html(DataProcessUtil.getContentValue(servicerContent));
    $("#_id_self_req").html(selfReq);
    //服务需求ID
   // var Ser_Req_id = Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID 
    var ReqId = Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID
    var Ser_Req_id="00000000"+ReqId;
    Ser_Req_id=Ser_Req_id.substring(ReqId.length,Ser_Req_id.length);
    
    $("#_id_ser_reqId").html(Ser_Req_id);
    //拨打电话
    $("#_id_tel_call").click(function() {
        location.href = "Tel:" + PhoneNumbers;
    });
    // $("#_id_TelNum_Call").attr("href", "Tel:" + PhoneNumbers);
    Util.setWebData("AiPet_Servicer_ServiceType", DataProcessUtil.ServiceType_val(ServiceType));
    Util.setWebData("AiPet_Servicer_PetVarieties", PetVarieties);
    Util.setWebData("AiPet_Servicer_PetWeight", PetWeight);
    Util.setWebData("AiPet_Servicer_PublishTime", DataProcessUtil.ServiceBegintime_Val(PublishTime));
    Util.setWebData("AiPet_Servicer_SerId", ServiceId);
}

//上传服务编号完成服务
function uploadFinishServiceData(serCode) {
    try {
        var request_url = url_util + "Api/servicer/FinishService";
        var SerId = Util.getWebData("AiPet_Servicer_SerId"); //服务Id

        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'SerId': SerId,
            'ReqId': Req_id,
            'ServiceCode': serCode
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (Req_id == null) {
            Req_id = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            //保存当前URL
            Util.SetCookie("AiPet_Servicer_location_href", location.href);
            if (params.code != 1) {
                // location.href = "../signin.html";
                var toastView_obj = new toastView("alertView", params.msg, 2000);
                toastView_obj.init();
                // alert(params.msg);
            } else {
                location.href = "service-detail-status3.html";
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
        	$("#_id_ok_btn").disabled = "";
        	Dialog.alert(JSON.stringify(params));
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        // alert("请求错误！");
        var toastView_obj = new toastView("alertView", "请求出错", 2000);
        toastView_obj.init();
        console.log(e.message);
    }
}
// // 服务方式 

// function SeviceWay_val(val) {
//     if (val == '001') {
//         return '接送';
//     } else if (val == '010') {
//         return '上门';
//     } else if (val == '100') {
//         return '到店';
//     } else if (val == 111) {
//         return '都可以';
//     }
//     return '都可以';
// }

// // 服务类型

// function ServiceType_val(ServiceType) {
//     if (ServiceType == '0') {
//         return '../../img/ToBatheIconDetail.png';
//     } else if (ServiceType == '1') {
//         return '../../img/doHairdressingIconDetail.png';
//     } else if (ServiceType == '2') {
//         return '../../img/findFosterageIconDetail.png';
//     }

// }

// function ServiceTime_Val(ServiceBegintime, ServiceTimeDesc) {
//     var date = ServiceBegintime.split(" ")[0];
//     var time = ServiceTimeDesc.split(" ")[0];
//     var beginTime = date.split("/");
//     var month = beginTime[1];
//     var day = beginTime[2];
//     return month + "月" + day + "日" + time;

// }


// //宠物主的信息处理
// var PetOwner = {
//     Name: function(petOwner_name) {
//         if (petOwner_name == null || petOwner_name.length <= 0 || petOwner_name == '')
//             return petOwner_name = "暂无";
//         return petOwner_name;
//     },

//     Tel: function(petOwner_tel) {
//         if (petOwner_tel == null || petOwner_tel.length <= 0 || petOwner_tel == '')
//             return petOwner_tel = "暂无";
//         return petOwner_tel;
//     }
// }
