// 未抢到服务
// author:lixingji
// date:2014/6/26

$(function() {
    init();
});

// 初始化界面数据

function init() {
    load_data();
}

// 加载数据

function load_data() {
    try {
        var request_url = url_util + "Api/servicer/getCannotTenderService";
        var servicerAccount = Util.getCookie("AiPet_Servicer_Name");
        var AiPet_Key = Util.getCookie("AiPet_Servicer_Key");
        var Req_id = Util.getWebData("AiPet_Servicer_List_ReqId");
        var params = {
            'servicerAccount': servicerAccount,
            'Code': AiPet_Key,
            'ReqId': Req_id
        };

        if (AiPet_Key == null) {
            AiPet_Key = "aipet";
        }

        if (Req_id == null) {
            Req_id = "aipet";
        }

        //成功请求回调函数
        var success_callback = function(params) {
            if (params.callResultStatus.code != 1) {
                Util.SetCookie("AiPet_Servicer_location_href", location.href);

                location.href = "../signin.html";
            } else {
                show_loadData(params);
            }
        }

        //请求错误回调函数

        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        }
        console.log(JSON.stringify(params));
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        alert(e.message);
    }
}

// 显示数据

function show_loadData(params) {
    console.log("return data:" + JSON.stringify(params));
    var tender_info = params.tenderInfo; //TenderInfo  报价信息
    var req_detail = params.requestDetail; //RequestDetail   需求详情
    var callResultStatus = params.callResultStatus; //CallResultStatus 调用结果
    var oneDesc = params.oneDesc; //string 一名话描述，如待服务，即“恭喜你抢到服务”，如待评价，即“你的服务尚未得到评价”
    var petOwner_name = params.petOwnerName; //string   宠物主名称（抢中服务有效）
    var petOwner_tel = params.petOwnerTel; //string 宠物主联系电话（抢中有效）
    var servicerContent = tender_info.content; //string    报价说明内容
    var serverSpe = tender_info.serverSpe; //服务内容及特色
    var selfReq = req_detail.serviceReqdiy; //string   服务要求-自定义 个性化需求
    var ServiceType = req_detail.serviceType; //int   服务种类，洗澡（0）、美容（1）、寄养（2）
    var ServiceBegintime = req_detail.serviceBegintime; //服务要求开始时间
    var ServiceEndtime = req_detail.serviceEndtime; //服务要求结束时间
    var ServiceTimeDesc = req_detail.serviceTimeDesc; //服务时间（全天、白天、晚上）
    var ServiceStaReq = req_detail.serviceStaReq; //标准服务
    var PetVarieties = req_detail.petVarieties.split(" ")[2]; //宠物品种
    var PetWeight = req_detail.petWeight; //宠物重量
    var PublishTime = req_detail.publishTime; //发布时间
    //标准服务
    if (ServiceType == 0) {
        StaService = Util.getCookie("AiPet_petOwner_BathSta");
    } else if (ServiceType == 1) {
        StaService = Util.getCookie("AiPet_petOwner_DoHairdressingSta");
    } else if (ServiceType == 2) {
        StaService = Util.getCookie("AiPet_petOwner_FindFosterageSta");
    }
    $("#_id_PetWeight").html(PetWeight);
    $("#_id_publish_date").html(DataProcessUtil.ServiceBegintime_Val(PublishTime));

    $("#_id_pet_img").attr("src", DataProcessUtil.ServiceType_val(ServiceType));
    $("#_id_pet_varities").html(PetVarieties);
    $("#tender-price").html(tender_info.price);
    // $("#service-time").html(DataProcessUtil.ServiceBegintime_Val(ServiceBegintime).split(" ")[0] + " "+DataProcessUtil.serviceTimeDesc_Val(ServiceTimeDesc.split(" ")[0]));
    $("#service-time").html(DataProcessUtil.getServiceTimeDesc(ServiceBegintime, ServiceEndtime, ServiceType, ServiceTimeDesc));
    $("#service-way").html(DataProcessUtil.SeviceWay_val(req_detail.seviceWay));
    $("#service-address").html(DataProcessUtil.S_ServiceAdd_Val(req_detail.serviceAdd));
    $("#_id_servicer_content").html(DataProcessUtil.getContentValue(servicerContent));
    $("#_id_self_req").html(selfReq);
    $("#_id_ServiceStaReq").html(StaService);
    $("#_id_serviceSpe").html(DataProcessUtil.ServiceStaReq_Val(serverSpe)||"无");
    //服务需求ID
    //var Ser_Req_id = Util.getWebData("AiPet_Servicer_List_ReqId") + "00000000"; //服务需求ID 
    var ReqId = Util.getWebData("AiPet_Servicer_List_ReqId"); //服务需求ID
    var Ser_Req_id="00000000"+ReqId;
    Ser_Req_id=Ser_Req_id.substring(ReqId.length,Ser_Req_id.length);
    $("#_id_ser_reqId").html(Ser_Req_id);
}

// // 服务方式

// function SeviceWay_val(val) {
//     if (val == '001') {
//         return '接送';
//     } else if (val == '010') {
//         return '上门';
//     } else if (val == '100') {
//         return '到店';
//     } else if (val == 111) {
//         return '都可以';
//     }
//     return '都可以';
// }

// // 服务类型

// function ServiceType_val(ServiceType) {
//     if (ServiceType == '0') {
//         return '../../img/ToBatheIconDetail.png';
//     } else if (ServiceType == '1') {
//         return '../../img/doHairdressingIconDetail.png';
//     } else if (ServiceType == '2') {
//         return '../../img/findFosterageIconDetail.png';
//     }

// }
